 
                              Users Manual
                                  for

                             Doctor on Disk
                              Version 1.2

                     "The Computerized Medical Book"

                           Copyright (c) 1992
                                   by
                         Emerald Coast Software
                          2707 East 6th Place
                        Panama City, FL 32401-5227
                         Telephone (904) 785-8946

                           All Rights Reserved


    Introduction.
    -------------
    Doctor on Disk, the Computerized Medical Book, was developed by Emerald
    Coast Software to allow you to quickly determine what illness is suspected
    when you or your family start showing symptoms of sickness.

    An enormous amount of time was spent in research and programming to assure
    that the diagnosis presented will be accurate. As with any illness, you
    should consult your physician at the first symptoms of sickness.



    Index of Symptoms.
    ------------------
    The index contains over 615 entries arranged in alphabetical order.
    It may be searched by using the Up/Down arrow keys, PageUp/PageDown keys,
    Home/End keys or by pressing the letter on the keyboard that corresponds
    to the first letter of the symptom listing.

    When the letter is pressed, the index list will immediately be positioned
    at, and highlight, the first listing in the index that begins with the
    letter pressed. If the same letter is pressed again, the next index
    listing that begins with the letter pressed will be highlighted.

    This will go on until the last listing in the index beginning with the
    letter pressed is highlighted. Pressing the same letter again will once
    more place the cursor at the first listing that begins with the letter
    pressed and it will again be highlighted.

    When the desired index entry is highlighted, pressing the <space> bar
    will select the entry by placing a "tick" mark to the left of entry. If
    you press the <space> key again the "tick" mark will disappear and the
    entry will be de-selected.

    You may select as many as six symptoms at a time. You must select a
    minimum of two symptoms. The more actual symptoms you select, the more
    accurate the diagnosis will be.


         Look closely at the example below and note the results.
         -------------------------------------------------------

    Symptom Selected        Illness diagnosed
    ----------------        ------------------------------------------
    Appetite loss   \       Pancreas Cancer
    Weight loss      \      Stomach Cancer
    Vomiting         /      Addison's Disease (Adrenal insufficiency)
                   /        Diabetes Mellitus
    ---------------         ------------------------------------------
    Appetite loss   \       Pancreas Cancer
    Weight loss      \      Addison's Disease (Adrenal insufficiency)
    Vomiting         /      Diabetes Mellitus
    Nausea         /
    ---------------         ------------------------------------------
    Appetite loss   \
    Weight loss      \      Stomach Cancer
    Vomiting         /
    Anemia          /
    ---------------         ------------------------------------------
    Appetite loss   \
    Weight loss      \
    Vomiting          >     Diabetes Mellitus
    Nausea           /
    Vision, blurred /
    ------------------------------------------------------------------

    NOTE: You must select ACTUAL symptoms of an illness before the computer
          can determine which illness to display.

          If you select symptoms at random, you will probably be told that
          no illness with the selected symptoms was found since we have gone
          to great lengths and tremendous amount of research to assure that
          the normal symptoms for an illness are the only ones that will
          select it.

    If you select six symptoms and the computer determines that a large number
    of illnesses are common to those symptoms, you may narrow the diagnosis
    by selecting three or four of the first selected symptoms and then select
    one or two different symptoms.



    Index of Illness.
    -----------------
    The index contains over 695 entries arranged in alphabetical order.
    It may be searched by using the Up/Down arrow keys, PageUp/PageDown keys,
    Home/End keys or by pressing the letter on the keyboard that corresponds
    to the first letter of the illness listing.

    When the letter is pressed, the index list will immediately be positioned
    at, and highlight, the first listing in the index that begins with the
    letter pressed. If the same letter is pressed again, the next index
    listing that begins with the letter pressed will be highlighted.

    This will go on until the last listing in the index beginning with the
    letter pressed is highlighted. Pressing the same letter again will once
    more place the cursor at the first listing that begins with the letter
    pressed and it will again be highlighted.

    When the desired index entry is highlighted, pressing the <Enter> key
    will select the entry and you will be presented with a description of
    the illness, it's symptoms and the usual expected medical treatment.



    Order Latest Upgrade.
    ---------------------
    We at Emerald Coast Software are constantly striving to improve all of
    our software. We will be adding new features, new listings, etc. as time
    and disk space permits, while keeping our software user friendly.

    Each program we release is as complete as we can make it at that time. We
    receive input from our customers and usually attempt to incorporate their
    suggestions for features and/or improvements into a subsequent version.

    Once a software program is released, we do not stop working and attempting
    to improve it. We will usually have an upgrade of most of our software
    within six months of each subsequent release.

    Upgrades are usually offered at one-half price (or less) of the full
    purchase price.



    Other Emerald Coast Software Programs.
    --------------------------------------
    This is a listing of other excellent software programs that are
    available from ECS.



    Change Emergency Numbers.    ( Registered version only )
    -------------------------
    These are the emergency numbers that are constantly displayed on the
    screen while the user is in the menu mode.

    The user may customize the emergency phone number layout to best suit
    the user. The user may have the listing reflect their desired description
    for each listing and the order in which they are listed on the screen.

    Up to twenty one names and phone numbers may be displayed on the menu
    screen in the registered version.


    We welcome all comments and suggestions.

    Thanks for evaluating Doctor on Disk - the Computerized Medical Book.

