                         ALL-PRO League Scheduler v1.1
                            Copyright (c) 1994-1995
                              All Rights Reserved
                                       by
                             ALL-PRO Software Inc.
                              30 Maple View Court
                               Madison, WI 53719
                                (608)  271-1586

     THIS SOFTWARE IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND.

     Our ALL-PRO League Scheduler v1.1 creates round-robin schedules for
     any number of leagues at any number of locations.  Works for up to 40
     teams per league.  Lets you customize schedule after it's computed.
     Handles division play and allows the number of times teams play within
     a division to be different from outside the division.  Tracks game
     scores and team standings.  Displays and prints reports.  Lets you
     create report disk files. Includes mouse support and easy to use.

     This is a SHAREWARE program (NOT public domain or free software).  You
     are granted permission to use this program on a trial basis.  Evaluate
     the program for 30 days or so.  Kick the tires.  Drive it around the
     block.  Give copies to your friends to evaluate.  If you continue to
     use it after that, you are required to register.  Your support of this
     program and the SHAREWARE concept is greatly appreciated.

     TO REGISTER, call 1-800-SPORT-59 (MC/VISA accepted) or send a
     registration form to the address above with a check or money order for
     $49.95 plus $3.75 S/H.  International orders please send the check or
     money order in U.S. funds drawn on a U.S. Bank.  WISCONSIN RESIDENTS
     please add applicable State and County Sales Tax.   Upon registration,
     you will be sent a FREE copy of the latest commercial version (DOS or
     Windows) of the ALL-PRO League Scheduler.

     Copy and share this program with your friends and upload it to your
     favorite Bulletin Boards (use APSLS11.ZIP file).  The program must be
     copied in unmodified form and the README and INVOICE.DOC files must be
     distributed with the program.  Each person that uses the ALL-PRO
     League Scheduler is required to register.
                                _______
                           ____|__     |               (tm)
                        --|       |    |-------------------
                          |   ____|__  |  Association of
                          |  |       |_|  Shareware
                          |__|   o   |    Professionals
                        -----|   |   |---------------------
                             |___|___|    MEMBER

     Jeff Elwood, president of ALL-PRO Software, is a member of the
     Association of Shareware Professionals (ASP).  ASP wants to make sure
     that the shareware principle works for you.  If you are unable to
     resolve a shareware-related problem with an ASP member by contacting
     the member directly, ASP may be able to help.  The ASP Ombudsman can
     help you resolve a dispute or problem with a member, but does not
     provide technical support for members' products.  Please write to the
     ASP Ombudsman at 545 Grover Road, Muskegon MI 49442-9427 or send a
     CompuServe message by CompuServe Mail to the ASP Ombudsman 70007,3536.


                                                                    Page  2

                                 LEGAL ASPECTS

     THIS SOFTWARE IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER
     EXPRESSED OR IMPLIED, INCLUDING ITS MERCHANTABILITY AND FITNESS FOR A
     PARTICULAR PURPOSE.  NEITHER ALL-PRO SOFTWARE NOR ANYONE ELSE INVOLVED
     IN CREATING, PRODUCING OR DELIVERING THIS SOFTWARE SHALL BE LIABLE FOR
     ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL OR CONSEQUENTIAL DAMAGES
     ARISING OUT OF USE OF THIS SOFTWARE OR INABILITY TO USE THIS SOFTWARE.
     IN NO EVENT SHALL ALL-PRO SOFTWARE'S LIABILITY FOR ANY DAMAGES EVER
     EXCEED THE REGISTRATION FEE, REGARDLESS OF THE FORM OF CLAIM.  THE
     ENTIRE RISK AS TO QUALITY AND PERFORMANCE IS WITH THE USER.

     THIS AGREEMENT SHALL BE GOVERNED BY THE LAWS OF THE STATE OF WISCONSIN
     AND SHALL INURE TO THE BENEFIT OF ALL-PRO SOFTWARE.  ANY ACTION OR
     PROCEEDING BROUGHT BY EITHER PARTY AGAINST THE OTHER ARISING OUT OF OR
     RELATED TO THIS AGREEMENT SHALL BE BROUGHT ONLY IN A STATE OR FEDERAL
     COURT OF COMPETENT JURISDICTION LOCATED IN DANE COUNTY, WISCONSIN.
     THE PARTIES HEREBY CONSENT TO IN PERSONAM JURISDICTION OF SAID COURTS.

     THIS SOFTWARE AND THE DISKS ON WHICH IT IS CONTAINED IS LICENSED TO
     YOU, FOR YOUR OWN USE.  THIS IS COPYRIGHTED SOFTWARE.  YOU ARE NOT
     OBTAINING TITLE TO THE SOFTWARE OR ANY COPYRIGHT RIGHTS.  YOU MAY NOT
     SUBLICENSE, RENT, LEASE, CONVEY, MODIFY, TRANSLATE, CONVERT TO ANOTHER
     PROGRAMMING LANGUAGE, DECOMPILE, OR DISASSEMBLE THE SOFTWARE FOR ANY
     PURPOSE.


                                                                    Page  3

                                    CONTENTS

                                TOPIC           PAGE
                            --------------     ------
                             
                             REGISTRATION          4

                             START UP            5-6

                             PROGRAM NAVIGATION  7-8

                             OVERVIEW           9-11

                             FILES                12

                             OTHER PROGRAMS       13


                                                                    Page  4

                                  REGISTRATION

     Our ALL-PRO League Scheduler is a SHAREWARE program.  The SHAREWARE
     concept is simple.  Try this program for 30 days or so.  If you decide
     to use it after that, you are required to register (pay for your
     copy).  Each person that uses the program is required to register.

     TO REGISTER, call 1-800-SPORT-59 (MC/VISA accepted) or send a
     registration form to the address above with a check or money order for
     $49.95 plus $3.75 S/H.  International orders please send the check or
     money order in U.S. funds drawn on a U.S. Bank.  WISCONSIN RESIDENTS
     please add applicable State and County Sales Tax.   Upon registration,
     you will be sent a FREE copy of the latest commercial version of our
     ALL-PRO League Scheduler (DOS or Windows).

     To print a registration form, select HELP from the Main Menu of the 
     program or type COPY INVOICE.DOC PRN at the DOS prompt.  Both ways
     print the same registration form.  

     When you register:

        - You will promptly be sent the following:

             - A letter confirming your registration with information
               about future upgrades and other programs.

             - The current commercial version (not shareware) of our
               ALL-PRO League Scheduler (DOS or Windows).

        - You will be notified when major upgrades to our ALL-PRO League
          Scheduler become available.  They will be offered to you at a
          reduced price.

        - You will also be notified when other programs, such as our
          ALL-PRO Tournament Scheduler, StatTrak for Basketball, and
          StatTrak for Soccer (Windows programs) become available.
          
        - Technical phone support is FREE.  If you have a question,
          suggestion, or problem, feel free to call us at (608) 271-1586.


                                                                    Page  5

                                    START UP

     Run INSTALL.BAT to copy the Scheduler files from the distribution disk
     to your hard drive.  To copy files from drive A to drive C (will make
     directory C:\ALLPROLS) type the following at the DOS prompt:
         INSTALL A: C:

     To start the ALL-PRO League Scheduler, go to the disk drive or hard
     drive directory where the program resides and type LS at the DOS
     prompt.

     The program can run from a floppy disk or hard drive.  However, the
     program will run much faster from a hard drive.

     If you run from a 360K floppy disk, you should run the program from
     one drive and store your league data files on another drive since the
     distribution disk has about 300K in files.  For example, you could run
     the ALL-PRO League Scheduler from a disk in drive A and store your
     league data files on a disk in drive B.  This gives you much more disk
     space for storing data.  However, if your disks hold more than 360K,
     you could run and store the data files on the same disk.  Select
     DATAPATH from the Main Menu of the program to set up a different disk
     drive for storing your league data files.

     To run StatTrak from a hard drive, run the INSTALL program or copy all
     files on the distribution disk to the hard directory of your choice.
     Select DATAPATH from the Main Menu of the program if you want to set
     up a different directory for storing your league data files.

     To make a directory on hard drive C called ALLPROLS, use the following
     DOS command:
         MD C:\ALLPROLS

     To copy all the files from the distribution disk in drive A to the
     hard drive directory on C named ALLPROLS, use the following DOS
     command:
         COPY A:*.* C:\ALLPROLS

     To make a data directory called LSDATA off the directory ALLPROLS on
     hard drive C, use the following DOS command:
         MD C:\ALLPROLS\LSDATA

     To make the ALLPROLS directory on hard drive C the current directory
     so you can start the program, use the following DOS command:
         CD C:\ALLPROLS

     To copy all the files in the data directory named LSDATA on hard
     drive C to a disk in drive A (backing up your league data files),
     use the following DOS command:
         COPY C:\ALLPROLS\LSDATA\*.* A:


                                                                    Page  6

     Make sure you have a backup copy of the ALL-PRO League Scheduler
     program, LS.EXE, and periodically make a backup copy of your league
     files (files that end with .DAT).  If you select a datapath from the
     Main Menu of the program, your league data files will reside in the
     datapath directory.

     To print this documentation on your printer, type COPY README PRN at
     the DOS prompt.

     If you have any problems, questions, or suggestions concerning the
     ALL-PRO League Scheduler, please let us know.  We are committed to
     making whatever changes are needed in order to bring you the best
     league scheduler available.
     

                                                                    Page  7

                               PROGRAM NAVIGATION

     Our ALL-PRO League Scheduler v1.1 has mouse support.  However, you do
     not need a mouse device to run the program.  To navigate from screen
     object to object without the aid of a mouse device, use the TAB key.
     Below is an overview of how to use some of the screen objects:

     Object
     ------
     LIST BOX:

         MOUSE:
           - Click item to highlight.
           - Click arrows to scroll through list.
           - Double-click item or click OK after highlighting item to
             select.
           - Click scroll bar to page through list.
         KEYBOARD:
           - Press the first letter of item to highlight.
           - Press ARROW keys to scroll through list.
           - Press ENTER key or TAB to OK and press ENTER after
             highlighting item to select.
           - Press PAGE UP/DOWN keys to page through list.
           - Press HOME key to highlight the first item.
           - Press END key to highlight the last item.


     COMMAND BUTTON:

         MOUSE:
           - Click command button to execute.
         KEYBOARD:
           - Tab to command button and press ENTER key to execute.
           - Press ALT + highlighted letter (access key) to execute.


     ENTRY FIELD:

         KEYBOARD:
            - Text will be highlighted when it gets focus.  Begin keying
              to replace text or move cursor to lose highlight and allow
              modification of text.
            - Key in desired text (numeric fields only accept numbers).
              Last position not available to be keyed into.
            - Press INSERT key to change between insert and overstrike
              mode.
            - Press HOME key to move cursor to first position.
            - Press END key to move cursor to end of text.
            - Press CTRL + ARROW key to tab from word to word within text.
            - BACKSPACE key performs destructive backspace.
            - Press ARROW keys to change cursor position.


                                                                    Page  8

     VERTICAL and HORIZONTAL SCROLL BARS:

         MOUSE:
           - Click arrows to scroll.
           - Click scroll bar to page.
         KEYBOARD:
           - Press ARROW keys to scroll.
           - Press PAGE UP/DOWN keys to page.
           - Press HOME key to scroll to top/left.
           - Press END key to scroll to bottom/right.


     CHECK BOX:

         MOUSE:
           - Click to select/unselect.
         KEYBOARD:
           - TAB to check box and press SPACE BAR to select/unselect.



                                                                    Page  9

                                    OVERVIEW

     The ALL-PRO League Scheduler v1.1 creates round-robin schedules for
     any number of leagues at any number of locations.  Works for up to 40
     teams per league.  Lets you customize schedule after it's computed.
     Handles division play and allows the number of times teams play within
     a division to be different from outside the division.  Tracks game
     scores and team standings.  Displays and prints reports.  Lets you
     create report disk files. Includes mouse support and easy to use.

     To create your first league:
       - Select LEAGUE from the Main Menu.
       - Click ADD and add the league name.
       - Click SCHEDULE.
       - Select SELECT TEAMS and add teams.
       - Select SELECT LOCATIONS and add game locations.
       - Select SET UP GAME TIMES and set day of the week times for each
         location.
       - Optionally select EXCEPTIONS to add exceptions (i.e. no games on
         July 4th).
       - Select START DATE and click date on calendar to set start date.
       - Enter the number of times teams play each other.
       - Click COMPUTE to compute schedule.
       - Optionally click EDIT to further edit schedule.

     After the league schedule is created you can click SCORES from the
     Select League Screen to update game scores or click REPORTS to
     display and print reports.

     If you plan to use a datapath (store league data files in a different
     directory than where the program is stored), you need to define your
     datapath (optional) from the Main Menu before creating the league.

     Mouse support is provided.  However, you can still run the program
     with the keyboard.  See PROGRAM NAVIGATION on pages 7-8 for details.

                              OVERVIEW - MAIN MENU

     Main Menu choices are LEAGUE, SET COLORS, DATAPATH, and HELP.  Select
     LEAGUE to create leagues, update scores, and display and print
     reports.  Use SET COLORS to select the screen colors and settings and
     to turn the sound On/Off.  Select DATAPATH to set the drive and
     directory for storing data files.  HELP gives a brief overview of the
     program and lets you print a registration form.

     Selecting LEAGUE from the Main Menu takes you to the Select Leagues
     Screen.  You add and delete your leagues here.  When you delete a
     league, you will also be deleting the schedule and game scores for
     that league (if they exist).  Be careful using the DELETE function.
     Click SCHEDULE to create and maintain the league schedule.  Click
     SCORES to update game scores for the league.  Click REPORTS to display
     and print reports.


                                                                    Page 10

     When you click SCHEDULE from the Select League Screen, you will
     advance to the Schedule Screen for the league.  If a schedule already
     exists, you will be in Edit Mode.  Otherwise you will be in Setup
     Mode.  Click PREVIOUS and NEXT to page by month through the calendar.
     In Setup Mode, Click COMPUTE to compute a schedule.  When you compute
     the schedule, the previous schedule and game scores for the league
     will be lost (if they existed).  Click EDIT to customize the schedule
     if needed (add games, delete games, change locations, etc.).

     When you compute a schedule you will be advance to the Schedule Report
     for the league.  Click PRINT to print the report.  Click EDIT to make
     changes to the schedule.

     When you select SCORES from the Select League Screen, you will advance
     to the Schedule Screen in Update Mode.  Select the game you want and
     click UPDATE to add or change game scores.

     When you select REPORTS from the Select League Screen, you will
     advance to the Report Menu where your choices are LEAGUE SCHEDULE,
     TEAM SCHEDULE, STANDINGS, TEAM INFORMATION, and MAIN MENU.

     All reports can be printed.  When you print a report, you can either
     use the default report title or enter your own.  You can select from 1
     to 50 copies for any report, select the number of lines per page, and
     select whether you want to form feed (advance to top of next page) at
     the end of the report.  You can also select whether to print to LPT1,
     LPT2, or LPT3.  Most printers are attached to the first parallel port
     (LPT1).  You can also choose to create a report disk file instead of
     printing the report.  You can specify a path along with a report file
     name and can either create a new report file or append to an existing
     report file.

     Select LEAGUE SCHEDULE from the Report Menu to display the league
     schedule.  Click EDIT to edit the schedule.  Click PRINT to print the
     schedule.  We plan to enhance the reporting functions for the ALL-PRO
     League Scheduler in the next version.  Let us know what you would like
     to see.

     Select TEAM SCHEDULE from the Report Menu to display the league
     schedule by team.  Click EDIT to edit the schedule.  Click PRINT to
     print the report.

     Select STANDINGS from the Report Menu to display the team standings.
     If divisions exist, standings will be displayed for each division.
     Games Won, Lost, Winning Percentage, Game Average Points For (points
     scored by team), Game Average Points Against (points scored by team's
     opponents), and Games Behind are displayed.  Click EDIT to edit the
     schedule.  Click PRINT to print the standings report.

     Select TEAM INFORMATION from the Report Menu to display the team name,
     contact person, phone number, and address for each team.  Click EDIT
     to edit the schedule.  Click PRINT to print the report.


                                                                    Page 11

                             OVERVIEW - SET COLORS

     With SET COLORS you can customize the screens.  You can select screen
     colors, the desktop pattern, and other screen attributes.  Click OK to
     accept the changes and save them to disk, click DEFAULT to use the
     default settings, or click CANCEL to use the previously selected
     settings.

                              OVERVIEW - DATAPATH

     Select DATAPATH to select the directory you want the league data
     files to be stored.  Select CURRENT DIRECTORY to store the data files
     in the directory you were in when you started the program.  Select
     CURRENT DIRECTORY if you're not sure what a datapath is.  Selecting a
     separate directory for storing your data files makes backing up your
     data easier (copy ALL files in the data directory to a disk or another
     directory to back up).  If you don't have a hard drive but have two
     floppy drives, you might want to run the program from one drive and
     store your data on a separate disk in another drive.  This will give
     you more disk space for storing your league data files.  However, we
     suggest you run the program from a hard drive if you have one.  Hard
     drives are much faster and reliable than floppy drives.

     The ALL-PRO League Scheduler will NOT make a directory for you.  You
     must do it.  See page 5 for examples of DOS commands including how to
     make a directory.
     
                                OVERVIEW - HELP

     Selecting HELP from the Main Menu gives you a very brief overview of
     the program.  A much more detailed overview is contained in this file.
     Click PRINT to print a registration form.  Click ABOUT to redisplay
     the Welcome Screen which shows ALL-PRO's address and phone number.


                                                                    Page 12

                                     FILES

     The following files come with the ALL-PRO League Scheduler v1.1 or are
     created by the program.

     LS.EXE ............ ALL-PRO League Scheduler program.  Type LS to
                         start the program.

     LICENSE.DOC ....... ALL-PRO League Scheduler license agreement.
                                
     README ............ The documentation file you are currently reading.
                         If you copy the program (LS.EXE) for a friend, be
                         sure to give them a copy of the README and
                         INVOICE.DOC files too.

     INVOICE.DOC ....... Registration form.  The same form can be printed
                         by selecting HELP from the program's Main Menu.

     VENDINFO.DIZ ...... Contains program information for vendors and
                         Bulletin Board Services (BBS).

     FILE_ID.DIZ ....... ALL-PRO League Scheduler program description used
                         by Bulletin Board Services (BBS).

     INSTALL.BAT ....... Installation program.
                         Type INSTALL [source drive] [destination drive].

     LSSETUP.INI ....... Holds general setup options.

     LSCOLORS.INI ...... Holds screen colors and other screen settings.

     --- other files -------
     LSDIVISI.DAT  LSDIVx.DAT ....... League data files.  These are the
     LSLEAGUE.DAT  LSLOCx.DAT         files you should back up.
     LSLOCATE.DAT  LSLTx.DAT
     LSTEAMS.DAT   LSSCHx.DAT
     LSDIVx.DAT    LSSHx.DAT
     LSEXCx.DAT

     APSLS11.ZIP ....... Zipped ALL-PRO League Scheduler version 1.1.
                         Feel free to upload this file to your favorite
                         bulletin boards.


                                                                    Page 13

                                 OTHER PROGRAMS

      StatTrak for Baseball (DOS or Windows - $39.95 plus $3.75 S/H):
       A baseball/softball stat management system for league or individual
       teams.  Keeps records for up to 100 teams (99 players per team).
       Tracks batting, pitching, fielding, won/lost record, game results,
       and team standings.  Reports can be computed for any combination of
       games.  Lets you design your own batting, pitching, and fielding
       reports.  Allows sorting on over 70 categories.  Displays and prints
       reports.  Report disk files can be created or appended to.  Call to
       order or send check or money order to ALL-PRO Software.

     ALL-PRO Tournament Scheduler v1.0 (Windows only):
       Will handle single and double-elimination tournaments for up to 128
       teams.  Due out in summer of 1995.

     StatTrak for Basketball v1.0 (Windows only):
       Will work very much like StatTrak for Baseball.  Due out in spring
       of 1995.

     StatTrak for Soccer v1.0 (Windows only):
       Will work very much like StatTrak for Baseball.  Due out in summer
       of 1995.

     StatTrak for Volleyball v1.0 (Windows only):
       Will work very much like StatTrak for Baseball.  Due out in summer
       of 1995.


