THE AMATEUR RADIO LOGBOOK PROGRAM
                                version 2.0
                              Reference Guide
                            Copyright (c) 1989
                             by Alan Weinberg
                            1742 Avenida Sirio
                             Tucson, Az, 85710


                             TABLE OF CONTENTS

license agreement...................................................page 4
warranty............................................................page 5
introduction........................................................page 6
getting started.....................................................page 7
MAIN MENU...........................................................page 8
LOGBOOK.............................................................page 9
ADD.................................................................page 10
CHANGE..............................................................page 11
DELETE & INQUIRE....................................................page 12
REPORTS.............................................................page 13


                                  page 4



                             LICENSE AGREEMENT

   The AMATEUR RADIO COMPUTER PROGRAM is protected by the United States
Copyright Laws and International Treaties provisions. All rights are reserved.
Non-registered users of the AMATEUR RADIO COMPUTER PROGRAM are licensed only
to use the program on a trial basis for the sole purpose of determining
whether or not it meets their requirements.  All other uses require
registration.  Any other use  of non-registered copies of the AMATEUR RADIO
COMPUTER PROGRAM by any person, business, government organization, or any
other entity is strictly forbidden and is a violation of this license
agreement.

   Registration permits use of this program on a single computer.

   If after trying the AMATEUR RADIO COMPUTER PROGRAM, you feel it meets your
needs, please register using the instructions and information in the file
REGISTER.FRM on your distribution diskette.  When you register, you will be put
on my mailing list for upgrades.


                                  page 5


                                 WARRANTY

   I, Alan Weinberg, the author of THE AMATEUR RADIO COMPUTER PROGRAM make no
warranty of any kind, expressed or implied, including without limitation,
any warranty of merchantability or fitness for a particular purpose.  Alan
Weinberg shall not be liable for any damages, whether direct, indirect,
special, or consequential arising from a failure of this program to operate
in the manner desired by the user.  Alan Weinberg shall not be liable for
any damages to data or property which may be caused directly or indirectly
by the use of THE AMATEUR RADIO COMPUTER PROGRAM.

   IN NO EVENT WILL ALAN WEINBERG BE LIABLE FOR ANY DAMAGES, INCLUDING ANY
LOST PROFITS, LOST SAVINGS, OR OTHER INCIDENTAL OR CONSEQUENTIAL DAMAGES
ARISING OUT OF YOUR USE OF OR INABILITY TO USE THE PROGRAM, OR FOR ANY
CLAIM BY ANY OTHER PARTY.

   The License Agreement and Warranty shall be construed, interpreted, and
governed by the laws of the state of Arizona.

                                  page 6

                               INTRODUCTION


   THE AMATEUR RADIO COMPUTER PROGRAM is a fast program written in the 'C'
programming language using sophisticated state of the art database and
information processing techniques.  The purpose of this program is to
provide amateur radio operators with a logbook that can be maintained on a
personal computer.  One of my goals was to include an easy to understand
user-interface with menus and windows.  Help is available
throughout the program by pressing the <F1> key.  This program has a short
learning curve and is fun to use.  You will be up and running in no time.
If you have a question first press F1 to activate the help facility.  If
you are still confused refer to this document.  For those that are really
stuck in the mud you may contact my by mail for technical assistance.
Note: you must be registered to receive technical assistance!
  This PROGRAM was written for the beginner to advanced
amateur radio operator.  It provides a low cost
alternative to powerful logbook management and organization.  You don't have
to know any programming or be a computer whiz with a PhD.  That is not
who this program has been written for.  It is meant for the casual computer
user who uses the computer as a tool.
  THE AMATEUR RADIO COMPUTER PROGRAM requires an IBM PC or compatible with at
least 512k memory, DOS 2.0 or higher, any monitor, and a hard
disk IS recommended.  A printer is optional.  Before using this program, you
should be familiar with your computer and DOS.


                                  page 7


                              GETTING STARTED

   Your program diskette should contain at least the following 14 files:

                                HAM.BAT
                                HAM.DOC
                                HAM1.EXE
                                HAM1.HLP
                                HAMRPT.EXE
                                HAMRPT.HLP
                                HAMRPT2.EXE
                                HAMRPT2.HLP
                                HAMRPT3.EXE
                                HAMRPT3.HLP
                                HAMSCRN.EXE
                                HAMSCRN.HLP
                                BTRIEVE.EXE
                                REGISTER.FRM

If these files are not on your distribution diskette this program will not
operate correctly.  Contact your distributor from whom you purchased the
program.


INSTRUCTIONS

1.  install the distribution diskette in floppy drive a and close the door
2.  copy all files to the subdirectory you want
    (eg. COPY A:*.* C:\HAM)
3.  make a backup copy of the original distribution diskette
    (who ever does?)
4.  to run, type HAM <enter>

That's all there is to it!  The rest of this manual is optional reference
material.  Most of your questions can be answered by the on-line help in
the program.  GOOD LUCK AND HAVE A NICE DAY!

                                  page 8



                                 MAIN MENU


      LOGBOOK        to add a QSO, delete a QSO, change information on
                     a QSO, or lookup information on one of your QSOs.

 QUICK REPORT        to generate a report on your LOGBOOK records
                     output to the screen, to the printer, or to a disk
                     file.  Not all fields are reported.

  FULL REPORT        All fields are reported.

      EXIT           to return to DOS and quit the program. Also ESCAPE
                     will exit the program.


                   SELECT YOUR CHOICE AND PRESS <ENTER>
-------------------------------------------------------------------------------

      <F1>           help.  NOTE:  When in help mode <F2> will allow you
                     to reconfigure the help window.

      <ESCAPE>       return to menu or exit the program.



                                  page 9

                                  LOGBOOK


      ADD            to add a QSO to your logbook

      CHANGE         to change data on a previously entered QSO

      DELETE         to delete a record

      INQUIRE        to lookup a previously entered QSO

      EXIT           return to main menu; also <ESCAPE> will get you there



                   SELECT YOUR CHOICE AND PRESS <ENTER>
------------------------------------------------------------------------------

      <F1>           help

      <ESCAPE>       return to menu or exit program


                                  page 10

                                    ADD

                       to add a QSO to your logbook
 all fields are optional, you may leave any field blank that does not apply

CONTACT #:         this is a non-editable field.  Contacts start at 1 and
                   go up.

DATE (MM/DD/YY):   enter the date of the contact.  January 5, 1989 is
                   entered as 1/5/89.

BEGIN TIME (GMT):  time of start of QSO in 24 hour "military" format.
                   1:33pm is entered as 1333.

CALL SIGN:         enter call sign of contact.  I suggest you use all
                   capitol letters.

FREQUENCY (MHZ):   enter frequency of contact in megahertz.  3,555,000
                   hertz is entered as 3.555.

EMISSION TYPE:     enter emission type for example A1 for steady,
                   umodulated pure carrier.  Press <F1> for a list of
                   emission types available.

HIS RST:           enter the signal report you are giving to your contact.
                   A report of 5NN is entered as 599.

MY RST:            enter the signal report your contact gives you.

ENDING TIME (GMT): time of end of QSO in 24 hour "military" format. 1:33pm
                   is entered as 1333.

POWER (WATTS):     enter power of your transmitter during QSO.

SENT QSL (Y/N)?    answer y or Y for yes, n or N for no if you have sent a
                   qsl card.

RECEIVED QSL (Y/N)? answer y or Y for yes, n or N for no if you have
                   received a qsl card.

COMMENT 1:         any comments you want to make about the QSO.

COMMENT 2:         any other comments you want to make about the QSO.



                                  page 11


                                  CHANGE

                to change a previously entered QSO contact


KEY SELECTION MENU   the computer must have a hint on what logbook QSO you
                     are looking to change.  Pick a menu item that you know
                     about your stamp that you want to CHANGE.

TYPE OF KEY MATCH MENU  the best way to explain this menu is by example.
                        Let's say you are looking for a QSO from a ham
                        from Afghanistan, but you only know his call sign
                        starts with G.  That is what PARTIAL KEY MATCH is for.
                        It allows you to enter the first few letters
                        and the computer will search your records for a
                        match for that call sign.  Otherwise use EXACT KEY
                        MATCH.

   Once you have taken care of that the computer brings up the records that
most closely match your request, ready for editing.  Refer to page 11 for
the explanations of the fields.  When you are finished changing (editing)
your record, go to the last field and press <ENTER>.  The record will then
be stored away.


                                  page 12

------------------------------------------------------------------------------

                                  DELETE

                         to delete a logbook entry


the instructions are the same as CHANGE on page 11

------------------------------------------------------------------------------

                                  INQUIRE
                          to view a logbook entry


the instructions are the same as CHANGE on page 11

------------------------------------------------------------------------------

                                   EXIT
                          to return to MAIN MENU


                                  page 13

                                  REPORTS

                   to generate a report on your logbook
              to the screen monitor, printer, or a disk file

------------------------------------------------------------------------------

      PRINT THE REPORT        You have made your range selections and are
                              ready to print the report

      CHECK PAPER ALIGNMENT   check printer top of form alignment

      SELECT ALTERNATE KEY    reports by default are generated with CALL
                              SIGNS in alphabetic order.  If you
                              want an another field to be the key instead
                              of CALL SIGN press <ENTER>.

      RANGE SELECTIONS        customize your report by specifying a key
                              field to select a range on.  Press <F1> for a
                              detailed help on this.

      EXIT                    return to MAIN MENU.


