              AstroMart 2.11 (C) 1991 Langway Company
                        7, avenue du Granier
                       F-38240 Meylan, France

                         (33) 76 41 13 15

 Comprehensive software for professional and amateur astrologers

                       -------------------

Introduction

This is an older version of the AstroMart software which I have
decided to release as shareware on the international market.  The
Langway company reserves all rights concerning this program, but
will allow this specific version to be copied and distributed
freely and without charge.

It is forbidden to modify or translate this version of AstroMart
software and its files.  It must be distributed with all its
files.

Users may register by sending Stg 29.  Registered users will
receive the latest version of AstroMart.  The 3.2 version does
much more than the program you have now (see below).  A Windows
version will be released in April 1992.  This will have word
processing facilities and will allow text and graphics to be
exported to other Windows software. These versions are not
shareware.  Send in the licence form (licence.doc) with a cheque
(English or International) or money order, or use your
Visa/Access/Mastercard and call (Int. code) (33) 76 41 13 15.

This version of AstroMart must not be used for professional
purposes.  Once you have registered, there are no royalties for
the professional use of AstroMart, including its text output.

                       -------------------

AstroMart is a complete software for calculating an astrological
chart.

The AstroMart program was created in response to the demand from
astrologers.  Currently, all confirmed astrologers use a computer
to calculate the ephemeris. The AstroMart program responds
perfectly to the needs of the astrologer for working out the
astral charts.

It is equally addressed to students of astrology, and to all those
who are interested in this science. Indeed, a chart analysis is
included in the software. We would advise beginners, however, to
consult other more specifically teaching books on the subject.

AstroMart allows you to enter the details of the person to be
studied for the calculation of his or her astral chart, and
calculates the position of the planets at the time of birth as
well as the position of the astrological houses and aspects.

The AstroMart program was written by F. Burns.
                       -------------------
Files on this disk

  readme.doc    information about AstroMart and Langway,
                advantages for registered users, etc.

  order.doc     order form

  astro.bat     batch file; place in the path, it launches
                AstroMart automatically

  astro.exe     program file

  analyse2.eng  file used for producing the interpretations

  analyse2.idx  index for the above file

  chart.cht     file containing sample charts

  chart.idx     index for the above file

  city.fil      list of towns; including country code, area code
                (for some countries only), latitude and longitude

  country.eng   list of correspondence between phone country codes
                and country names

  install.bat   installs AstroMart on your hard disk

  printer.fil   list of printers

  prnparm.fil   parameters for the printers

  time.fil      time adjustment for automatic calculation, it is
                now being improved for the American market.

                       -------------------

Advantages of the 3.2 version

The 3.2 version is more than twice as large as the shareware
version.

All the modules dealing with more than one chart have separated
menus containing options specific to that module.  Thus, the
transit module has a specific item for calculating other transits,
separate analysis, special graphics (superposed graphs, side by
side graphs, two different line graphs), and even items leading to
other modules that use the information displayed (chart of the
date of a transit, comparison to the main chart, mid-points,
etc.).

Here are the additional functions:

Directory

  This function lets you view a file in the directory used to
  export charts to a word processor.
Line graph
  This draws (or prints out) a tabular representation of the
  movement of the planets starting at a certain date and using a
  certain step; for example, month by month from 1st January,
  1992.  This is useful for finding vital dates when groupings
  will take place.
  There are two special line graphs for calculating transits. One
  shows the movement of the planet in transit relative to all the
  planets in the main chart, the other shows the movement of the
  planet relative to the aspects of one of the planets in the main
  chart.  Both let you grasp visually the true movement of the
  planet.

Fictive points

  This displays various other sidereal points used by some
  astrologers.

Transits

  This calculates the transits for each planet in the birth chart.
  This module includes special graphics to show the movement of
  the planet in transit relative to the planets in the chart.
  There is a special analysis file to interpret the transits.

Compare to a day

  This module compares the main chart to the positions of the
  planet at a certain date, which is equivalent to calculating all
  the transits and near transits for that date.  This function is
  especially useful for making horoscopes.

Compare two charts

  This calculates the compatibility between two people.  There is
  a special analysis text for this comparison.

Compare to the file

  This function compares a chart to each chart contained in the
  file.  You can specify the sex and age of the person whose chart
  you are looking for, and also the degree of compatibility or
  antagonism.

Solar revolution

  This module calculates the solar revolution for a person at a
  given age.

Progression

  This function calculates the progressed chart for the chart you
  are studying.

Print to file

  This exports the text output to a file that can be loaded into
  any word processor.  Thus you can use the tables and analyses of
  AstroMart as a basis for your own work.
Options:
  You can link new and different analysis files to the analysis
  functions of each module (birth chart, transits, compare two
  people, compare to a day, etc).  When you use the analysis
  function in that module, AstroMart will display, print or export
  to a file the personalized text in the linked analysis file.

  You can specify different orbs for each aspect and for each
  planet (e.g.: conjunction Sun at 12 and conjunction Pluto at
  6).

  You can specify which planets are to be displayed in the
  graphics, and also which ones are to be taken into account for
  determining aspects.  This allows you to suppress a planet to
  simplify complex displays such as the combined graphic of a
  comparison, or to ignore a planet you do not consider important
  in a chart.

  Likewise, the types of aspects used for transits can be
  modified.

  An option enables the display of the degrees in the graphics.

  The colours used in the graphics can be customised.  You can
  select the colour for the wheel, the houses, each planet, and
  each type of aspect.

  The printer module in AstroMart 3.2 has specific drivers for
  most printers (IBM, Epson, Laserjet II, HPGL2). These drivers
  compose and print out graphics directly using the resolution and
  graphic commands of the printer (not a screen hardcopy).
  Circles are always perfectly round, and the result is always
  much better than what you see on the screen, even with VGA.

And even more:

The list of localities has been greatly enlarged to include
thousands of additional towns all over the world, and especially
in English-speaking countries.

The time adjustment file has been updated to take better into
account countries with multiple time zones, such as the USA.

Of course, a complete printed user's manual is provided.

                       -------------------

We are looking for editors or distributors in all countries.

Langway edits and distributes AstroMart in France (not as
shareware).  We also translate and localise other software.  If
you are thinking of selling software in Europe, contact us.  We
would consider translating or editing other products, even in
different fields than AstroMart.  We have good references in the
industrial control and measurement fields.
