Brothers Keeper Manual


                         Table of Contents

           Description of the program                  1
           Setting up your disks                       1
           General typing information                  2
           Adding people to the file                   3
           Message lines                               9
           Modifying people                           10
           Individual add (single)                    12
           Edit text file                             12
           Options                                    13
           Print routines                             17
           Descendant chart                           17
           Ahnentafel                                 18
           Name and number print                      18
           Last names                                 20
           Word search                                20
           Printer strings                            21
           Backup data files                          21
           Tree chart                                 22
           Ancestor charts                            23
           Group sheets                               23
           Register style reports                     24
           Descendant box charts                      26
           Four family box charts                     27
           More ancestor reports                      27
           Merge two databases                        27
           Split one database                         27
           Import or export gedcom                    28
           Utility program                            30
           Appendix A.  How to correct problems       32
           Appendix B.  Printer problems              34
           Appendix C.  Explanation of relationships  35
           Appendix D.  Sample printouts              37
           Appendix E.  Changes from prior versions   38
           Appendix F.  Converting from version 4.5   40
           Appendix G.  Suggestions and help          40
           Appendix H.  Technical stuff               41
           Appendix I.  Alt keys                      42
           Appendix J.  Shareware                     43
           Appendix K.  Config.sys file               44
           Appendix L.  Custom reports                46
           Appendix M.  Commonly asked questions      48
           Index                                      52

                           Brother's Keeper 5.1                     Page 1



     DESCRIPTION OF THE PROGRAM

     BROTHER'S KEEPER is a set of programs that will help you organize your
     family tree information, and that will print the information in several
     ways.  You will be able to print descendant charts that show how anyone in
     the file is related to everyone else.  You also may print ancestor charts,
     family group sheets, alphabetical name lists, descendant trees, birthday
     lists, ahnentafel charts, box charts, and customized reports.  For each
     person entered you may include a date of birth, a date of death, and three
     other dates, and you may store a place of birth, a place of death, and a
     place for three other events.  You may record source information for every
     date or location. You also may enter two additional fields that you may
     define.  Each person may have up to seven message lines of additional data
     or a text file of unlimited size containing additional data.  Fields are
     available to store the person's current mailing address.  Each person may
     have up to eight marriages stored.  Each marriage record can hold a
     marriage date, a place of marriage, one additional date and place, and
     divorce information, and the marriage can connect up to 24 children.

     You will need 512K or more of RAM memory in your computer to run the BK
     program (640K is recommended).  This program may have problems if you have
     memory resident programs running also.  It is strongly recommended that you
     install the program and the data files on a hard disk because the program
     will run very slowly if the data is on a diskette.

     Note: If you have used a different genealogy program, read Appendix F for
     information about converting data from other programs.

     Read the README.DOC file for changes to this manual.

     SETTING UP YOUR DISKS

     If you have problems starting the program, then read APPENDIX M.

     NOTE: If you already have data in Brother's Keeper files, make a backup
     copy of the data before installing a new version.  If there are data files
     on the diskettes, they may copy over your existing data files, so make a
     backup copy of your data before installing a new version.

     If you have a HARD DISK, create a subdirectory called BK5.  To do that, at
     the C:> prompt, type:   MD \BK5  <enter>   Then change to that directory by
     typing:  CD \BK5    Then put disk number 1 in the A: drive and then type:
     COPY A:*.*  C:\BK5 <enter>   to copy all the files on the program disks
     into the subdirectory.  Repeat the same copy command for each disk of the
     Brother's Keeper disk set.  To run the program just change to that
     directory  CD \BK5   and then type BK5 and the program will start.  You may
     enter up to 1,000,000 names with this version (if you have enough disk
     space).

     If you have a 2 DISK DRIVE computer (no hard disk), then put the BK program
     disk in the A: drive and have a separate blank formatted disk available for
     the data files.  Start the program by typing BK5.  The very first time you
     start the program it will say, "if you have only 1 disk drive, insert the
     data disk now."  This does not apply to you since you have your data disk
     in the B: drive so just push enter.  The program should then ask you for a
                           Brother's Keeper 5.1                     Page 2


     "path" and you would type B: since that is where your data will be.  You
     may put about 1000 names in the data files before you will fill up a 360K
     disk and about 2000 names if you have 720K disks.  However, if you have a
     hard disk, use it for your data files.  Putting your data on a floppy will
     result in the program running very slowly.

     If you have only 1 DISK DRIVE, put BK5.BAT, BTRIEVE, BK5MAIN, and
     LANGUAGE.BK5 on one disk and have a separate blank formatted disk available
     for the data files.  Start the program by typing BK5 /H <enter>.  The /H
     tells the program to stop and say "press enter" after the program is
     loaded.  When it says press enter, take out the program disk and insert the
     data disk.  After inserting the data disk, do not remove it until the
     program is stopped.  To run the other programs that appear on the main
     menu, you will need instead to pick S to stop, and then put in a disk that
     has the program you want and then start that program.  You will need to
     create for each program a batch file that has a first line that is the same
     as the first line in BK5.BAT and a second line with the name of the
     program.  Note that this paragraph only applies to people with only one
     disk drive, such as users of some laptops.

     If you cannot get the program to run, see APPENDIX M.

     GENERAL TYPING INFORMATION

     When you are typing, use the following keys to make corrections:

       Backspace - delete the character to the left of the cursor
       Esc - erase the whole field.  Esc again will restore it.
       Left arrow   - move the cursor to the left
       Right arrow - move the cursor to the right
       Del - delete the character the cursor is under
       Ins      - insert mode - to insert letters
       Home - move the cursor to the beginning of the field
       End - move the cursor to the last character in the field

     If you make a mistake and are past the field where the mistake is, you may
     type Shift-Tab or UP arrow and move back to the field and correct the
     mistake.  Then push Enter or Tab or DOWN arrow to move forward to the next
     field you wish to input.  On most keyboards, the Tab key is to the left of
     the letter Q.

     *  You may set up Alt-keys to repeat any name or city (see Appendix I).

     *  You may type  "  to duplicate a location name that is above.

     *  If you want to type an accented or foreign letter, hold ALT and press F2
     and a chart will pop up.  Then hold ALT and type the number that you want
     on the number keypad.  Then release ALT.

     *  Press F4 to display the mailing address fields, and then press CTRL-L
     (Control L) to print a label.  If a person has an address entered, the
     letter "A" will be above the name on the modify screen.


     The main menu of Brother's Keeper will show all the routines and programs
     that you may run.
                           Brother's Keeper 5.1                     Page 3


      Add names or link        Tree of descendants
      Modify or look           anCestors
      Individual add (single)  Group sheets
      Edit text file           Register style report
      Options                  Box charts (descendants)
      Help                     4 family box charts 
      Descendants              3 more ancestor reports 
      ahnentafeL               merge 2 data files   
      Names-custom-birthday    split 1 database     
      Word search              gedcom import/eXport
      Print strings            Utilities program
      bacKup data files        Stop


     To select the routine you want to start, either type the letter that is
     capitalized (or the number) or else use the arrow keys to select the
     desired routine and then press enter.  Each menu choice will be described
     below.

     ADD NAMES OR LINK

     You use the Add routine to add new people to the file, and to link together
     people who were previously entered.

     The Add screen shows husband information in the top section of the screen,
     wife information below that, the marriage information next, and then child
     information.  After each child is added, that child's information is erased
     from the screen and another child may be added.  The way to add people is
     first to type in the husband, then the wife, then the marriage information,
     then each of their children in order.

     You may start entering families in any order that you wish.  You may start
     with yourself, or with your oldest known ancestor, or with anyone else that
     you wish.  The reports will look the same, regardless of which family you
     enter first.  An example of adding a family follows a discussion of the
     fields.

     When you are Adding someone, you may enter the following information:

                                        (size of field)
       PERSON'S NAME                         40
       SEX M or F                             1
       DATE OF BIRTH                         15
       PLACE OF BIRTH                        40
       DATE OF DEATH                         15
       PLACE OF DEATH                        40
       3 OTHER DATES                    15 each
       3 OTHER PLACES                   40 each
       REFERENCE                             15
       OCCUPATION                            25
       MESSAGE LINES (7 lines 78 characters each)
       TEXT FILE                  120 lines each
       SOURCE LINES       (3 lines for each date)
       MAILING ADDRESS (6 lines 40 characters each)

     When you are adding a marriage, you may enter:
                           Brother's Keeper 5.1                     Page 4


       MARRIAGE DATE                         15
       PLACE OF MARRIAGE                     40
       OTHER DATE                            15
       OTHER PLACE                           40
       MARRIAGE CEREMONY Y or N               1
       DIVORCED/SEPARATED/ANNULLED            1
       END YEAR                               4

     The person's name and sex are required information.  The rest is optional.
     The sex is needed so that the program can correctly compute the
     relationships when printing.

     *  When you are entering names, use maiden names.

     All date fields are 15 characters long.  You may type any information into
     a date field and it will be accepted.  If you type a date in the form
     MMDDYYYY where MM is the month, DD is the day, and YYYY is the year, then
     the program will convert the date into a standard format.  If you enter
     MMDDYY (i.e. you only enter 2 digits for the year), the program will
     convert the year to 19YY.  Each date will be converted to whatever format
     (0-9) you have set in the options area.  Format type 0 (zero) means no
     change from the way you type it. The other date formats (1-9) will do a
     conversion on the date you type (provided it is typed as MMDDYY or
     MMDDYYYY).  If you wish to include /'s around the day you may, e.g.
     5/4/1954 is acceptable for input.  The following is an example of how the
     dates will be changed based on the format you have set.  If you enter
     05041954, it will be changed to (based on the date type you have chosen):

          Type 1    04-MAY-1954
          Type 2    04 MAY 1954
          Type 3    05/04/1954
          Type 4    05-04-1954
          Type 5    MAY-04-1954
          Type 6    MAY 04 1954

     Date types 7, 8, and 9 are only used when you want to ENTER dates in
     European date format (DDMMYYYY).  Using the European date input, if you
     enter 04051954 you would get:

          Type 7    04-MAY-1954
          Type 8    04 MAY 1954
          Type 9    04-05-1954

     You may change the option called "Months capital or lower case" on Options
     screen 1 so that the months will appear as May instead of MAY and the day
     will appear as  4 instead of 04.  If you have already entered dates in one
     format and wish to change to another format, you may use the utility
     program to change all dates.

     Generally, if you type in less than 6 digits or more than 8 digits or type
     any alpha characters (A-Z), then no date conversion will take place no
     matter which date format type you have set.  You may, however, type either
     a ? or a _ for parts you don't know and it will still convert.  For example
     if you don't know the day of the month you could type 05__54 and it will
     convert to __-MAY-1954 if you are using type 1 dates.

                           Brother's Keeper 5.1                     Page 5


     Most dates will require 10 or 11 characters when converted.  However, the
     field is 15 characters long to accommodate the exceptions.  If you are not
     sure of a date, you may add additional information.  The program will
     automatically recognize certain 3 character abbreviations such as ABT for
     about, CIR for circa, BEF for before, and AFT for after.  For example, if
     you know a person died before March 15, 1920 you may enter BEF 031520 and
     the program will convert it to BEF 15-MAR-1920 if you are using type 1
     dates.  The abbreviations (ABT, CIR, BEF, and AFT) may be in upper or lower
     case.  You may also enter dates with dual years such as 15-MAR-1680/81

     The location fields each hold up to 40 characters.  These fields will not
     print on the descendant printout, but they do print on the family group
     sheets, the ancestor charts, and on the Register number system printout.
     Since many locations will be repeated, there are a few short-cuts to speed
     up your work. If the location has been entered previously, then type the
     first couple letters and then press the F8 key.  A list of matching
     locations will pop up and you may use the up and down arrow keys to pick
     the one you want and then press enter.  This will guarantee that you are
     consistent in the spelling of the locations and that will result in a
     savings in disk space.  Another short-cut is to use the ALT-keys (see
     Appendix I) to have the program remember 36 commonly used names or
     locations.  Using the ALT-key routine, you can enter a location by pressing
     just two keys.  Another short-cut is that you may enter a quote or ditto
     mark in a location field and the program will copy into that field whatever
     location is shown in the field above.  For example, if you enter the birth
     location as Detroit, Wayne County, Michigan, and then move down to the
     place of death, you may enter either  "  or  '  as the first character in
     that field and when you push enter, the field will show Detroit, Wayne
     County, Michigan.  When you use either the  "  or  '  , the program will
     duplicate the closest non-blank location field above the one you are
     entering.  If you are entering a wife or child, it will even go to the
     person above to find the field to duplicate.

     Some disk space is used for every unique location, however once a location
     has been entered, it does not take any more disk space to have several
     people use the same location.

     Another short-cut when entering locations is = (the equal sign).  When you
     enter = in a location field, it will make the location equal to what that
     same field was for the last person you entered or displayed.  For example,
     if you are entering data for a wife, and she was born in the same city as
     the husband, you may enter = for her place of birth.  When you push enter,
     it will display the same location that you entered for the husband.  This
     is handy for times when  "  would not work because there are other
     locations directly above (such as husband's place of death) that are
     different.  Using = will work even when the last person you entered is no
     longer showing, such as when you are entering children.  If several
     children were born in the same location, you may enter = in the birth
     location and it will duplicate the location for the previous child.  You
     may use = to duplicate any of the five location fields from the previous
     person entered.  Remember that " will copy whatever is currently above on
     the screen at the time, whereas = will duplicate from the same location
     field from the previous person you entered, whether or not the person is
     still showing.

     While you are in a date or location field, you may press the F6 key and a
                           Brother's Keeper 5.1                     Page 6


     screen will pop up allowing you to enter up to three full lines of
     information to describe your source.  The information you are collecting
     and entering about people should be documented so that other people will
     know what your sources were.  Often there will be a conflict regarding a
     date, and after a few years, no one (including yourself) will remember
     where you obtained the information.  So "cite your sources" as the experts
     say.  If the information is from a book, give the title, author,
     publication information, and perhaps where to find the book.  Use the page
     number field to cite a specific page if you wish.  If you are referring to
     a source you have previously entered, just type the first few letters in
     the source field and then press the F8 key to show the complete source.
     Each unique source takes up disk space, but duplicates take up no
     additional space.  If your information is from personal knowledge or from a
     letter from someone, cite that also.  On the modify screen, each date that
     has a source will have a dash on the left of the screen.

     The Reference field (which holds 15 characters) may be useful if you want
     to print out some other information about the person.  For example, if you
     are getting your information from a family history book, you may use the
     Reference space to show the number already assigned to this person.  When
     you print the descendant report, you have the option of printing this field
     in brackets after the name.  In this version of Brother's Keeper you may
     also search and find people based on what is in their Reference field.  For
     example, if you put JS1234 in the reference field, then whenever you want
     to find a person to modify or to print, you may type /JS1234 when asked for
     the name.  The / character notifies the program to search based on the
     Reference field.  If you want to use your own numbering system, put your
     number in the Reference field.  Do not put the / character in the Reference
     field, just use it when searching.

     The program assigns a code number for each person added, but it is not a
     genealogy number.  Genealogy numbers are automatically computed and printed
     on the appropriate reports.  For example, when printing ancestor charts you
     have the option to print the "standard" number for each person.  That is
     the same as the ahnentafel number (starting person is number 1, father is
     2, mother is 3 and so on).  When printing the Register report, the program
     will automatically compute the Register number for each person.

     You may assign any name you wish to the 3 extra date fields, the Reference
     field, and the Occupation field.  Use the options routine to assign new
     names to these fields.  Whatever names you assign in the options area will
     display on the screen and show on the printouts.  If you need to change
     other words in the program or on the printouts, there is a program
     available called BK5WORDS that will let you change any or all of the words.
     This program is used by those wishing to translate the BK programs into
     another language.  The program has been translated into several languages
     already including French, Danish, German, Norwegian, Polish, and Dutch.
     Before you go to the work of translating, check with John Steed to see if
     someone has already translated into the language you want.

     *  After you have entered all the fields that you wish to for a person,
     push F1 (Function 1) and you will be moved on to the next person.

     If you are adding people who are not already in the file, just type in the
     person's information (type the name in normal first-middle-last order).  If
     you are adding a spouse to someone who has already been added previously,
                           Brother's Keeper 5.1                     Page 7


     you may type the person's code number or the person's first and last name
     and then F8 (F8 is the search key).  For example to find John Smith type
     John Smith  then F8.  Since you pressed F8, the program will not add John
     Smith as a new person in the event you misspelled his name.  If you type
     John Smith and press Enter, the computer will search for him, and if he is
     not found, it will add him.

     Let me show you an example to clarify this.  Let's suppose you type in the
     following people.

        Husband - John Smith
        Wife - Jane Jones
        Child 1 - James Smith
        Child 2 - Carol Smith

     After typing them all in, press the F1 key to clear the screen.  Now you
     want to type in information about John Smith's second marriage.  Since you
     have already added John Smith, you now only have to let the computer know
     who you want.  So when prompted for the Husband, either type his code
     number (which we will say is 25 - so you would type 25) or type his name
     John Smith  then F8 and either way the computer would show you his
     information that you entered previously.  The computer would then notify
     you that it has information about his marriage that is already on file.
     You would then be asked if you wanted to display his first wife or add a
     new wife.  In this case you would respond that you want to add a new wife.
     Then the computer would ask you for the Wife information.  After you add
     his second wife and second marriage date information, add the children of
     the second marriage (if any).  Then you push the F1 key to clear the
     screen.

     Let's say you want to add the husband of Carol Smith, the daughter.  (Carol
     has already been added.)  When the add screen prompts you for a husband,
     type in the name of Carol's husband and the other data for him.  When it
     prompts you for a wife, since Carol is already on file, type either her
     code number, (31 or whatever it is), or type  Carol Smith  and F8.  Then
     type the marriage date information and their children (if any). Then push
     F1 to clear the screen.

     Now let's suppose you just found out that John Smith and Jane Jones had a
     third child, a son named Remington.  You would add him this way.  When
     prompted for a husband, type 25 or type John Smith and F8 and John Smith's
     information will show.  The computer will inform you that he has two
     marriages on file.  You will be asked if you want to display one of his
     wives or add a new one.  In this case you are adding a child to a marriage
     that is already on file, so you will choose to display his first wife.
     When Jane is showing as the wife you will be asked if you want to keep this
     wife or display another. You would choose to keep this wife.  When you do
     so, the program will jump to the child area, and will prompt you for child
     #3.  You would then type in the information about Remington.  (If the
     children are in the wrong order, use Modify to correct the order.)

     If you enter "N" in the marriage ceremony field, the program treat the
     couple as having not been married and will avoid printing the words
     "husband" and "wife" and "married" on the reports.  If the field is blank,
     it is assumed they were married.

                           Brother's Keeper 5.1                     Page 8


     If you wish to designate a child as being adopted, a step child, or a
     foster child, then move to the last field for the child (the occupation
     field) and press CTRL-A (control A).  Each time you press it, it will
     change the designation for the father and mother.  This designation
     probably will be included on some of the reports in the future, but
     currently it will show up on the modify screen.  You may also change this
     designation on the modify screen by moving to the occupation field and
     pressing CTRL-A.

     To enter a child under a second set of parents, when prompted for the
     child's name, type the code number for the child or type the child's name
     and press F8.

     So, in summary, when the program is asking for a person - either husband,
     wife or child -  you may type in the person's name (if the person is new -
     i.e., is not already in the file) or you may type the person's code number
     (the number that is assigned to a person when they are added) or you may
     type the name of a person who is in the file and F8 and the computer will
     search and find that person.

     When you type a name and F8, the program searches for a person with that
     name.  It is actually only searching for a person who has the same first
     five letters in the first name and the same first five letters in the last
     name.  Because of this, you do not need to type in middle names when you
     are having the program search.  Also, if the last name is over five
     letters, you may leave off all letters after the fifth.  It is probable
     that more than one person could match when searching.  If there is more
     than one match, the first person to match will display and you will be
     asked if this is the desired person or if you wish to continue searching.
     Push F1 if the person is correct, or push TAB to continue searching.

     When you type a name and push Enter (instead of F8), the program also will
     search for a name that is similar - just like pressing F8.  However, you
     may change an option on option screen 3 so that when you type a name and
     press Enter, it will only show you exact matches in the event there is at
     least one exact match.  If there is not an exact match, it will still show
     you the matches with the first five letters the same in the first and last
     names.  The exact match option may be useful if you have thousands of names
     and do not want to review similar names that are not exact.

     If you are sure that the person you are adding is not already in the file,
     you may press F1 after typing the name (without pressing enter or F8) and
     it will add the person as new without searching the file and without
     showing any matching names.

     If you are not sure of the spelling of a name that is in the computer, you
     may use ? for the first and/or last name.  For example use  ? Smith  to
     find all people with the last name of Smith.  Or use  Joseph ?  to find all
     people with the first name of Joseph.  This will work in the Add, Modify,
     and Print routines.

     If you are entering a family, where the father is unknown, you may use the
     name  *UNKNOWN  for the father's name, and there will not be any reference
     to a father on any reports.  The name *UNKNOWN will not print.  The
     computer will not save any information about a person with *UNKNOWN for a
     name.  It is just a way to bypass a person and allow you to enter children
                           Brother's Keeper 5.1                     Page 9


     with only one parent.  If you want to save information about a person, but
     do not know the name, you may use _____ _____ for the name.

     When you are prompted for the name of a child, you may press F9 to display
     all the children entered so far.  Also, you may press F6 when the child
     name field is blank to go immediately to the Modify routine and display the
     same family.

     In addition to the name field, you may enter an alternate name for each
     person.  After you have entered a person's name, you may press F6 while at
     the name field to enter the alternate name.  This alternate name is
     currently used as the person's current name when printing birthday lists.

     Remember when you are adding to the file that you should make copies of the
     data files regularly.  You do not want to have to add all these names again
     in case of a disk going bad (it happens) or a bug in the program (it
     happens).  You may use the Backup menu item to copy all the data files to
     another disk.  If you are using a hard disk and the files are too large to
     copy to a floppy, then use the DOS BACKUP command or use another backup
     program.  You also could use a program such as ARC or PKZIP to make a
     compressed copy of the data files.  A program such as ARC will compress the
     data files down to about one quarter the regular size.  (The actual data
     files are not reduced but the compressed copy may be saved on a floppy
     disk.) .  If you have your data on a floppy then use DISKCOPY to make a
     copy of the diskette.

     Have at least two different backup copies of the data disk, and in case of
     a major problem, make more different copies before you attempt to fix the
     problem in case you make matters even worse.  These suggestions come from
     years of experience with computers and years of experience in making
     matters worse.

     MESSAGE LINES

     If you want to put in other information for a person, you may do so using
     message lines (up to 7 lines) and text files (unlimited length).  Since
     there is not room to show these message lines on the screen all the time,
     you may see or add message lines by moving the cursor to any date or place
     field and then pressing the F5 (Function 5) key.  The bottom of the screen
     will then clear and display any existing messages for the person and let
     you add or modify the messages.  After you are finished with the messages,
     they will be replaced on the screen by the child information.  Remember
     that there are separate message lines for the husband and the wife.  Since
     message lines will not always be showing, the computer will notify you if a
     person on the screen has some message lines already.  It does this by
     putting the letter M on the screen on the line above the person's name.  If
     you need more than 7 lines, see text files below.

     The descendant report and group sheet routine will let you print message
     lines.  Each time you run those routines you will have the option to print
     no message lines or all message lines or certain message lines about a
     person.  You might have certain messages that are only for your information
     about a person and other messages that you wish to print out.  There is a
     way to designate certain message lines that you wish never to have printed
     out.  If you want to enter a message line, but never have it print out,
     then start the message line with the # character as the first character in
                           Brother's Keeper 5.1                     Page 10


     the line.  For example, you could enter a message line as follows:

     #Committed suicide.

     Any message line that starts with the # character will not print, even if
     you ask for all message lines to print.  If you want some message lines to
     print some of the time and all the message lines to print at other times,
     start each message line that you want to print some of the time with an
     asterisk * as the first character in the line.  When printing, you may
     choose the option to print only message lines that start with an asterisk
     and other message lines will not print on that report.  (The * will not
     print; it is simply a code to tell the computer which lines you want to
     print.)  If you want either all message lines or no message lines to print
     on some reports, you do not need to start each line with an asterisk, just
     choose the correct option regarding message lines when printing.

     In addition to the 7 message lines, you also may designate a text file to
     be associated with a person.  To do this, go to the message lines section
     for a person and type at the beginning of any message line two dollar signs
     and then the name of a text file.  For example, if you have a text file in
     the \WP50 directory called SMITH.TXT you would type a message line of
     $$C:\WP50\SMITH.TXT  (Nothing else should be after the name of the text
     file on that message line.)  Then, whenever you are running a print routine
     that is printing all message lines, it also would print the file SMITH.TXT.
     The text file can be created by any word processor, provided it is saved in
     ASCII format or DOS text format.  (That is the format that you may read
     directly on the screen by using the DOS command TYPE.)  Each line in the
     file should have no more than 78 characters in it.  If you do not want to
     use your word processor to create the text file, you may use a limited 120
     line editor that is included in this program.  You start the text editor by
     entering a message line starting with $$ and the name of the file and then
     pressing F5 again.  The file name may be up to 8 characters long followed
     by a period and then up to 3 more characters.  There should be no spaces
     between the first $ and the last letter of the name.

     The text editor has a few features to help you when making changes.  If you
     wish to insert a new line between two existing lines, then press F9.  If
     you wish to delete a line, then first make the line blank (by pressing ESC)
     and then press F7 to remove the blank line.  If you wish to move a line,
     press Alt F10, then when it is blinking, press Alt = (Alt and equal) then
     move to the new location and press Alt = again.  The editor has a word wrap
     feature and includes mouse support.

     MODIFYING

     *  If you want to LOOK at a person's information, use the modify routine.
     Then after looking, push F1 (Function 1) to return to the menu.

     The modify screen will ask you for a person's code number or name.  When it
     finds the person, it will show the person, the person's mother and father,
     the person's spouse, and the names of the children.  You may then modify
     any information about the person and the marriage.  (You may not change the
     sex of the person if the person is married.)  To change information about a
     person showing, use the up and down arrow keys to move to the field to
     change and type in the correct information. If a person has more than one
     spouse, you may display the other spouses in this manner:  when the cursor
                           Brother's Keeper 5.1                     Page 11


     is at the bottom right corner, push the F9 key (Function 9) and the next
     spouse will display along with the children from that marriage.  If you
     want to change date or location information about the parents, spouse, or
     children, then you would need to switch to them (see below) as the person
     to modify.  If you want to add the parent's names, use the Add routine, not
     the Modify routine.  If you want to delete the parents (because of an
     error) then switch to one of the parents as the person to modify, and then
     pick D to delete the child.

     This same modify screen may be used to delete a child who was put in a
     family in error, to change the order of children, to delete a spouse who
     should not be married to this person, and to change the order of spouses.
     If you want to do one of these four things, type one of the following when
     the cursor is at the bottom right corner.

       R  =  rearrange the order of the children who are showing
       D  =  delete a child who is showing
       W  =  change the order of a spouse
       X  =  delete a spouse

     When you delete a child or delete a spouse, the child or spouse will still
     exist in the file, however they will no longer be connected to this person
     in any way.  You are then able to add that person as a child of someone
     else, for example.  If a person has the wrong parents, modify one of the
     parents and delete the child.  If you want to add the parents for a person,
     use the add routine from the main menu.

     When you want to rearrange the order of children, you will be shown the
     children in their current order with the word OLD above their code numbers.
     You will then be allowed to type in the code numbers in the correct order
     under the heading of NEW.  Type in the code numbers in the correct order
     and then press F1 and the computer will move the names of the children into
     the new order.

     To completely DELETE someone from the file, press / while on the bottom
     line.  You will be asked if you really want to delete the person, and if so
     it will remove the person and delete all links from that person to parents,
     spouses, and children.  After a person is deleted, that code number is not
     used again, but the disk space is reused by the next person you add.
     Perhaps in a future version there will be a way to reuse the number.

     There is no reason for you to have to reuse a number, but since a few
     people may want to do so, here is a method to use instead of the above
     method.  To delete a person and allow the number to be reused:  First, be
     sure that person is not linked to anyone else.  Use Modify to call up the
     person and check that the parents say "not entered" and the spouse and
     child areas are blank.  Then change the name to NOT USED and also blank out
     all the date and location fields and message lines.  Then, the next time
     you are adding children to someone, type the code number that you wish to
     reuse.  It will display any information about the person who previously had
     that number.  Then use the UP arrow key to move up the fields to the name
     field.  Type the new correct name and then all the correct date and
     location information.  The new information will be stored with that code
     number and the person will now be linked into a family.

     Often, when you are looking at someone on the modify screen, you want to
                           Brother's Keeper 5.1                     Page 12


     display someone else who is closely related to the person showing.
     Therefore, there is a quick routine for doing this.  When the cursor is at
     the bottom right corner of the modify screen, you may type one of the
     following characters to move quickly to another person.

       F  =  display the person's Father
       M  =  display the person's Mother
       S  =  display the person's Spouse
       1  =  1 to 9 to display child 1 to 9.  0 is 10.  Shift-1 is 11
       O  =  display the next Older brother or sister of this person
       Y  =  display the next Younger brother or sister of this person

     If the person you are displaying is married, then you may also press F6 and
     you will go immediately to the Add routine so that you may add more
     children to the family.

     If the person you are displaying has two sets of parents, you may press the
     F8 key to see the other set of parents.  The parents that are shown when
     you first display a person with modify are the primary parents, and the
     other parents are the secondary parents.  When you print an ancestor chart,
     the primary parents will show.  If you wish to switch the primary and
     secondary parents for someone, then on the bottom line of the modify screen
     type the : character.

     INDIVIDUAL  ADD  (SINGLE)

     Some people want to be able to add a person to the files without having to
     link the person to a spouse or parents.  To do this, use the individual add
     routine.  You may enter a new person using this routine, and then link the
     person to others at a later date using the normal add routine.  One case
     where this routine might be useful would be if you have information on a
     person that you know fits into your family somewhere.  You could enter the
     person, and then when you find the connection later, you may link the
     person to others without having again to look up all the details about the
     person.

     EDIT  TEXT  FILE

     The E routine will allow you to create or edit a text file with up to 120
     lines of text.  (You also may access this editor by pressing F5 when in the
     message line area.)  This is useful if you need to have more than 7 message
     lines for a person and are using the $$FILENAME option on one or more of
     the message lines (as described above in the add section).  You may use
     this routine to create the file instead of having to stop the program and
     start your word processor.  Although this is a quick way to edit files, it
     is limited in features.  Besides the normal editing keys, the text editor
     has a few features to help you when making changes.  If you wish to insert
     a new line between two existing lines, then press F9.  If you wish to
     delete a line, then first make the line blank (by pressing ESC) and then
     press F7 to remove the blank line.  If you wish to move a line, press Alt
     F10, then when it is blinking, press Alt = (Alt and equal) then move to the
     new location and press Alt = again.

     If you do not have a word processor, I would suggest the shareware program
     PC-WRITE that is available from several sources.  You cannot use the E
     routine of Brother's Keeper to edit an existing file that is longer than
                           Brother's Keeper 5.1                     Page 13


     120 lines.  If you use your word processor to create a file, there is no
     limit to the number of lines you may enter.  The print routines that print
     all message lines will print the entire text file that you have named in a
     message line.

     If you use a word processor to create your text files, be sure that the
     file is saved in ASCII format and not in some special format that is unique
     to that word processor.  The ASCII format is the format that can be read
     from DOS with the TYPE command.  If you are at the DOS prompt (A: or C:)
     and enter TYPE and then the name of the text file, you should be able to
     read the text file on the screen.  If you see strange characters, the file
     is not saved in ASCII format.  Some word processors always save files in
     ASCII format, but most word processors have their own file format but also
     have an option of saving files as ASCII.

     OPTIONS

     The O options routine will let you change certain parameters. The first
     screen appears as follows:

                                   Default value
                                   color    mono
       Form color                   (3)  or (7)
       Data color                   (7)  or (15)
       Background color             (1)  or (0)
       Date format (0-9)            (1)
       Months Capital or Lower      (0)
       Name for date below Born      Baptized:
       Name for date below Died        Buried:
       Name for date 2 below Died       Other:
       Name for bottom line at left       Ref:
       Name for bottom in center   Occupation:
       Name for date below married      Other:
       Menu default 1=Add 2=Modify  (1)
       Special effects? curtain   (yes)
       Beginning output   (printer or display)
       Push Enter if 1 character    (no)
       Character for # ASCII(35)    (35)
       Path for data files     (drive or path)

     On this screen you may change the colors, change the conversion format for
     the dates (see the ADD section above for description of date types), and
     have the dates converted to upper or lower case.  Also you may change the
     names that will appear for the other date fields and for two other fields.
     Whatever description you put here in the options section will show on the
     Add and Modify screens and on the printouts.  You may have the main menu
     default to highlight either the add line or the modify line, and you may
     cause the program to use special effects (like the opening and closing
     curtain.)  The program may be set to start up with the output going to the
     printer or the screen (you may also change the output at the main menu by
     pressing F9.)  You may either require the pressing of the enter key after
     filling a one character field, or you may have the program not require
     pressing enter.  If your printer cannot print the # character, then change
     the value from 35 to a value that prints a symbol that you want printed
     before a person's code number.

                           Brother's Keeper 5.1                     Page 14


     The line for the path for the data files tells the program where your data
     files are located.  That line should contain the drive and subdirectory
     name that will contain your data.  For example, it might be C:\BK5 or it
     might be C:\SMITH or whatever directory name you have set up.  The data
     files are the files that contain all the names, dates, locations, sources,
     message lines, and mailing addresses.  Those files have names that end with
     the letters DT5.

     After you push F1 you will see screen 2, which has the printer options.

     Ascii vertical          (179)
     Ascii horizontal        (196)
     Ascii corner            (192)
     Ascii vert/right        (195)
     Ascii horz/down         (194)
     Print generation bar    (yes)  1  2  3  4
     Printer LPT1 or LPT2    (LPT1)
     Date format top of form  (1) 1 = 01-JUN-1991
                                  4 = 06-01-1991
     Pause after each page    (no)  continuous
     Compress print on        (15)
     Regular print on         (18)
     Bold print on            (27)  (69)
     Bold print off           (27)  (70)
     Can it bold/w compress   (no)
     Can printer backspace    (yes)
     Can it CR w/out LF       (yes)
     Graphic spacing sideways (18)
     CR/LF for end of line    (0)
     Print string 1
     Print string 2
     Print string 3

     The utility program (pick U from the main menu) can help you in setting up
     the codes for your printer.  The defaults shown above work fine for dot
     matrix printers such as Epson and IBM.  For the HP Laserjet printer, the
     utility program will set up the codes:

       Compress     27 38 107 50 83 0 0
       Regular      27 38 107 48 83 0 0
       Bold on      27 40 115 51 66
       Bold off     27 40 115 48 66

     If that does not work on your model of Laserjet, you may wish to try:

       Compress     27 40 115 49 56 72 0
       Regular      27 40 115 49 48 72 0

     The first five numbers on option screen 2 are the characters that are used
     when printing the tree chart (T from the main menu).  If your printer does
     not print graphic lines for the tree chart, first try changing the dip
     switches in your printer to set up the IBM character set (look in the index
     of your printer manual under "dip switches" or under "character sets") and
     if that does not work, change the top five numbers as described in the
     description of the Tree routine in this document.  The "print generation
     line" refers to the numbers 1  2  3  4  5  6 at the top and bottom of the
                           Brother's Keeper 5.1                     Page 15


     descendant report (D on the main menu).

     If you do not know the answer to the 3 "can" questions about your printer,
     you may run the printer test routine by typing a T at the bottom right
     corner of option screen 2.  The test routine will show you if your printer
     can backspace, if it can do a carriage return without a line feed, and it
     will show you whether your codes for compress, regular, and bold are
     correct.

     The three print strings allow you to save any information you wish to send
     to your printer later using the P routine.  You may wish to change to a
     different type style, change the orientation for your laser printer, or set
     a left margin.  Each of these strings can be up to 42 characters long.  Set
     up the ASCII decimal values you wish to send to the printer with a comma or
     a / between values.  For example, if your printer has a NLQ (near letter
     quality) mode, you could set print string 1 to be:

       /27/52

     and then when you send print string 1 to the printer using P from the main
     menu, the printer will be set to NLQ mode which will make the family group
     sheets look better.

     Consult your printer manual to see what features your printer has and what
     ASCII decimal codes must be sent to activate them.  If you need more codes
     than what will fit on one line, you may use two lines and then send both
     lines.  You may want to set string 3 to the code that resets your printer.
     You may even send short character strings to the printer by entering the
     decimal values for each letter.  Note that most of the reports start by
     sending to the printer either the codes for regular size or compress size
     letters.  Sometimes this will change your printer setup.  For example, if
     you use the print strings to send codes to your printer to print in near
     letter quality mode, and then you start the D routine for descendants, your
     printer probably will not print in near letter quality because the D
     routine sends the codes for compressed print.

     Option screen 3 appears as follows:

     Character before last name     [
     Character after last name      ]
     Label size (lines top to top)  6
     Which address lines to print   1 2 3 4 5
     Put changes in BKAUDIT         no
     Show date of change            no
     Character to never print mess. #
     ASCII for vertical bar         124
     Enter will search exact names  no
     Printer codes for superscript
     Printer codes cancel superscript

     On option screen 3 you may specify which characters to use to surround
     unusual last names.  (See last names section.)  Also you may set the size
     of your labels that you use for printing addresses.  The size you set here
     is the total number of lines from the top of one label to the top of the
     next label.  You may also tell which mailing address lines to print on the
     label, and in which order.  For example, if you have the phone number on
                           Brother's Keeper 5.1                     Page 16


     line 6 you may leave it off the printed labels, or you could print it as
     the first line if you want.

     If you answer yes for the BKAUDIT file, then when you make changes to a
     person using the modify routine, the changes will be written into the
     BKAUDIT file.  The file will show the date you made the change, the
     person's code number, the field you changed, and the old and new value.
     The program can currently show changes made to the name, any of the five
     dates, the Ref and occupation fields.  It does not currently show changes
     made to the location fields, the marriage information, or the sources.
     This BKAUDIT file, if used, will continue to grow in size until you delete
     it.  To see what is in it, you may print the file or display it on the
     screen using either your word processor or the DOS command TYPE.  Do NOT
     use your word processor to view any of the BK data files (that end with the
     letters DT5) or they will be damaged.

     If you elect to show the date of last change, it will display the date on
     the top line of the modify screen.  The date shown will be the date the
     person was added, or the date a change was made with modify.  Currently, if
     you move the cursor into any of the fields for a person being modified, it
     will change the date even if the field was not changed.

     Message lines that start with the # character (or whatever character you
     set up on option screen 3) will never print out even if you ask for all
     message lines to print.

     The vertical bar character is the character that is used on the ancestor
     charts, and the compressed group sheets.  It is normally the | character
     which is ASCII 124, but you may change it to the graphics character ASCII
     179 or another character.

     If you answer no on the line about "enter will search exact names," then
     when you type a name and press enter, the program will show you all names
     with the same first five letters in the first name and the same first five
     letters in the last name.  (This is basically the way version 4.5
     operated.)  If you answer yes for this option, then if you type a name and
     there is at least one exact match, then only exact matches will be shown.
     If you want to see non-exact matches you could still do so by typing the
     name and pressing the F8 key instead of the enter key.  For example, if you
     have 15 people named Robert Jones, you might want to set this option to yes
     so that when you type the complete name, including the middle name, you
     will not have to skip through all 15 people.

     The codes for superscript should be set up using the utility program (U
     from the menu) to pick your printer.  If your printer is not Epson
     compatible or HP compatible, you may have to set up the superscript codes
     manually.  These codes are used when printing footnotes in the group sheet
     routine or the register report.  On group sheets, the footnote numbers will
     be in superscript at the bottom, but not up by the locations.  This was
     done intentionally because with several date and location lines all
     together, the footnote numbers, if superscripted, look confusing; they
     would appear to be subscript numbers for the line above.

     HELP

     Choosing H from the main menu will give you a summary of some of the
                           Brother's Keeper 5.1                     Page 17


     information in this documentation.  Even though it is brief, it may remind
     you of what you need to know.  Also pay attention to the bottom line
     whenever you are in the add or modify mode, because it will show you your
     choices as you are entering data and moving from field to field.

     PRINT ROUTINES

     In any of the print routines (e.g. ancestor, tree, group sheets,
     descendants) you may type a person's code number or the person's name when
     specifying who to print.  You may type a question mark (?) in place of a
     first or last name that you are not sure of.  When given a print option,
     the default answer will show and you may push enter to keep that response
     or you may type in a different response.

     All print routines may have the output sent to the PRINTER, to the SCREEN,
     or to a DISK file.  (You may use the Options routine to set up a default so
     that each time that you start the program it will be set for either the
     printer or the screen.)  Whenever you are at the main menu, push F9 if you
     wish to change the output.  There are two ways to write to a disk file.
     One way is to include the control codes (such as compressed and bold).
     This is useful if you want to print the information later.  The other way
     is to send the output to a file without control codes.  This method is
     useful if you wish to use a word processor to edit the file.  (If you wish
     to save the output of an ancestor chart without control codes, you probably
     should first temporarily set the printer options to "cannot backspace" and
     "cannot CR without LF" since that report tries to underline the names if
     possible.)

     If you send the output to a disk file, you may type the name for the disk
     file or use the default name (which is the date.)  If you send several
     printouts to the same file, it will append to the file (add to the end of
     the file).  The output file may later be edited with a word processor or
     desk top publishing program, or may be sent to a printer with the copy
     command.  You may edit a file you create in this way, but never edit one of
     the BK data files (all BK data files end with the letters DT5).

     If you are printing a multi-page printout and the second and following
     pages do not start at the top of the paper, it means you need to set your
     "top of form" on your printer.  To set the "top of form," move the paper to
     the top of a page, then turn the printer off, then back on again.  Once you
     set the top of form, it will remain set correctly as long as you do not
     turn the knob on the printer.

     DESCENDANTS REPORT

     Choosing D from the main menu will print the descendants of any person.
     You will have the option to print code numbers and message lines.  You also
     have the option to double space and to print relationships.  (The utility
     program also has the ability to compute relationships.)  The descendant
     routine will show up to 20 generations.  A sample printout appears in
     Appendix D.  If you wish to show more information about each person, try
     printing the register report or the indented report (by choosing R from the
     main menu.)

     The D routine assumes your printer can print 132 characters in compressed
     (or condensed) mode.  It sends the codes to put the printer in compressed
                           Brother's Keeper 5.1                     Page 18


     mode.  If the report does not print compressed on your printer, then use
     the utility program (U on the menu) and set up your printer with the "pick
     a printer" choice.  You also could go to option screen 2 and enter the
     codes.  If your printer can print more or less than 132 characters, you may
     type in a different number when asked for the number of characters per line
     (the range is from 70 to 250).

     The descendant report prints a series of numbers at the top and bottom of
     the page.  These are generation numbers and they line up with the
     indentations for each new generation.  If you prefer to eliminate those
     numbers, you may go to option screen 2 and enter a zero for the line that
     says "print generation bar."

     AHNENTAFEL

     The L routine will print an Ahnentafel list (Ahnentafel is from a German
     word meaning ancestor table).  This is a list of ancestors of a person,
     without drawing a chart like the Ancestor routine.  You have the option to
     show relationships (such as Parent, Grand Parent, etc.).  This routine will
     show standard code numbers starting with 1.  The father of any person has a
     standard code number of double the child.  The mother of any person has a
     standard code number of double the child plus 1.  The Custom report routine
     is used when printing so that you may choose which information to print
     about each person.  See Appendix L for more information about custom
     reports.

     For example, when you pick L, it will ask who you want to print the report
     for.  You type the person's name or code number.  Then it reads all the
     ancestors into memory.  Then you set up a custom report (or use a
     previously saved custom report).  If this is your first time using custom
     reports, you could pick field 2 for the person's name, and then 40 for the
     name length, and then 4 for the person's birth date.  Then when you press
     F1, the report will print.  Note that the ahnentafel report will add the
     standard ahnentafel code number at the beginning of each line, so the line
     length will be about 8 characters longer than the total of the fields you
     pick.

     You also should try the other ahnentafel report that is available by
     choosing "3" from the main menu.  That ahnentafel will print a paragraph of
     information for each person, and it also can print more generations.

     NAME, CUSTOM, BIRTHDAY PRINTOUT

     Option number 1 of the N routine will print all names, birth dates, and
     code numbers in numerical order.  If a name field is blank or is equal to
     "Not used" or is equal to "*UNKNOWN" or if a person has been deleted then
     it will not print.  Option number 2 also will print everyone, but it allows
     you to custom design a report with any information about each person.  See
     Appendix L for information on custom reports.

     If you pick option number 3, you will create a file called ALPHA1.DTA which
     may then be sorted alphabetically.  (You may create a file of all names or
     just the descendants of a certain person.)  Each person's name will
     automatically be changed to last name first (see LAST NAMES below).  This
     file may then be sorted into a file called ALPHA2.DTA and when that file is
     printed (option 4 or 5), you will have an alphabetical list.  Remember,
                           Brother's Keeper 5.1                     Page 19


     before you can pick routine 4 or 5, you must first run routine number 3 to
     create the file ALPHA1.DTA and then sort it.  After the file ALPHA1.DTA is
     created, you may sort the file while still in the Brother's Keeper program
     if you have enough memory and if the SORTF.COM program is with your BK
     programs.

     If you are not able to sort from within the BK program, then you must stop
     the program in order to sort the file.  To sort the file use the SORTF
     program.  Copy the SORTF.COM file to your disk and then type SORTIT which
     is a batch file to sort the file.  (To run the batch file, the files
     SORTIT.BAT and SORTF.COM should be on your data disk or in the same sub-
     directory as the data.)  If you do not have the SORTIT batch file, just
     type:

     SORTF  ALPHA1.DTA   ALPHA2.DTA

     The sort may take a minute or so, depending on how many names you have.
     (The ALPHA1 file and the sorted file will each use up 59 bytes of disk
     space for each name.)  When the sort is finished, restart the BK program
     and run the N routine option 4 or 5 to print the alphabetical list.

     You may run options 4 and 5 several times without having to sort the file
     again.  However, you will need to sort again if you add people to the file.

     Option number 6 will create a file (called BIRTH1.DTA) that can be sorted
     to print a birthday list.  This routine will only include people who are
     still alive (the date of death field is blank) unless you specify
     otherwise.  This routine also will attempt to give married women the
     correct last name, even though you entered their maiden names.  If you
     choose to create a file of the descendants of someone, you also will have
     the option to include other people in the list (just in case you want to
     include a relative who is not part of the descendant list).  After running
     this routine, you may type Enter to sort the file or you may stop the BK
     program and sort the file by typing BIRTHDAY.  That will run the batch file
     that sorts the data.  The same requirements that are discussed above about
     needing the SORTF.COM program also apply to this sort routine.

     After the sorted file (called BIRTH2.DTA) is created, start the BK program
     and pick N then 7 to print a birthday list.  This will show everyone's
     birthday in order, starting with January.

     If the results of the birthday list are not correct, check to make sure
     that the format of your birth dates matches what is specified on option
     screen 1 as far as date type.  (See dates in Add section above.) If your
     dates are not all in the same format, you will get strange results.  You
     may use the utility program to change the format if you wish, but be sure
     to have a backup copy of all your data files before changing the date
     format since sometimes the results are not what you expected.

     The files ALPHA1.DTA, ALPHA2.DTA, BIRTH1.DTA, and BIRTH2.DTA are temporary
     files that may be deleted (if you wish) after printing.  They must be
     recreated anyway if you later want to print an updated report.  You may
     edit these files if you wish to make changes before printing.  DO NOT EDIT
     ANY FILE THAT HAS A NAME ENDING WITH .DT5.

     The .DTA files are created on the same drive or in the same subdirectory as
                           Brother's Keeper 5.1                     Page 20


     the .DT5 data files.  If your programs are on a different drive, or in a
     different subdirectory, you will need to change to that data area before
     sorting with the SORTIT or BIRTHDAY batch files.  It is possible to change
     the batch files so that the drive or path is included in the batch file.
     Just put the drive or path name in front of the existing file names.  For
     example, if your data is in the C:\SMITH directory, you could change the
     BIRTHDAY batch file to read:

     SORTF  C:\SMITH\BIRTH1.DTA  C:\SMITH\BIRTH2.DTA  /+47,4

     If you have modified the batch file to include drive or path names, you may
     then exit the BK program, type the name of the sort batch file, and then
     restart the BK program without having to change directories.

     LAST  NAMES

     Certain suffixes such as Jr and Sr will be ignored by the program while it
     is looking for each person's last name.  If you put a suffix after a name,
     and the program thinks that the suffix is the last name, you may add a
     period after the suffix and the program will skip it and find the correct
     last name. For example, if you put MD after a person's name, you should put
     a period after it so that it will not be alphabetized under the M's.  You
     could end the name with MD. or M.D. and then it should print correctly.
     The program also will attempt to place two part last names in the proper
     order.  If you come across a last name that does not alphabetize correctly,
     then surround the last name with the [ and ] characters.  For example, if
     you enter a name as John Steed of Kent, the program will alphabetize using
     the name Kent, but if you enter it as John [Steed] of Kent, then it will be
     alphabetized under Steed.  The [ and ] characters will not print on the
     reports. The program automatically looks for many two part names such as
     those starting with Van, so the name Jack Van Ek should alphabetize
     correctly without using [ ].  But if a person's middle name is Van, then
     the program may assume it is a two part last name, so put in the name as
     John Van [Brown] and it will alphabetize under the name Brown instead of
     Van.

     WORD SEARCH

     The word search routine, like the other reports, can be either printed,
     displayed, or sent to a disk file.  Press F9 at the main menu to change the
     output between print, display, and file.

     There are two types of Word searches.  The first type will let you enter
     one word or name and will search all fields of each person for a match. If
     you type "Chicago" it will find all people who were born or died in
     Chicago, or have the word "Chicago" in a message line, or even have
     "Chicago" in their name.  The second type of Word search is field specific,
     which means that it searches for a word only in a particular field.  It
     also can search for people with several fields that match, and it uses the
     Custom report format for printing.  This second type of Word search will
     let you find all the females who were born in Chicago in 1950.

     First a discussion of the first type of Word search.  It will allow you to
     search all fields and message lines.  Type the word or words you are
     searching for (capitals or lower case makes no difference).  The program
     will then search the names, dates, locations, and message lines (not text
                           Brother's Keeper 5.1                     Page 21


     files) to find a match and will display or print the names of people who
     have data that matches.  When the end of the file is reached, you will be
     asked if you also want to search the marriage records.  If you wish to
     search the 2 date fields and 2 place fields associated with each marriage,
     then push enter, otherwise you may skip the searching of the marriage file.

     Note that the first word search routine is looking for an exact match to
     what you type in.  So if you type "Joe Doe", it will not match "Joe Q Doe".
     However, the search is useful to find all relatives who were born in, or
     died in, or were married in, a certain city.  You also may match people who
     share a common date.  For example, if you matched "1954" you would find all
     people who were born or died in that year.

     The second type of Word search will let you enter what you are searching
     for in the appropriate field.  If you enter information in more than one
     field, a person will have to match ALL fields in order to be a match.  Some
     of the fields (name and locations and message lines) will allow you to
     enter two words and you may specify whether it has to match both words or
     either word in order to qualify as a match.  Some examples are given on the
     input screen.  You may then use the Custom report format to print the
     matching names.  (See Custom reports in Appendix L.)

     PRINTER STRINGS

     The P routine will send any of the 3 print strings (described in detail
     above in the options section) to the printer.  It also has other print
     strings for laser printers.  If your printer is turned off or reset, the
     strings you have sent will have to be sent again.  You do not need to use
     this routine unless you want to send special information to your printer.
     The normal information such as regular size or compressed size letters is
     sent to the printer automatically when each report starts.

     BACKUP DATA FILES

     You may use the K routine to make a backup copy of your data files.  I
     suggest that you do this on a regular basis.  At some point in time you
     will have a problem, either caused by hardware problems, or software
     problems, or maybe even by you.  I am sure that you do not want to start
     all over again.  So take a minute and make a copy of your files.  I have
     made the process as easy as possible.  Just pick the BACKUP routine and
     then put a formatted diskette in the A: drive or the B: drive.  When the
     Backup is complete, remove the copy and label it with the date.  Have two
     or three different backups and store them in a safe place.  If your files
     are too large to fit on a diskette, then it is very important that you use
     the DOS BACKUP command or that you buy a fast and easy to use backup
     program such as FASTBACK or PC-TOOLS to make backup copies of your data.
     You may find it faster to use an archive program such as ARC or PKZIP to
     archive the data files and then copy the condensed file to a floppy.  If
     you have a single drive computer without a hard disk, use DISKCOPY.
     Whatever the case, be sure you have a couple backup copies of your data.

     No diskette and no hard disk will last forever.  It will fail someday, so
     be ready. If you need to use a backup copy that you made with the K
     routine, you may just COPY the files from the floppy back to the correct
     subdirectory on the hard disk.  If you need to use a backup copy you made
     with the DOS BACKUP command, you will need to use the DOS RESTORE command.
                           Brother's Keeper 5.1                     Page 22


     If you are experiencing any problems, do not backup onto an existing backup
     copy of your data files, but instead backup onto a new blank formatted
     floppy.  Always save the older backup copies when you notice a problem,
     because the problem may also turn up on one of your backup copies, and you
     may have to use an older backup copy in order to restore your data files.
     Try to always have at least two different sets of backup data diskettes
     that were copied on different dates.  For example, today when I am done, I
     can backup to a diskette.  Tomorrow when I am done, I backup to a different
     diskette.  The next day I could backup onto the first diskette again.  That
     way I have two different backups and the chances of the same problem being
     on both backups is reduced.

     It is a good idea to once in a while move one set of your backup diskettes
     away from your computer (in case someone steals your computer and grabs the
     box of diskettes next to it) or even take the backup to a different
     location (in case of a fire).  Some people have been very happy that they
     shared their data with another genealogist because they were able to get a
     copy back after having a disaster on their computer.

     TREE PRINT

     Use the T tree print routine to print a tree chart showing the descendants
     of any person with the parents and children connected with lines.  (If you
     do not get lines printed on your printer, see below for instructions on
     changing the line codes.)  The tree report will print up to 20 generations
     at a time. If you do not have the option set to pause after each page, it
     will print continuously without page breaks until it finishes the left
     section of the chart.  It will then do a form feed and print the right
     section of the chart.  If you are not printing compressed, it also might
     have a middle section.  You also have an option of printing sideways on an
     Epson or IBM graphics compatible dot matrix printer.

     When printing the tree chart, you have the option of leaving names at 40
     characters, or shortening them to fewer characters.  (Names are shortened
     if necessary by removing the middle name.)  The shortened name version will
     be able to print more generations on each page, thus condensing the size of
     the chart.  You may include spouse names, and if you choose a name width of
     less then 40, you may include birth dates or code numbers.

     If you have your output set to the SCREEN instead of the PRINTER, the first
     22 lines of the tree will display and you are given the option to shift the
     screen image to the left to see other generations on the right.  Each time
     you press the right arrow key, it will shift by one generation.  You also
     may push the down arrow key to see names below. You may move up, down, left
     and right having a total of 66 lines and 10 or more columns.  Press enter
     for the next 66 lines.

     This tree routine is the one that uses the five ASCII codes that show on
     screen two of the options.  These codes are used to draw the lines from
     parent to child.  If your printer does not print IBM graphic characters,
     (see your printer manual for a dip switch to change for IBM character set)
     try the sideways option (if you have a graphics printer) or change the
     codes to the ones your printer uses that look like those that display on
     the options screen.  If you CANNOT get the lines to look right, set the
     options as follows and print regular (not sideways):

                           Brother's Keeper 5.1                     Page 23


        vertical    (124)      |
        horizontal  (45)       -
        corner      (124)      |
        vert/right  (124)      |
        horz/down   (45)       -

     Note: If you have a laser printer that can print landscape, you may set
     your laser printer for landscape mode using the Print string routine ("P"
     from the menu) and then you should print regular (not sideways).  The
     sideways routine in this program is different from the landscape mode of
     laser printers.  Also, laser printer users may have better results if they
     specify a page length of 59 lines instead of 9999.  Also HP laser printer
     users can use the Print string routine at the main menu to send the string
     #13 which is 27, 40, 49, 48, 85 to cause the printer to use IBM graphic
     characters.

     ANCESTOR CHARTS

     The C routine will print an ancestor chart for anyone in the file.  The
     ancestor chart will show the person you choose and that person's parents,
     grandparents, great-grandparents, etc.  Birth, death, and marriage
     information also will print.  You may choose 8 different sizes of charts
     when printing. If you need to print over seven generations, you will need
     to print multiple charts.  For example, you may print a 5 generation chart
     starting with yourself.  Then if you have further ancestors on file, you
     may print other 5 generation charts starting with each of your great-great-
     grandparents.  This would give you a total of 9 generations printed.  Using
     this method, there is no limit to how many generations you may print.  The
     BKAA5 program ("3" from the main menu) does multiple charts automatically.

     The first 6 types of ancestor charts (A - F) and type (H) will shorten long
     names to 30 characters.  This is accomplished by changing a middle name to
     an initial or removing a middle name if necessary.  The (G) type of
     ancestor chart will leave names at 40 characters, but will print only 4
     generations per page.

     If you have a wide carriage printer, the (H) type ancestor chart will print
     6 generations.  This report also works with laser printers that can print
     up to 162 characters on a line in landscape mode.

     When printing a 5 generation chart, you have the option to print code
     numbers, no code numbers, or standardized numbers.  Standardized numbers
     are what you see on hand generated charts and ahnentafel reports.

     When you are displaying an ancestor chart, you may press one key to jump to
     another person.  Press F for father, M for mother, S for the spouse, and
     the number 1 for child number 1, 2 for 2, etc.  These are the same keys
     that are used when browsing on the modify screen.


     GROUP SHEETS

     The G group print routine will print the information for any person along
     with the person's parents, spouse and children.  Any message lines you
     entered may also be printed with this routine if desired.  The group sheets
     are useful if you are organizing your data, creating a book, or you wish to
                           Brother's Keeper 5.1                     Page 24


     send the sheets to relatives for further information.  All fields will
     print for each person.  However, if you are not using an optional field
     (such as baptized), and if you have set the name of the field equal to
     blanks (in the options routine), then that line will not print.  Also, you
     have the options not to print a field if it happens to be blank for some
     people.  Just answer no to the question "do you want to print blank fields"
     and those lines will not be printed.  The program will print the birth and
     death fields and labels even if blank.

     There are many options when printing group sheets.  If you choose All for
     children data, it also will include spouses of children.  If you choose
     Compressed for children, it will print all information for up to 10
     children on one sheet of paper.  If you set a left margin greater than two,
     you probably should print with Elite size or compressed size characters so
     that information is not lost on the right side of the page.  If you wish to
     save the options you have chosen, press F5.  The last option lets you add 4
     personal message lines to each page so that you could put instructions and
     your address on each page.

     You may print people one at a time, or you may choose to print a range of
     numbers, or everyone who is a descendant of or ancestor of a certain
     person.  When the program asks for the name of the person to print, you may
     type the name, or number, or type an R to print a range of numbers (or all)
     or an A to print all the ancestors of someone, or a D to print the
     descendants of someone.  If you type a D, you will then be asked for the
     name or number of the person for whom you want all descendants printed.  If
     you type an R, you may either get a group sheet for everyone in the range
     you specify (2 sheets for each family - one showing the husband first and
     one showing the wife first) or you may choose to get 1 group sheet per
     marriage.

     REGISTER STYLE REPORTS

     If you choose R from the main menu, a program will start that will let you
     print register reports, indented reports, or 3 by 5 cards.  The register
     and indented reports will print all the information about all the
     descendants of a person and will optionally print an alphabetical index.
     If you intend to publish a book and use the register style report, you may
     set the output to go to a disk file and then use your word processor or a
     desktop publishing program to enhance the book.  The second choice for
     output to a disk file will use tabs instead of spaces at the beginning of
     the lines, and that will help if you intend to use a proportionally spaced
     font and if your desktop publishing program can handle the tabs.

     The register and indented reports will give you several options about what
     information to include and how the report will look.  If you choose to have
     page numbers, it also will prepare for an alphabetical index at the end.
     When the report is finished printing, you will have the option to prepare
     an index file, and then sort the file.  If your database is large (over
     2,000 names), you may have to exit the program and sort the index and then
     restart the program and print the index.  If your database is very large
     (over 20,000 names), it may not be able to prepare an index.  In case of a
     printer problem part way through printing a long report, remember then you
     may set the output to go to a disk file (press F9 at the menu) and then you
     may edit or print part of the file.

                           Brother's Keeper 5.1                     Page 25


     The register report uses a numbering system where the first person is
     number one, and the children are numbers two, three, four and so on.  Each
     person is given a number if they have children.  To see more information
     about a person who is listed as a child, look for the same number in the
     next generation.  To see who a person's parents are, look for the same
     number in the previous generation.  The names are printed one generation at
     a time.

     Here are the specific questions when printing a register report (the
     questions for the indented report are similar).

     Print how many generations?  If you wish, you may enter a number less than
     the maximum (currently 20) that the program will handle.

     Children's names.  Pick how you want the children's names to print the
     first time, when they will be printed more fully later. If a child will not
     be printed later, then the full name will print.

     Abbreviate to b. and d.  You may choose to have either the abbreviations or
     the full words for born, married, died, and buried.

     Include which message lines.  If you have entered message lines for people,
     you may have them included in this report.  If you choose A for all, then
     all message lines and text files will be printed.  If you choose * then
     only those of the seven message lines that start with * will print.  If you
     choose unformatted, then all the message lines and text files will print,
     however they will print exactly as you entered them and they will not be
     reformatted to the line length of this report.  The unformatted option is
     also useful if you have very large text files and if this report gives you
     a message that it is not able to reformat a file because of its size.

     Print spouse messages also.  If you indicated that you wanted to print
     message lines, you will be asked if you also want to print the spouse's
     messages.

     Label the generations.  You may choose to have the header between the
     generations either say just "Next Generation" or say "Second Generation"
     and "Third Generation" and so on.

     Regular size or compressed printing.  You may choose the size for the
     characters and the program will send the proper codes that are in the
     options area.  If you choose "U" for unchanged, then no codes will be sent
     to the printer and it will remain in whatever mode it is currently set in.

     You may then indicate the size of the left margin, the number of characters
     to print on one line, and the number of lines to print on each page.

     If you answer "yes" for page numbers, it also will save information so that
     you will be able to print an alphabetical index at the end of the report.
     You may also designate a starting page number.

     Show code numbers.  I recommend that you do not also print the person's
     code numbers, since it may be confusing when also printing the register
     number.  However, if the report is for your own use, you may wish to see
     the code numbers that were assigned when the people were added to the
     database.
                           Brother's Keeper 5.1                     Page 26


     Show baptized date and location.  You will be asked if you want the date
     below the birth date also to print.  If you say "yes" then it will print if
     it is not blank.  If you answer "I" then it will only print if the birth
     date is blank.  Sometimes a person's birth date is not known, but the
     baptized or christened date is known.  If you want this date printed, you
     will be asked what word or abbreviation to use when printing.

     Show reference field.  If you answer "yes" it will print after the date
     fields.  You also will be asked what word to use when printing.  If you
     answer "]" then the reference field (if not blank) will be printed after
     the name with the reference field enclosed with brackets.

     Show occupation.  If yes, then also type the word to use when printing.

     If multiple spouses, do you want to show which spouse produced which kids?
     If you have cases of multiple marriages, this will allow you to show which
     children came from which marriages.

     You may then enter a page heading if you desire.  This heading will be
     printed at the top of each page.

     It is anticipated that an option will be added to print footnotes for the
     sources.  When it is added, you will be able to print footnotes to show the
     information that you entered in the source lines for each date or location.
     The footnote numbers will print in superscript based on the printer codes
     from option screen three or as set up in the utility program when you
     picked a printer.

     After answering the above questions, the report will start printing.  Press
     ESC to interrupt the printout.  When the report has finished, you may print
     an index if you had page numbering turned on.

     DESCENDANT BOX CHART

     The box chart program will print a descendant chart that has each person in
     a box and has lines connecting the boxes.  The oldest person is at the top,
     and person's children are below, and the grandchildren are below them, and
     so on.  Like most reports, the box charts may be printed, displayed, or
     sent to a disk file. When you display the chart, you may use the arrow keys
     to move around the chart.

     There is an option for small boxes with just dates, or larger boxes with
     locations also.  You may also adjust the width of the boxes.  The width of
     the boxes will affect the total number of people that can be printed in one
     generation and also will affect the length of the chart.

     If your printer has been set up to print the IBM extended character set,
     then you will be able to print solid graphic lines around the boxes or
     print shadows.  Your printer will not print the IBM extended character set
     unless you set it up that way (normally by flipping a DIP switch or
     pressing some buttons on printer).  Look in your printer manual in the
     index under "character set" or under "DIP switches" to find the section of
     your printer manual that tells you how to set up the IBM extended character
     set.  Making this change will normally not affect the other programs that
     you use.

                           Brother's Keeper 5.1                     Page 27


     If you have a graphics dot matrix printer, then you may print the box
     charts sideways.  The sideways printing will be slower than regular
     printing.  When printing sideways, you will have an option for compressed
     print and an option to print faster if you have a 24 pin printer.

     If you have an HP laser or Deskjet printer, do not choose sideways, but
     instead choose regular print.  You will later be asked if you want to print
     landscape.

     FOUR FAMILY BOX CHART

     The four family box chart is similar to the regular box chart described
     above, except it shows four families on the top line, and then all the
     descendants of those four families with dotted lines connecting the four
     families where marriages occurred.  When looking at a person in the third
     generation, it is a combination ancestor and descendant chart.  The
     children that are common to more than one of the families are only printed
     once under the first parent and a dotted line will show the connection to
     the other parent's family.

     MORE ANCESTOR REPORTS

     The BKAA5 program will print additional ancestor reports and charts.  It
     can print multiple page ancestor reports, where the pages are cross
     referenced.  You pick the starting person, and all of the person's
     ancestors will be printed with four generations showing on each page.

     You may also print a large ancestor wall chart with boxes for each person.
     This chart will contain nine generations (511 people) and will be about
     five feet high and two sheets of paper wide.  It will include each person's
     name, the standard code number, and dates and locations for birth,
     marriage, death, and burial.  People in the eighth and ninth generations
     will have abbreviated information.

     Also available is a version of an ahnentafel report with complete
     information for each person.  The differences between this and the
     ahnentafel report on the main menu are that this one prints a paragraph for
     each ancestor which can include message lines, and also this report can
     print more generations.

     MERGE  TWO  DATABASES

     This program will allow you to merge two databases into one.  If you have
     two Brother's Keeper databases that contain different names, you may merge
     them by adding one set of files to the other.  I recommend that you make
     backup copies of both databases before you do a merge.  As the files are
     merged, the code numbers for one of the files will be changed so that they
     do not conflict with the existing numbers in the other file.  Currently,
     the program will not check for duplicate names, so do not merge two files
     that have several identical people in both files or else you will have to
     do a lot of deleting to clean the file up.

     SPLIT ONE DATABASE

     The program to split off part of a database is useful if you want to send
     information to another Brother's Keeper user.  Often, the other person is
                           Brother's Keeper 5.1                     Page 28


     only interested in some of the information that you have, and this program
     will let you pick certain people and create a new database of just those
     people.  For example, you may select all the ancestors of a person, or all
     the descendants of a person, or any combination of ancestors and
     descendants of several people.  After selecting the people, pick "C" to
     create the file.  The program will run much faster if you create the new
     data files in a temporary subdirectory on your hard disk than if you create
     the new data files on a floppy. After creating the new files, you may then
     copy them to a floppy to send to someone else.  If the other person uses a
     different genealogy program that can read GEDCOM files, then use the
     BKGEDCOM program ("X" from the main BK menu) to create a GEDCOM file from
     the new data files and send the other person the GEDCOM file.

     IMPORT OR EXPORT A GEDCOM FILE

     A GEDCOM file is a file with names, dates, locations, and notes that is in
     a special format that can be read by other genealogy programs.

     HOW TO IMPORT DATA INTO BK

     If someone else has given you a GEDCOM file, do not add it to your BK
     database until you know what is in it, otherwise you may not want the data
     and you will have to revert to your most recent backup copy of your
     database or else do a lot of deleting. One option is to import the GEDCOM
     file into a new BK database in a temporary subdirectory.  Then use BK to
     look at it by changing the bottom line on option screen one to read the new
     temporary subdirectory.  If all looks well, then you can import the GEDCOM
     file into your main database.  Always do a new backup of your BK files
     before importing a GEDCOM file.

     If you already have a GEDCOM file from another program, skip to the next
     paragraph.  To transfer data INTO Brother's Keeper, you first must create a
     GEDCOM file that contains the data in the other genealogy program.  For
     example, if you have data in the PAF program (version 2.1), here is a
     summary of the steps to create a GEDCOM file.  Type PAF to see the first
     menu.  Pick Genealogical Information System or GEDCOM.  Then pick
     Genealogical Data Communication or GEDCOM.  Then pick Create GEDCOM file.
     It will show the location of the PAF files, and let you type in the drive
     and name for the GEDCOM file. If you want the GEDCOM file to be in a
     certain subdirectory of your hard drive, you can type both the drive and
     subdirectory name on the drive line. If you pick the name SMITH for the
     name of the GEDCOM file, the program will actually create a file called
     SMITH.GED (you do not type the .GED, the program will add it to whatever
     name you type.)  It will ask if you want all the data transferred or just
     certain people.  It will then ask for your name and address.  This is not
     required if you are only transferring the data to another program.  It will
     ask if you want Notes transferred.  Finally it will ask if you want the
     data in the PAF 2.0 format or the PAF 2.1 format.  Pick the 2.1 format.
     Then the GEDCOM file is created.  Exit the PAF program.

     The next step in importing is to run the BK GEDCOM program so that the data
     can be changed into BK format.  Pick X from the BK menu to start the GEDCOM
     program and then pick A to add the data to Brother's Keeper.  Read the
     screen and type C to continue.  It will ask for the drive for the Brother's
     Keeper data.  If you want to add the data to an existing Brother's Keeper
     data file, give the drive and path location.  If you want to create a new
                           Brother's Keeper 5.1                     Page 29


     Brother's Keeper data file, give a drive and path location to create the
     files on.  (It will not create the subdirectory - you must have already
     created the subdirectory using the DOS command MD.)  Do not give any file
     name at this point - just give the drive letter and optionally the name of
     the subdirectory.  Examples are shown on the screen.

     It will then ask for the name of the GEDCOM file to read.  You also should
     give the drive location, and subdirectory name if any, in front of the name
     of the GEDCOM file.  You should end the name with .GED.  For example, if
     your GEDCOM file was named SMITH and it is on the C: drive in the \PAF\
     subdirectory, then you would answer the question with C:\PAF\SMITH.GED

     It will then open the files.  If there is already data in a Brother's
     Keeper file there, then it will show you how many names are in the existing
     file. The new data will be added to any existing data.  The program will
     not check for duplicates - all the data will be added as new additional
     data.  The program will then ask which drive to create any message text
     files on.  This drive information also will be used by the BK program when
     locating the text files.  It will then ask if you are reading a PAF 2.0 or
     PAF 2.1 file.  Pick either 0 or 1. If the GEDCOM file is from PAF 2.2,
     still pick 1 since version 2.2 files are the same as version 2.1 files.  It
     will then ask where to move the TITLE field.  If you used the TITLE field
     in PAF, then answer the question based on what you put in the title field.
     If you did not use the TITLE field in PAF, then just push enter.  Finally
     it will ask if you are ready to do the copy.  Type Y if you are ready and
     it will copy the data in.

     When finished, you can use the utility program, (menu item U in the main BK
     menu) and check the quality of your data file to be sure all the links
     between people are correct.  You can then use BK to look at the file, and
     print all the reports.

     TRANSFERRING DATA OUT OF BK USING GEDCOM

     Note: when you create a GEDCOM file, all the names in your file will be
     transferred.  If you want to only transfer part of your file, then you will
     need to first use the program described above  to create a new smaller set
     of your data files.  (See split one database above.)

     To transfer data from BK to another program, pick X to start the GEDCOM
     program and pick C to create a GEDCOM file.  Read the screen that is
     displayed.  One important thing to remember, is that some programs must
     have the dates in a specific format or else the dates will not transfer.
     If you have your dates in type 1 or type 2 format (see BK documentation
     about date types), then all programs should be able to understand them.
     Some programs like PAF will understand other formats as well.  If you need
     to change your date format, then you will need to use the utility program
     to convert your dates before you create the GEDCOM file.  The data
     conversion routine is not fast and you may not want to change your original
     database, so you might want to try creating the GEDCOM file with the dates
     the way they are and see if the other program can handle them.

     Next the BKGEDCOM program will ask you where the BK data files are located.
     Type in the path for the files.  If the files are on your B: disk drive,
     then type B: and if the files are in the \BK5 subdirectory of your hard
     disk, then type C:\BK5 (do not type a file name, just a directory name).
                           Brother's Keeper 5.1                     Page 30


     Then the program will ask for the name of the GEDCOM file you want to
     create.  If you want the file to be created on a certain drive, then
     include the drive or path location also.  Some examples would be
     B:SMITH.GED or C:\BK5\JONES.GED (note that you need to type the file name
     and it should end with .GED).  The file name may be up to 8 characters long
     followed by .GED.

     The program will then open the files and show you how many names are in the
     BK data files.  It will inform you that the GEDCOM file it creates will be
     in the PAF 2.1 format.  That is the format that most other programs will be
     able to read.  It will then ask if you are ready to create the file.  If
     you say yes, then it creates it and if you say no, then the program will
     stop.  After the file is created, you may use another program's GEDCOM
     reading routine to move the data into that program (see the other program's
     directions on how to read the GEDCOM file).

     UTILITY PROGRAM

     This program has a routine to check the quality of your data and can fix
     many errors that may turn up.  If you get a "subscript out of range" error
     in any BK program, run the quality check routine.

     The utility program can set up the proper printer codes for certain
     printers.  If your printer is not listed, you may have to consult your
     printer manual to obtain the printer codes and then use the options routine
     to enter them.

     The utility program also will let you save your options file by copying it.
     You may then restore the saved file at a later time.  This may be useful
     for people who have 2 different types of printers.  You may set up the
     options for one printer, and then save the file with a special name.  Then
     set up the options for the second printer and save that file with a
     different name.  You may then run the utility program and restore either
     options file depending on which printer you wish to use.  All options on
     screen 1 and 2 of the options screens are saved or restored, so you may
     even save 2 different sets of screen colors, one set the way you like them,
     and the other the way your spouse likes them.

     You also may use the utility program to print all the values you have
     stored for the ALT key combinations.

     If you decide to change the date format after you have entered many dates,
     you may use the utility program to change from any of the 9 formats to any
     other of the 9 formats.  Be sure to copy all the .DT5 files to backup
     floppy disks before running this routine, just in case there is any
     problem.  This date change routine must read and write each record and
     tends to run slowly, so allow yourself plenty of time.  After you change
     date formats, remember also to change date format on Option screen 1.

     There is also a routine to create a Tiny Tafel file.  This is a relatively
     new type of report.  The Tiny Tafel file is a summary of all your
     ancestors.  The file can be used to find other people who are researching
     the same family lines that you are.  There are computer systems set up to
     help people match their research with other genealogists by matching the
     Tiny Tafel files of each.  This is a new idea and has only been in
     operation for a few years.  If you have a modem, you may call one of these
                           Brother's Keeper 5.1                     Page 31


     "computer bulletin boards" that has the Tafel Matching System, and obtain
     further information.  This routine in the utility program only creates the
     Tiny Tafel file.  It is recommended that you also obtain a program such as
     TTGEN12 that will allow you to edit the file and insert and delete lines.
     Currently, the matching system requires all lines in the tafel file to have
     locations.

     The utility program has the ability to calculate the relationship between
     any two people.  The relationship will only be displayed with this routine.
     The descendant report (D in the BK5 program) also can calculate
     relationships, however, by using this routine, you will not have to print
     or display an entire report when you are only interested in one or two
     relationship.

     There are routines that will allow you to print all locations or sources,
     or delete all unused locations or sources, or to do a global change of a
     location or source.  If several people use the same location or source,
     only one entry is made to the file, and several people will "point" to the
     same entry.  When you make a change using the normal modify screen, you are
     only changing the location or source for the one person you are modifying.
     If you want to change a location or source for everyone that currently uses
     that location or source, then use the routine in the utility program.

     For example, if you have entered the wrong location for a person, you may
     fix it using the modify routine (M from the main BK5 menu).  However, if
     you discover that you have misspelled the name of a town, then you should
     use the utility program to correct it for everyone that "points" to that
     misspelled town.  Also, if you do a printout of all locations, you may find
     that you have the same cities entered two or three different ways.  You may
     use the utility program to change all people that "point" to any of those
     different versions so that they will all "point" to one version.  Then the
     no longer used locations may be deleted and the disk space will be made
     available for new locations.

     STOP

     *  If you have your data on a floppy diskette, NEVER remove the DATA
     diskette unless instructed to change disks or until after typing S to stop.
     Some of the files are not fully updated until you type S and stop.  It is
     recommended that you put the data files on a hard disk so that the program
     will run faster.

     *  NEVER turn your computer off while in the BK program.  Always use S at
     the menu to stop the program first.  If a power failure causes the program
     to be interrupted, run the utility program (U from the main menu) and then
     pick item Q to fix any link errors before adding more information to the
     data files.

     *  If you have 2 data diskettes, you must STOP the program, then change
     data diskettes, and then restart.  The program will not link people between
     2 diskettes.  If you have data in 2 or more sub-directories of your hard
     disk, you may change sub-directories by using Options to change the path.


                           Brother's Keeper 5.1                     Page 32


     APPENDIX  A.   HOW TO MAKE CORRECTIONS

     If you are correcting spelling or dates, use the MODIFY routine and TAB (or
     DOWN arrow) and Shift TAB (or UP arrow) to move to the field to change.
     Then use the left or right arrow keys to move within a field, use Esc if
     you want to erase a field, and use Ins and Del to insert or delete
     characters.

     NOTE: If, when you are on the add or modify screens, you do not see
     directions on the bottom line, change your colors on option screen 1.

     IF YOU ENTERED SOMEONE'S CHILDREN IN THE WRONG ORDER, do the following.
     First, go to the modify routine and type the parent's code number or name
     and the parent's information will appear on the screen (use either the
     husband or the wife).  The children's code numbers will show along with
     their names.  The first child you entered will be the first code number
     showing, the second child you entered will be listed second, etc.  You may
     correct the order on the screen by typing the letter R and then retyping
     the code numbers in the correct order.  Make sure the code number shown for
     first child is the actual first child, etc.  The names shown on the screen
     will remain the same until you press F1.  Then the names will change to
     match the new order you have entered.

     IF YOU ENTERED SOMEONE WITH THE WRONG PARENTS, you may correct it by doing
     the following.  First, modify the record of the person you said was the
     parent, but was not (use either the husband or the wife).  When the wrong
     parent's record is showing on the screen, type D and delete the child who
     should not be there.  (This will delete the link between the parents and
     the child, however the child still exists in the database.)  Then you may
     go to the add screen and bring up the correct parents and then add the
     child by typing the child's code number or the name and F8.  The child
     added to the family will then be the last child.  If the children of the
     family are now out of order, you may correct that as described above in the
     children order section.

     IF A MARRIAGE IS IN ERROR, use the modify routine to show the person with
     the wrong marriage.  Type X to delete a marriage.  You will then be shown
     all the marriages for this person and be allowed to delete one.  (It will
     show the marriage number, not the person's code number.)  When a marriage
     is deleted, the husband and wife stay in the file as people, but the
     connection that shows their marriage is deleted.  If the marriage also had
     children records related to it, the children will have their parent
     connection deleted, but the children will stay in the file as people.
     These children may then be added as children of some other marriage by
     using the Add routine.

     IF A MARRIAGE IS OUT OF ORDER, use the modify routine to show either the
     husband or the wife.  Type W to correct the spouse order.  You will be
     shown all the marriages for this person and be allowed to change the order.

     IF YOU HAVE A PERSON DUPLICATED (the person has been assigned two code
     numbers by the program) then you will need to delete one person in order
     for the printouts to print correctly.  Each person must be entered only
     once and then linked to the father, mother, spouse, and children.  Let's
     assume that you have entered yourself twice into the computer and that you
     have two code numbers, 5 and 21.  Use modify and call up number 5.  Suppose
                           Brother's Keeper 5.1                     Page 33


     it shows you with a father and mother, but no spouse and no children.  Then
     call up number 21.  Suppose it shows you with no father and no mother, but
     it does show your spouse and children.  In this case, you should delete
     person number 5 who has no spouse and no children.  Here is the procedure:
     Using modify, call up number 5.  Type / to totally delete the person.  Then
     go to the add routine and call up your father and mother.  In the children
     section, type 21 for a child (this is the non-deleted you).  Then, if you
     are not in the correct birth order, go to modify and call up your father
     and use R to rearrange the child order.

                           Brother's Keeper 5.1                     Page 34


     APPENDIX B.  PRINTER  PROBLEMS.

     (There are also suggestions in Appendix M)

     Many of the questions or problems I have received have related to printer
     problems.  The printer options can be set in the Options routine.  Also,
     some common printers can be set up in the utility program.

     Some printers cannot backspace.  If your printer cannot backspace you
     should set that option to 0 (zero) or names will double print on some
     printouts and the ancestor chart may not print correctly.

     Some printers cannot do a carriage return (CR) without also doing a line
     feed (LF).  If your printer is one of those, set that option to 0 (zero) or
     names will double print on some printouts and the ancestor chart may not
     print correctly.

     You may test your printer's features by typing a T at the lower right
     corner of option screen 2.

     Most printers want a carriage return and line feed at the end of each line.
     If your printer wants only a carriage return, set that option or everything
     will double space.

     The program will try to print some reports in compressed format.  That lets
     you print 132 characters per line on most printers.  You may enter the
     decimal values of the codes that must be sent to your printer to do
     compressed and regular print.

     You may set up the codes that start bold print and turn off bold print for
     your printer.  Check your printer manual and see what the decimal values
     are for the codes that do that.  If your printer cannot bold print, set the
     values to zero.  Bold could actually be enhanced or emphasized or italic or
     whatever you want the names to appear as.  The program also needs to know
     if your printer can bold print when printing compressed.  Many printers
     cannot do that, so if yours cannot, the program will try to backspace (if
     possible) to make names bold print when printing compressed (on the
     descendant printout).  The program will only try to bold print names on the
     descendant printout and the family group sheet printout.

     There are up to 7 codes to turn on and off compressed print and bold print.
     Many printers only require 1, 2 or 3 codes to control those features.  If
     the first code of the 7 is zero, none of the 7 codes are sent.  If the
     first code is not zero, all 7 codes are sent.  Normally, codes of 0 (zero)
     at the end will not affect the printer output.  If you do not want the
     extra 0's to be sent to the printer, change the extra codes to 999 and
     those codes are not sent.

     The descendant printout will print generation numbers at the top and bottom
     of each page.  You may turn this feature off in Options.

     I have tested the programs on several computers and with several printers.
     However, I do not have access to all combinations of equipment so it is
     quite possible that some program changes may still have to be made.  Let me
     know if your printer is not cooperating and I will try to help.  Tell me
     what version you are using. (5.1)
                           Brother's Keeper 5.1                     Page 35


     APPENDIX  C.  EXPLANATION ABOUT RELATIONSHIPS:

     Your uncle is the brother of your father or mother.

     Your aunt is the sister of your father or mother.

     Your great uncle (or grand uncle) is the brother of your grandfather or
     grandmother.

     Your great aunt is the sister of your grandfather or grandmother.

     Your great-great uncle is the brother of your great-grandfather or great-
     grandmother.

     Your great-great aunt is the sister of your great-grandfather or great-
     grandmother.

     Your first cousin is the child of your aunt or uncle.

     Your second cousin is the grandchild of your great aunt or great uncle. (If
     two people are first cousins, the children of each of the people will be
     second cousins.)

     Your third cousin is the great-grandchild of your great-great uncle or
     great-great aunt. (Children of 2nd cousins, are 3rd cousins to each other.)

     Your first cousin, once removed, is the child of your first cousin or is
     the child of your great uncle or great aunt. (See also REMOVED COUSINS)

     If someone is your first cousin, then his or her child is your first cousin
     once removed. (Once removed means one generation level different from you.)
     All your regular cousins (first, second, etc.) are at the same generation
     level as yourself.  Those at different levels are "removed."  If someone is
     YOUR first cousin once removed, then you are HIS or HER first cousin once
     removed also.  Your second cousin once removed is the child of your second
     cousin.  Your first cousin twice removed is the child of your first cousin
     once removed (i.e. the grandchild of your first cousin).  Your second
     cousin twice removed is the child of your second cousin once removed (i.e.
     the grandchild of your second cousin).

     REMOVED COUSINS: If two people are some type of cousins, but they are at
     different generation levels, then here is the way to compute their
     relationship. (The program does this automatically when printing, but you
     may want to know what it is doing.)

       1. Count how many generation levels they are apart.  This is the number
     they are "removed."

       2. Start with the one at the highest generation level (the older level)
     and count how many generations up you must go to find the brothers or
     sisters that are the ancestors of these cousins.  This is the "FIRST" or
     "SECOND" or "THIRD" part of the cousin relationship.

                              GREAT-GRANDFATHER
                                  /     \
                        GRANDFATHER      GREAT-UNCLE
                           Brother's Keeper 5.1                     Page 36


                          /     \              \
                    FATHER     UNCLE        1st COUSIN ONCE REMOVED
                    /  \         \                   \
                >YOU< BROTHER  1st COUSIN            2nd COUSIN
                 /      \          \                     \
              SON    NEPHEW   1st COUSIN ONCE REMOVED   2nd COUSIN ONCE REMOVED
              /         /           \                      \
     GRANDSON  GRAND-NEPHEW  1st COUSIN TWICE REMOVED  2nd COUSIN TWICE REMOVED

                           Brother's Keeper 5.1                     Page 37


     APPENDIX  D.   SAMPLE  PRINTOUTS.

     Below is an example of a descendant printout.  Note that each new
     generation is indented. All relationships such as UNCLE, COUSIN, etc. are
     computed by the program.

     * JOSEPH P. JONES (12/20/1895) - (03/05/1949) m. SUSAN SMITH (01/05/1902-
       (GRANDFATHER)

     . * JOHN JONES (05/19/1920 -   m. (12/07/1940) MARY GREEN (08/05/1921 -
         (UNCLE)

     . . * BILL JONES (03/23/1942 -
           (FIRST COUSIN)

     . . * MARY JONES (02/04/1944 -    m. (03/04/1964) PETER WHITE
           (FIRST COUSIN)

     . . . * FRANK WHITE (05/04/1971 -
             (FIRST COUSIN ONCE REMOVED)

     . * MARTHA JONES (09/19/1923 - 11/17/1981)
         (AUNT)

     . * GEORGE JONES (12/13/1926 -  m. (01/05/1949) LOIS WILSON (03/18/1927-
         (FATHER)

     . . * CAROL JONES (05/18/1953 -
           (SISTER)

     . . * JACK JONES (05/03/1955 -  m. (08/23/1977) MICHELE MOE (07/22/1955-
           (MYSELF)

     . . . * MARTHA JONES (04/03/1981 -
             (DAUGHTER)


     If your printer does not print the IBM extended character set, and you
     change the printer options, a tree chart will print as:


     Joseph P. Jones ----- John Jones ------ Bill Jones
                       |                 |-- Mary Jones ---- Frank White
                       |
                       |-- Martha Jones
                       |-- George Jones ---- Carol Jones
                       |                 |-- Jack Jones ---- Martha Jones
                       |
                       |-- Peter K. Jones



                           Brother's Keeper 5.1                     Page 38


     APPENDIX  E.   CHANGES  FROM  PRIOR  VERSIONS.

     To read more about the changes between version 4.5 and version 5.0,
     read the file CHANGES.DOC.  Also read README.DOC for recent changes.

     Version 5 contains many changes from 4.5.  Some of them are:

     1.  Can handle up to 1 million names.
     2.  A person may have two sets of parents
     3.  Mailing address and phone number field (press F4)
     4.  Sources may be entered for footnotes (press F6)
     5.  All programs accessed from one menu.
     6.  Parent type may be designated (adopted, step, etc.)
     7.  Edit text files up to 120 lines within BK.
     8.  Designate unmarried couples and divorced couples.
     9.  Compressed group sheet with all info for 10 children.
     10. Add a single person to the database.
     11. Easy delete routine.
     12. Find people using your own numbering system.
     13. Browse when displaying ancestor chart.
     14. Unusual last names can still sort correctly.
     15. Search for existing location name.
     16. Custom report can display all spouses/marriages.
     17. The program may be run in several foreign languages.
         (French, Danish, German, Norwegian, others.)
     Read the README.DOC file for the most recent changes.

     If you used the "check" fields in version 4.5 and had the data moved to the
     "page" fields in version 5.1 and if you still want to print the "check"
     fields on the group sheets, then on the line that says "print source
     footnotes" on group sheets, answer with the number "4" and it will print
     the group sheets the way they were printed in version 4.

     I have dozens of ideas from users for new features.  However, many features
     tend to make the programs larger.  I tend to work on the ideas that will
     benefit the most people and that do not require major changes to the
     existing program structure.  I plan to continue to upgrade the program
     since many ideas are good, but just require more time to implement.  Please
     continue to send me your ideas for improving the program.

     All registered users are notified about major new versions.  I also will
     send registered users at least one new version at no additional charge.  I
     may need to charge a small fee for updates after the one free update.  If
     you have used this program and find it to be of value to you, you are
     encouraged to send in the $45 registration fee to the author (see Appendix
     J for why to register).  I have no way of informing you about improvements
     to the program unless you write to me.  When you write, enclose the
     registration form found at the end of the documentation file or in the
     REGISTER.DOC file.  If the program does not have a feature you would like,
     mention it on the form.  I try to add new features that registered users
     suggest whenever possible.  This program has come a long way since version
     1.0 - thanks to the suggestions from registered users.  There is usually a
     new version of the program available (with minor changes) every couple
     months or so.  Lately, there have been significant improvements to the
     program about every 6 to 12 months.  My budget and time do not allow me to
     mail information about minor changes to thousands of users every few weeks,
                           Brother's Keeper 5.1                     Page 39
 

     so one way for you to know about minor changes is to buy a high speed modem
     and call my BBS at (616) 364-1127 to read about the changes or to download
     the programs.  There are also hundreds of BBS's around the world that have
     Brother's Keeper available for downloading.  If one is near you (and if
     they keep up to date) then you can keep current at no cost.  When there are
     major changes to the program, I will do a mailing to all users.

                           Brother's Keeper 5.1                     Page 40
                                                    

     APPENDIX  F.  CONVERTING  FILES


     If you have been using BROTHER'S KEEPER version 4.0 through 4.5, you will
     need to run the CONVERT5 program one time.  If you have an older version of
     the FAMILY3 program, you will need the CONVERT4 program also.

     If you have used PAF (Personal Ancestral File) you may use the gedcom
     program to transfer the data (see the GEDCOM section above.)  If you have
     ROOTS III or FAMILY ROOTS, you can purchase a gedcom program from the
     publisher of that program and then use gedcom to transfer the data.

     If you have data in Genealogy on Display, Family History System, or
     Linkages, see information on the registration form (last page of
     documentation file or in file REGISTER.DOC).



     APPENDIX G.    DO YOU HAVE ANY SUGGESTIONS and MAY I HELP YOU?

     I have received many fine suggestions from users of the program.  The
     program would not be what it is without this help.  Please send any
     suggestions you have.  I may not make all the changes you suggest, but I
     have been able to make many changes over the years.

     If you have a problem, read Appendix M.  If you still need help, send me a
     description of the problem and information about your computer (see
     registration form at end of documentation file).  For reference, Version
     5.1 was released September 1992.

                           Brother's Keeper 5.1                     Page 41


     APPENDIX  H.   TECHNICAL  STUFF

     You do not need to know any of this to run the program, but some people may
     want to know what is going on.

     Most information is stored in 10 disk files:

      BKPERSON.DT5  -  information about people.
      BKMARR.DT5    -  information about marriages.
      BKLOCATE.DT5  -  all locations.
      BKSOURCE.DT5  -  source information
      BKMAIL.DT5    -  mailing address
      BKOPTION.DT5  -  option parameters (colors, printer, etc.)
      ALTKEYS.DT5   -  Alt key names/places (see Appendix I)
      REPORTS.DT5   -  specifications for custom reports.
      BOTTMESS.DTA  -  4 line personal message for Group sheets.
      PARAMETR.DTA  -  default parameters for Group sheets.

     There are also 6 temporary files:  ALPHA1.DTA, and ALPHA2.DTA, which are
     used for printing alphabetical lists, BIRTH1.DTA, and BIRTH2.DTA, which are
     used for printing birthday lists, and BKINDEX1.DTA, and BKINDEX2.DTA which
     are used for alphabetical indexes.

     When first starting out these files will be created.  Do NOT use a word
     processor or editor to modify any of the .DT5 files since if any record is
     changed, it will mess up everything.

     If you want to read the data into your own database program, you may create
     a Custom report and send the output to a disk file (press F9 twice at the
     main menu) and then read that file as a fixed record length ASCII file into
     a database program.

                           Brother's Keeper 5.1                     Page 42


     APPENDIX  I.  ALT  KEYS  (user defined)

     If you find yourself repeatedly typing the same name or city, you may use a
     simple procedure to save time and reduce errors.  You may define any of the
     alphabet keys (A-Z) or numbers (0 to 9) to be any name, city and state, or
     word.  After you define what the key will be, you just push and hold the
     Alt key and then press the alpha key and the name or word will appear on
     the screen.

     Use the following procedure to define an Alt key. Type the name or city or
     word in any field on the add or modify screen.  Then hold the Alt key and
     press F10 (function 10).  The words you have typed will start to blink.
     When they are blinking, hold the Alt key and press any alpha key (A-Z) or a
     number (0-9).  The words will stop blinking and that key sequence (Alt-key)
     is now programmed.  The next time you want to type that name or city or
     word in any field, just hold Alt and press the same key.  You may program
     all of the alpha keys to be a different name or word.  These programmed
     keys will be remembered each time you restart the program.  You may change
     what a key is defined to be by simply re-defining using the above
     procedure.

     Example:  Suppose you are going to add several people who were all born in
     Rockford, Kent County, Michigan.  When you type the first person, type
     Rockford, Kent County, Michigan in the "born where" field.  Then before you
     push enter, hold the Alt key and press F10 (function 10).  The entire field
     will start blinking.  Then hold the Alt key and press R.  The field will
     stop blinking and you may continue with adding the person.  The next time
     you want to type Rockford, Kent County Michigan in any field, just hold the
     Alt key and press R and it will appear.

     Example:  Suppose you are going to add several people who all have the last
     name of Winchester.  When you type in one of them, type just Winchester in
     the name field (do not type the first name).  Hold the Alt key and press
     F10 and the word Winchester will blink.  Then hold the Alt key and press W
     and the word will stop blinking.  Then press Esc to erase the name, and
     type the first name and middle name.  Then hold Alt and push W and
     Winchester will appear.  For each person that you add, just type the first
     and middle names and then push Alt-W.

     If you press Alt-F10 and then decide you do not want to have what is
     blinking saved as an Alt-key, then just press any key without holding Alt
     and it will not be saved.

     Also see the Add section at the beginning of the manual describing
     shortcuts for duplicating locations that were recently entered and for
     using F8 to search for existing locations.

     You may print the strings you have saved for each Alt key with a routine
     that is available in the Utility program.

                           Brother's Keeper 5.1                     Page 43


     APPENDIX  J.   SHAREWARE

     BROTHER'S KEEPER is a Shareware product protected by Copyright.  It is NOT
     public domain or free software.  Shareware is a method of distributing
     software, whereby copies may be passed around and each user may determine
     whether or not the program is suitable for him or her. After you have
     tested this program for yourself, and if you find it to be useful for you,
     you are requested to send the registration fee to the author of the
     program, John Steed.  The author of the program is not paid any fee when
     you buy a disk from a user group or company selling Shareware.  The only
     way the author gets paid is when you register.  If you want to encourage
     programs of this type, please register by sending $45 and the REGISTER.DOC
     form.

     Registered users will be sent a printed manual and the next new version of
     the program and are entitled to use the program, and all future upgrades.
     Minor upgrades are made frequently to the programs, so you may wish to
     check to see if a new feature you desire has been added.  If you have a
     modem, you may call the BK BBS (bulletin board service) at (616) 364-1127.
     This board will have the current version of all programs available for
     downloading.

     If you share this program with others, please give them all the programs
     that came with it and any other files you may wish to share.

     Please do not include the BKOPTION.DT5 file on the disks you share, since
     that file contains options for your disk drives, printer, and monitor and
     others may have difficulty using your setup.  That file will be created the
     first time someone uses the programs.

                   _______
              ____|__     |               (R)
           --|       |    |-------------------
             |   ____|__  |  Association of
             |  |       |_|  Shareware
             |__|   o   |    Professionals
           -----|   |   |---------------------
                |___|___|    MEMBER



     This program is produced by a member of the Association of Shareware
     Professionals (ASP).  ASP wants to make sure that the shareware principle
     works for you.  If you are unable to resolve a shareware-related problem
     with an ASP member by contacting the member directly, ASP may be able to
     help.  The ASP Ombudsman can help you resolve a dispute or problem with an
     ASP member, but does not provide technical support for members' products.
     Please write to the ASP Ombudsman at 545 Grover Road, Muskegon, MI 49442 or
     send a Compuserve message via E-mail to ASP Ombudsman 70007,3536

                           Brother's Keeper 5.1                     Page 44


     APPENDIX  K.  CONFIG.SYS  file.

     The BK program needs to open several files at the same time.  Because of
     this, you may need to add a line to a special file on the disk you "boot"
     from.  If you get an error message when starting BK relating to file
     problems, then check the disk that you use when turning on the computer
     each time.  (If your computer boots from ROM as the TOSHIBA 1000 and the
     TANDY 1000 systems do, you will need to run your SETUP program to change
     the FILES=28  command as described in your DOS manual.)

     Type CD \ <enter> then type DIR CONFIG.SYS <enter> and see if there is a
     file called CONFIG.SYS on your disk.

     If the CONFIG.SYS file DOES already exist, look at what is in it as
     follows:

     TYPE  CONFIG.SYS

     That will display on the screen the lines that are in the file.  If it
     already has a line in it that says FILES=28 or FILES= (any number 28 or
     more) then leave it alone.  If not, you will need to add the FILES=28 line
     to the file.  (Any number over 28 is fine, up to about 35.)  You do not
     want to change any other lines in the CONFIG.SYS file.  You may use a word
     processor to modify the file if the word processor reads and writes in
     ASCII (i.e. not in some special format).

     After you add the FILES=28 line to the file, you must restart or reboot the
     computer for it to take effect.

     If the CONFIG.SYS file DOES NOT exist, then create it and put a line in the
     file as follows:

     FILES=28

     If you do not know how to create the file and put that line in it, here is
     a way.  When you are at the system prompt ( which is A> or C> ) you would
     type the following, and push enter at the end of each line:

     COPY  CON  CONFIG.SYS
     FILES=28

     then push F6 (function 6), and then push enter.  It should say "1 file
     copied".  You should then have the CONFIG.SYS file with the FILES=28 line
     in it.

     After that line is in the CONFIG.SYS file, you must restart or reboot the
     computer.   When the computer boots, it reads that file and will allow 28
     files to be open at the same time.  The BK program should then work
     properly.

     TANDY 1000 users may have to change their systems to boot from a disk
     instead of from ROM.  You have a program called SETUP-- that you will need
     to run.  Look in your manual for the name of your setup program - or look
     in the index of your manual under CONFIG.SYS.  The setup program is usually
     on your DOS diskette and is usually named SETUP and then the letters of
     your computer, for example: SETUPHX or SETUPTL.  If the setup program shows
                           Brother's Keeper 5.1                     Page 45


     a line such as "maximum open files" then you should change that line to be
     28 files.  Otherwise, pick the option to boot from a disk, and then put the
     disk with CONFIG.SYS in the A: drive (or else create the CONFIG.SYS file on
     your C: drive in the main directory) and reboot the computer to read that
     file.

                           Brother's Keeper 5.1                     Page 46


     APPENDIX  L.  CUSTOM  REPORTS

     BROTHER'S KEEPER gives you the ability to design your own report format.
     You may print custom reports either in number order or alphabetical order
     when using the N routine and also when printing Ahnentafel charts and when
     using Word search.  When you pick the custom report option, you will be
     shown the different fields that you may print for each person.  For
     example, you may wish to print for each person their number, name, father's
     name and mother's name.  So you would choose field numbers 1, 2, 17, and
     18. As you choose each field number, you will be shown the normal length
     for that field.  For example, the name field is 40 characters long.  You
     may shorten the normal length for your report if you wish.  If you type 25
     for the name length, that will be the length when it prints.  For all
     names, a special routine will automatically remove middle names of people
     with names longer than the length you specify.  That way, the last name
     will not be cut off.  If you shorten the length of a field that is not a
     person's name, the field will be cut off at the end if it is too long.  For
     example, date fields are 15 characters long, but most dates fit in 11
     characters, so you may shorten a date field to 11 characters.  There is
     also a special routine for birth date and death date so that if you shorten
     the length to 4, it will print only the year (the last 4 characters).  If
     you lengthen a field, it will print extra blanks after the field is
     printed.  (That may improve readability.)

     As you type the fields and lengths, the total length will display at the
     top.  The total length is the sum of the field lengths plus 1 space between
     each field.  Use this as a guide and try to keep the number under the
     maximum number of characters your printer can print on a line.  Most
     printers can print 80 characters in normal print and 132 in compressed
     print.  If you attempt to print more than the number of characters your
     printer can handle, your printer might jump to the next line, which will
     cause problems with page headings.  If you want multiple lines for each
     person, then pick the field for extra CR/LF at the end of the first line.

     You may press the up arrow to back up if you wish to make a correction.

     After you define your report, press F1 and print it.  When the printout is
     finished, you will be asked if you wish to save that format.  If it is a
     report you wish to print again in the future, answer Y (for yes) and give a
     brief description of the report.  Then the next time you print a custom
     report, you may recall that format to print again.  (Press F5 to recall a
     previously saved report.)  You may create and save many different custom
     reports.

     If you are printing in alphabetical order, you do NOT need to sort the file
     each time you try a different custom report.  You only need to run routine
     3 when you have added new people to the file, or when you wish to sort a
     different group of people.

     You may print the fields in any order.  (For example, birth date in first
     column and name in second.)  The names will print in number order if you
     choose N - 2 or are doing a word search or else they will print in
     alphabetical order if you choose N - 5.

     If you print the spouse name or marriage information, it will normally
     print the first spouse or marriage.  If you choose field 98 as one of the
                           Brother's Keeper 5.1                     Page 47


     fields, it will instead print the last spouse or marriage.  If you choose
     field 99, it will print all spouses or marriages for each person.  (You
     also must pick the spouse or marriage fields that you want to print, such
     as spouse name or marriage date.)

     The custom report formats are saved in a file called REPORTS.DT5.

                           Brother's Keeper 5.1                     Page 48


     APPENDIX  M.   COMMONLY  ASKED  QUESTIONS.


     Q. I can't get the program to start.  What is wrong?

     A. Well, it could be one of several things.

        First of all, do you have enough RAM memory in your computer?  The
        program wants about 500K of available memory.  If you have 512K of RAM,
        read the BK5.BAT file for directions on changing the first line in the
        batch file so that BK will use only 450K of RAM.  Even though your
        computer may have 640K of RAM memory, other things may be using up some
        of the memory.  To see how much memory is available for the program, you
        should run a program called CHKDSK that is located on your DOS disk.
        Just type CHKDSK at the C> prompt and it will give you several lines of
        information.  The last two lines are important to the discussion here.
        The next to the last line will show total RAM memory, and the last line
        will show what is available for programs such as Brother's Keeper.  If
        the last line shows less than 460,000 you have a problem.  It is
        possible to have 640K of RAM memory in your computer, and yet still not
        have 460K available for programs.  If, for example, you have a RAM disk
        in use, it will take up memory.  Also, pop-up programs such as Sidekick
        will use up some of your memory.  Look in your CONFIG.SYS file and in
        your AUTOEXEC.BAT file to see what all you have running.  DOS itself
        requires about 50K or more of memory, depending on what version you
        have.  The line BUFFERS=num in your CONFIG.SYS file also will use up
        some RAM memory (do not use over BUFFERS=25).

        Secondly, assuming you have enough memory, you also need a line in your
        CONFIG.SYS file that says FILES=28 (or some number larger than 28).
        This is explained in Appendix K.  If you don't have that line in the
        CONFIG.SYS file, you will see the opening screen of Brother's Keeper and
        then you will get a message telling you that you need that line in the
        file.

        Thirdly, you might have a problem of the computer "locking up" when you
        type BK5.  This is caused by a dip switch inside older computers set in
        the wrong position as though  you had an 8087 co-processor, when in fact
        you do not have an 8087 math co-processor.  So, if the computer freezes
        up and you have to turn it off to regain control, check that co-
        processor switch.  Also try typing SET NO87="true" before starting BK5.

        There is also a known bug with MS-DOS 3.20 if you do have a math co-
        processor.  This bug is overcome by typing the following line at your
        DOS prompt before starting BK:

            SET NO87="true"

        If you still have problems starting the program after checking all the
        above items, try removing all memory resident programs and all device
        drivers.  The easiest way is to format a blank diskette with the FORMAT
        /S command. Then create a CONFIG.SYS file on that diskette with only the
        line FILES=28 in it.  Then reboot the computer with that diskette in the
        A: drive.  Then try to start the program.  If it still does not work,
        contact John Steed and describe the problem.

                           Brother's Keeper 5.1                     Page 49


     Q. I have played around with the program a little and now I want to just
        start over.  How do I get rid of the names and information I have
        entered so that I may start from scratch?

     A. All the data that you enter is stored in files that have names ending
        with .DT5.  If you stop the program and change to the drive or
        subdirectory that contains the data files, you may type DIR *.DT5 and
        you should see about 6 files listed.  If you erase those files, you may
        start over.  So if you are SURE that you want to start over, you may
        type   ERASE  *.DT5    and all the data files will be gone.


     Q.  When I look at someone's information in the Modify section, it shows
        "not entered" for the names of the parents.  How do I type in the
        parents' names?

     A. In order to add the parents of someone, you need to go to the Add
        routine. Type in the Father's name for husband, and the Mother's name
        for wife. Then type the child's name.  Then the parents' names will show
        at Modify.  If you have entered the wrong parents for someone, see
        Appendix A.


     Q. How do I enter information for a family if I only have the Mother's name
        but I don't know the Father's name?

     A. You may either enter the Father's name as _____ _____ (if you think you
        will collect the information later) or you may type the name as *UNKNOWN
        and it will never print on any report.


     Q.  How do I add a spouse to a single parent?

     A. Look at the single parent in the Modify routine, then press F6 while at
        the bottom line.  Then use the UP arrow to go up to the husband or wife
        area and enter the person.


     Q. How do I enter the second husband for a woman?

     A. Using the Add routine, type the name of the second husband.  Then for
        the wife, type the code number for the wife or search by name.  When the
        wife is displayed, the program will know that it is an additional
        marriage for her.


     Q. When I print the Tree report, why do I get strange characters instead of
        the nice lines I see when I display the report?

     A. The program will try to print lines using the extended IBM character set
        that contains graphic characters.  Most printers can print IBM graphic
        characters, and most will only do so if you set a certain switch in the
        printer or send a certain code to the printer.  If you have an HP
        Laserjet printer, then use the "P" routine then "13" to send the codes
        to change to IBM graphic characters.  If your printer cannot print
        graphic characters, then change the numbers at the top of Options screen
                           Brother's Keeper 5.1                     Page 50


        2 as described in Tree section above.

     Q. Why doesn't the sideways Tree report print work for me?

     A. The sideways report is designed to work on a printer that is compatible
        with IBM or Epson graphic printers.  If your printer prints something
        that does not look like sideways characters, then your printer is not
        compatible.  Do not worry about it, it is the same report as the regular
        Tree report so you are not missing much.  The sideways tree uses the
        SIDEWAYS.DTA file to define the graphic characters.  That file should be
        located on the same disk as the program since the program looks for it
        on the default disk or in the default directory (whatever directory you
        were in when you started BK).  Note: if you have a laser printer, this
        Sideways report is not the same as Landscape.  If you wish to print in
        Landscape mode, set your laser printer for Landscape and then run the
        Tree report as a regular (not sideways) printout.

     Q. I got an error message saying "Device fault" or "Device timeout" or 
        "Disk Fault".  What does that mean?

     A. Usually it means that your printer was not turned on or not connected.
        If you do not have a printer attached, be sure to have output set to
        DISPLAY.  Even the Word search routine will try to print unless you
        change output. Printer timeout can be cured by adding this line to your
        Autoexec.bat file:  MODE LPT1:,,P   That will use the DOS MODE command
        to stop the timeout error message.  Device fault also could mean a
        problem with your disk drive (if it happens when you are adding,
        modifying, or reading data).  If you have DOS 5.0 use MODE LPT1:,,B


     Q. What does the error message "Bad record number . . ." mean?

     A. If you get this error message it could mean you have a problem in your
        data files.  Each name in the file has several "pointers" that indicate
        which other people are related to him or her and which message lines and
        which locations are associated.  If these pointers get messed up, you
        have a problem.  Hopefully, you will have a recent backup of your data
        files that you may use if necessary.  In any case, make a couple more
        backup copies of your *.DT5 files before trying to solve this problem.
        This problem is usually caused by exiting the program improperly.  Never
        remove the data diskette until you choose S to stop the program.  Also,
        never turn off the computer while still in the program.  If your data
        files get messed up, run the Q routine from the utility program menu.
        Then if necessary contact John Steed.  If you send me a diskette with a
        copy of the *.DT5 files and a description of the problem, I can try to
        correct it for you.


     Q. If I want to keep 2 or more sets of data files totally separated from
        each other, how do I do it?

     A. To create another set of data files that will not interact with your
        existing files, you need to use a new diskette (if you use B: for your
        data drive) or create a new subdirectory (if you have a hard disk). If
        you use floppy disks, be sure to STOP the program before changing
        diskettes.  If you have a hard disk, you may go to the Options screen 1
                           Brother's Keeper 5.1                     Page 51


        and type a different path and then the program will change to the data
        files located in that subdirectory.  (The program will not create the
        subdirectory, you need to create it yourself with the DOS command MD.)
        You do not need to copy the programs to that subdirectory.


     Q. How may I DISPLAY a report or send it to a disk file so that I may make
        changes to it?

     A. When at the main menu, press F9 to change output.


     Q. Why does the AGE display incorrectly on the modify screen or on the
        Birthday printout?

     A. The age is calculated based on the birth date and either the death date
        (if the person is deceased) or the current date (if the person has a
        blank death date).  The current date is the date that shows when you
        first turn on your computer or when you type DATE at the A> or C>
        prompt.  Assuming your computer knows the correct current date, the
        problem is probably that you have not used a birth date in the style
        that is currently set in the options screen.  Look at the date types on
        page 4.  Then look at the date format line on options screen 1.  Then
        look at the way you have entered dates and be sure it matches whatever
        you choose in the options screen.  The program cannot compute age if you
        are using a non-standard date format.


     Q. I still need help, what do I do next?

     A. Well, if you decided to read the documentation you must be desperate!
        And if you have not found a solution to your problem after reading this
        far, you are probably frustrated also.  So, here is what you may do.
        You may write to John Steed, 6907 Childsdale Rd., Rockford, MI 49341 and
        describe the problem.  Indicate what size disks you use in case the
        solution includes receiving a program in return.  Also indicate what
        version you have (5.1) and any other pertinent information.  If you give
        me your phone number, I may be able to give you an answer by phone.  If
        you wish to contact me through CompuServe, the ID number is 75745,1371.
        I try to check for Electronic Mail every day. If you have a modem, my
        current BBS (bulletin board service) number is (616) 364-1127 at up to
        9600 baud.  This BBS contains the current versions of all programs.  If
        you want to call me, call information (area code 616 Rockford, Michigan)
        for my number.  I am usually available in the evenings between 8pm and
        10pm Eastern time.  I do programming during that time, but I do not mind
        taking a few minutes to answer some questions.





                            I N D E X

    Add a child  . . . . .    7    Device timeout . . . .   50 
    Add parents  . . . . .   49    Display reports  . . .   51 
    Adding names . . . . .    3    Ditto " key  . . . . .    5 
    Address fields . . . .    2    Down arrow . . . . . .    2 
    Adopted child  . . . .    8    Drive for data files .   13 
    Age incorrect  . . . .   51    Duplications . . . . .   32 
    Ahnentafel report  . .   18    Edit text file . . . 10, 12 
    Alphabetical index . .   24    Equal = key  . . . . .    5 
    Alphabetical printout    18    Erase a field  . . . .    2 
    Alt keys (user defined)  42    Esc key  . . . . . . .    2 
    Alternate name . . . .    9    European dates . . . .    4 
    Ancestor chart . . . .   23    Exact search . . . . .   16 
    Ancestor reports   . .   27    Example - adding names    7 
    Backup data files  .  9, 21    Family group sheets  .   23 
    Bad record number  . .   50    Father unknown . . . .   49 
    Birthday printout  . .   18    Field names  . . . . .    6 
    BKAUDIT file . . . . .   16    Find relative of person  12 
    Bold print . . . . . .   14    Find word or date  . .   20 
    Box chart  . . . . . .   26    First person to add  .    3 
    Browse . . . . . . . .   12    Footnotes - sources  .   16 
    Change name of fields     6    Foreign characters . .    2 
    Change order of child    11    Four family box chart    27 
    Change order of spouse   11    Gedcom files   . . . .   28 
    Change parents . . . .   32    Global changes   . . .   31 
    Changes file . . . . .   16    Group sheets . . . . .   23 
    Changes to program . .   38    HP Laserjet printer  .   14 
    Colors . . . . . . . .   13    Individual add   . . .   12 
    Compress print . . . .   14    Insert a character . .    2 
    CONFIG.SYS file  . . .   44    Install  . . . . . . .    1 
    Converting data files    40    Landscape printing . .   23 
    Correcting problems   2, 32    Laserjet printer . . .   14 
    Custom reports . . . .   46    Last names . . . . . 15, 20 
    Data files location  .   13    Linking people . . . .    3 
    Database programs  . .   41    Location fields  . . .    5 
    Date format - change .   30    Location print/change    31 
    Date of last change  .   16    Location search  . . .    5 
    Date types . . . . . .    4    Look for person  . . .   12 
    Delete a character . .    2    Lower case months  . .    4 
    Delete a person  . . .   11    Mailing address  . .  2, 15 
    Delete as a child  . .   11    Maximum number of names   1 
    Delete as a spouse . 11, 32    Memory requirements. .    1 
    Descendant report  . 17, 24    Menu . . . . . . . . .    3 
    Descendant tree  . . .   22    Merge two databases  .   27 
    Description of program    1    Message file . . . . .   10 
    Device fault . . . . .   50    Message lines  . . . .    9 
  

  

  
  
  
   
  
    Modify information . .   10    Single parent-add spouse 49 
    Months - lower case  .    4    Size of files - maximum   1 
    Move forward/backward     2    Sort alphabetically  .   19 
    Multiple data sets . .   50    Source footnotes   . .   16 
    Multiple printers  . .   30    Source information . .    6 
    Names of fields  . . .    6    Source print/change  .   31 
    New features in program  38    Special effects on/off   13 
    Numbering systems  . .    6    Split one database . .   27 
    Numerical printout . .   18    Start over, erase files  49 
    Occupation field . . .    6    Step children  . . . .    8 
    Options  . . . . . . .   13    Stop . . . . . . . . .   31 
    Order of children  . 11, 32    Suggestions  . . . . .   40 
    Order of spouses . . .   11    Superscript codes  . .   16 
    Order to add people  .    3    Technical information    41 
    Output routines  . . .   17    Text editor  . . . . 10, 12 
    Output to disk file  .   17    Text file  . . . . . 10, 12 
    Output to screen . . .   17    Tiny Tafel file  . . .   30 
    PAF program  . . . . .   28    Top of form - printer    17 
    Parents  . . . . . . .   12    Transfer data from BK    29 
    Parents - second set .    8    Tree printout  . . . .   22 
    Path for data files  .   13    Up arrow . . . . . . .    2 
    Prepare disks  . . . .    1    Updates to program . .   38 
    Print routines . . . .   17    Use of ? to find name     8 
    Printer options  . . .   14    Utility program  . . .   30 
    Printer problems . . .   34    Word processor . . . .   12 
    Printer setup  . . . .   30    Word search  . . . . .   20 
    Printer strings  . . 15, 21 
    Problems - questions .   48 
    Program will not start   48 
    Questions & answers  .   48 
    Quit . . . . . . . . .   31 
    Reference field  . . .    6 
    Register style reports   24 
    Relationship calculation 31 
    Relationships  . . . .   35 
    Reuse a code number  .   11 
    Sample reports . . . .   37 
    Search for word or date  20 
    Searching by name (add)   7 
    Second marriage  . . .    7 
    Setup disks. . . . . .    1 
    Shareware concept  . .   43 
    Sharing the program  .   43 
    Short-cuts . . . . .  5, 42 
    Sideways printing  . 22, 50 




   To: John Steed                              Date _______________________
       6907 Childsdale Rd
       Rockford, MI  49341   U.S.A.

         I have version 5.1f of Brother's Keeper.  (20-May-1993)
    __
   |__|  I would like to become a Registered user.  Enclosed is a check for
         $45 (U.S. check or Canadian check in U.S. funds) or MasterCard or VISA
         number and expiration date.  Please send me the printed manual and
         the current version of the programs. ($45 includes all programs.)
    __
   |__|  I have data in Brother's Keeper version 4.  Please send the
         CONVERT5 program also.
    __
   |__|  I have data in  ___Genealogy on Display   ___FHS   ___Linkages and
         would like a program to transfer the data to Brother's Keeper.
    __
   |__|  Send the program in __French    __German    __Danish      __Polish   
                             __Swedish   __Finnish   __Norwegian   __Dutch
                               
         __send the translation program so that I may translate to ____________
           (It lets you change the words built into BK such as Husband, Wife)

         Where did you first get a copy of Brother's Keeper?

         __Friend   __Shareware Company   __Computer User Group
         __Store    __Genealogy Society   __BBS

         I am using the program on the following type of equipment.

         Computer brand _________________________ Do you have a modem? _____

         Amount of RAM memory      512K      640K     _________

         Hard disk?   Yes   No     Do you have Microsoft Windows?   Yes   No

         Diskette size preference      3 1/2  720k         5 1/4  360K
                                       3 1/2  1.44meg      5 1/4  1.2meg

         Monitor      monochrome    CGA     EGA     VGA    superVGA

         Printer      __________________________


         Name     ______________________________________________

         Address  ______________________________________________

                  ______________________________________________

                  Country ______________________________________

   Comments and suggestions:  _________________________________________________

   ____________________________________________________________________________

   (Thank you very much for responding.  John)


