Kith and Kin for Windows 3.1
                               Version 1.4
============================================================================

Installation
------------

Copy all files from the release disk into a new directory (eg. KITHKIN) on
your hard disk.

Run KITHKIN.EXE from File Manager or create a new program item in Program
Manager and double click on the Kith and Kin icon.
You can launch Kith and Kin from a Tree File (.TRE) if you have associated
.TRE files with KITHKIN.EXE in the File Manager. If you want to do this, you
must not include the path name (eg. C:\KITHKIN) on the command line and the
program file, help file, tree files and options file must all reside in the
same directory.

To get you off to a flying start using Kith and Kin, read the help topic
"Getting Started". This will lead you through the basics.

The file BWCC.DLL should reside in either the KITHKIN or WINDOWS\SYSTEM
directories or in another directory in your PATH. Since it is a common DLL
you may already have it on your system in which case you need only one copy
available.


New features, enhancements and bug fixes
----------------------------------------
(see the on-line help for a complete list)

Version 1.4 :

Kith and Kin now supports Object Linking and Embedding (OLE). This means
that you can import and link to pictures, diagrams, sounds, videos and any
other object created by an application which also supports OLE. These
objects can be associated with a person or family.

Two new printouts have been created: the Descendant and the Ancestor prints
now produce a tree of all the direct descendants or ancestors of a given
person.

You can now open family and person data dialogs directly from the search
results dialog.

Double clicking the left mouse button in list boxes now performs the
appropriate edit function.

Close buttons have now replaced Ok and Cancel buttons in certain dialogs.
This avoids ambiguity where the implication was that Ok would accept the
current data and Cancel would ignore any changes.

The operation of the graphic interface (the tree area) has been tidied up.

Pressing the right mouse button over a family rectangle now produces a
family summary window for quick checks of family details.

The Print Setup command has now been enhanced to allow the selection of any
installed printer driver not just the default one.

Read-only edit fields now have a grey instead of a white background. This is
to distinguish them from edit fields where data can be entered.

You can now have more than one copy of Kith and Kin running at the same
time.

A bug in the tree area display prevented parent-lines from being deleted in
certain circumstances. This has now been fixed.

The font sample in the Fonts dialog now redraws correctly when exposed from
under another window.


Registration
------------

This product is SHAREWARE. The version on this release disk is a fully
functional evaluation copy which you may install and use free of charge
for 30 days. After that time, if you wish to continue using the program you
must become a registered user. Details of how to register are available in
the on-line help.
If you have been using an earlier version of Kith and Kin some of your tree
(.TRE) and options (.OPT) files may require conversion before they can be
used with this version. A data file conversion program is included with all
registered versions of Kith and Kin.
============================================================================
