The Mortgage Analyser
Ŀ
       The Mortgage Analyzer (Mortgage Needs Analysis) v2.00        
                 SEE BELOW FOR PRODUCT INFORMATION                  

Ŀ
           This is a VENDINFO Product Information Record            
                                                                    
 This record is a means of conveying information about a software   
 product from the author to distributors and users.  It contains a  
 normal, "human-readable" section (you're reading it now), followed 
 by a compressed data record.  The data record contains a great     
 deal of information in a form useable by automated tools.  This    
 allows BBSes, disk vendors, etc. to test automatically for         
 permission to distribute, and to automatically extract product     
 information for use in BBS files databases, vendor catalogs, etc.  
                                                                    
 The VENDINFO file standard is published and is freely useable.     
                                                                    
 The VENDINFO toolset includes a free end-user viewer, processing   
 tools for use by distributors (BBSes, shareware disk vendors,      
 etc.), and the editor used by author/publishers to produce these   
 records.  These tools are either free or very-low cost shareware.  
 The toolset can be obtained from many sources, including the       
 originators of VENDINFO:                                           
                                                                    
 Rams' Island Software   Voice: 303-841-2848  CompuServe: 76244,324 
 7644 E. Lakecliff Way     BBS: 303-841-6269     FidoNet: 1:104/333 
 Parker, CO 80134-5904 USA                          RIME: RAMSISLE  

VENDINFO standard v1.00, produced by VendEdit v1.00, 16-Apr-1994

===== Product Information ==============================
   Product:             The Mortgage Analyzer (Mortgage Needs Analysis)
   Version:             2.00
   Version Date:        15-Apr-1994
   Product Type:        Software
   Basic Distribution Policy (see License, below, for details):
      Shareware, subject to distribution restrictions

   Product Description: The Mortgage Analyzer v2.00 <ASP> contains 
                        options for amortization schedules, loan 
                        qualification, refinancing, mortgage accel- 
                        eration, side by side mortgage comparisons, 
                        Buy vs. Rent, Lease vs. Sell, and mortgage 
                        related calculators. Tax Analysis, Daily 
                        Interest, Points, etc. Save and retrieve 
                        multiple clients. Fixed, Stepped, ARM. 
                        Calculates Mortgage Insurance, FHA MIP, VA 
                        Funding Fees. Caps & Margins for ARMs. MORE!

   Category:            Real estate
   Keywords:            REAL ESTATE LOAN MORTGAGE REFINANCE QUALIFY 
                        MONEY HOME SALE LOAN ACCELERATION
   Required Packages:   MRT200
   This Package:        MRT200

   Required Configuration
      Processor Family: Intel 80x86 (minimum 8086/8088)
      Minimum OS:       MS-DOS 2.1
      Standard RAM:     512K
      Hard Drive Space: 500K
      Required:
         Hard drive
         Parallel
         Keyboard
         Printer (specific types may be shown below)

   Orders:
      Address:          Insight Software Solutions
                        P.O. Box 354
                        Bountiful, UT 84011-0354
      Phone:            801 295-1890
      FAX:              801 299-1781
      CompuServe:       71672,3464
      Internet:         71672.3464@compuserve.com

   Support:
      Address:          Insight Software Solutions
                        P.O. Box 354
                        Bountiful, UT 84011-0354
      Phone:            801 295-1890
      FAX:              801 299-1781
      BBS Name:         Rocky Mountain Software
      BBS Phone:        801 963-8721
      CompuServe:       71672,3464
      Internet:         71672.3464@compuserve.com


===== Information for Users ("READ-ME") ================

                      THE MORTGAGE ANALYZER (C) 1992,94
                        Version 2.00,  April 15, 1994
                Suggested BBS name, this version: MRT200.ZIP

       A shareware software package from Insight Software Solutions
         Mailing Address: P.O. Box 354, Bountiful, UT 84011-0354
             Phone: (801) 295-1890     Fax: (801) 299-1781
             BBS:   (801) 963-8721     CIS: [71672,3464]
                        Author: Michael D. Jones

        --------------------------------------------------------
           To Start:  A>MORT  (then press <return/enter> key)
        --------------------------------------------------------

                  The Mortgage Analyzer - Program Overview

This is NOT an ORDINARY mortgage program.  It includes seven predefined
loan acceleration methods such as bi-weekly, double principal and
growing equity payments plus the ability to set up *ANY* acceleration
method con- ceivable through variable extra payments.  Accelerated
schedules and/or summaries can be produced side by side with the
original mortgage or by themselves.

Features mortgage comparisons--enter all values for two complete
mortgages. For instance, you may enter identical information for both,
then change the interest rate and points on one and see the difference
it makes!  Print, view or save to file complete schedules and/or
summaries for both side by side.

No need to wander through endless screens entering data wondering when
the last screen is at hand.  Mortgage schedule and summary inputs are
contained on one screen with the use of function keys to branch out to
less common needed items such as variable rates for use with ARMs.  The
input screen contains Loan Type (Conventional, FHA, VA), Purchase Price,
Down Payment, Duration, Interest Rate, Interest Type (Fixed, Stepped,
Adjustable, Reset), Closing Date, First Payment Date, Points, Property
Tax, Homeowners Insurance, Mortgage Insurance and closing costs.  It
calculates payments, mortgage insurance, points, tax savings, daily
interest, interest paid, interest saved (for acceleration) and complete
schedules.

Schedules can be produced on an annual or monthly basis, on a calendar
or fiscal year with cumulative or non-cumulative values using whole
dollars or exact cents.

The Mortgage Analyzer contains many other features like Qualification,
Buy vs Rent, Sell vs Lease and Refinance Analysis. Includes solve for
missing loan value calculator, loan refinancing, daily interest, FHA
Down Payment and points calculators.  Save and restore multiple clients.
Contains an on-line manual, on-line help, configuration for default
report options, header lines, and screen color selection.

                Additional Features in the Professional Version

It adds the ability to maintain 15 customizable loan plans and to
customize the loan qualification ratios and to customize mortgage
insurance defaults for Conventional, FHA and VA loans.  You can create
HUD-1 good faith closing estimates using over 35 closing fees plus 2
user defined fees.  The ability to compare 3 loans at once is also
available.  Supports optional footnotes and "date of printout" on
reports.

                                  Shareware

The Mortgage Analyzer is a shareware program.  This evaluation version
includes all features of the program, and is not crippled in any way.
You may use it for up to 30 days, without charge. If you like the
program, and wish to continue its use after this evaluation period, you
are required to pay for the program (see ORDER.TXT for more details).
Any fee you may have paid to others (disk vendors, dealers, etc.) to
obtain this evaluation version was a fee for their copying and
distribution services, rather than a payment for continued use of the
program.

                           Program Registration

The Mortgage Analyzer can be registered with Insight Software Solutions
with a check, money order, VISA or MasterCard in the amount of $30.00
U.S. (or $50.00 for the Professional Version) plus shipping and
handling. Please refer to the address and phone numbers listed above.
Upon receipt, you will be sent the latest version of The Mortgage
Analyzere and printed manual.  Once registered, you will receive
notification of major updates and new products. Registration includes a
90 day support policy where free updates will be provided for major
problems. If a problem cannot be resolved, then a refund of money will
be made.

                              Program Support

Insight Software Solutions offers support through the mail, phone, fax
and BBS. Please refer to address and phone number above.  Our official
support BBS is the Rocky Mountain Software BBS (RMS).  RMS can be
reached 24 hours a day at (801) 963-8721 where a conference dedicated
to us can be found.  Our latest software products and versions,
bulletins, news and message system are located on RMS. RMS accepts
modem baud rates of 1200 to 57600.


===== Packing List =====================================

As released by the author or publisher, this package contained the
following files in addition to this VENDINFO.DIZ:

        Filename      Size     Date       Time     CRC32
      READ_ME.1ST      216  10-Apr-1994  02:00a   EB5EF01B
         MORT.CFG     3124  10-Apr-1994  02:00a   533C0A21
      FILE_ID.DIZ      444  10-Apr-1994  02:00a   C8EA0BF5
         {SDA.DI}     2604  10-Apr-1994  02:00a   72745B46
         MORT.DOC    86897  10-Apr-1994  02:00a   B1DBC93C
      INSTALL.EXE    15589  10-Apr-1994  02:00a   5A1B095D
         MORT.EXE    97728  10-Apr-1994  02:00a   5B8CF476
         MORT.OVR   357249  10-Apr-1994  02:00a   57508C55
         MORT.PTR    22944  10-Apr-1994  02:00a   8E1DE2E6
      MORTPRO.TXT     2228  10-Apr-1994  02:00a   E7471ED9
        ORDER.TXT     2907  15-Apr-1994  01:36p   58174EB3
     PRODUCTS.TXT    15900  15-Apr-1994  01:40p   C1458C0C
       VENDOR.TXT      216  10-Apr-1994  02:00a   8C5E6214


===== Installation =====================================

The Mortgage Analyzer may be run from either a floppy or hard disk. An
installation program called INSTALL.EXE is provided to assist you in the
installation of the program on a hard drive.  To install the program,
insert the floppy disk in drive A (or drive B). From the A> prompt (or
B>), simpy type "Install".  This will prompt you through the
installation process.  Alternatively, you may simply copy the contents
of the floppy disk onto the hard disk.  We recommend that it be placed
into its own subdirectory.



===== Warranty =========================================

LIMITED WARRANTY

THIS SOFTWARE AND MANUAL ARE PROVIDED FOR EVALUATION ONLY, ON AN "AS IS"
BASIS.  INSIGHT SOFTWARE SOLUTIONS DISCLAIMS ALL WARRANTIES RELATING TO
THIS SOFTWARE, WHETHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED
TO ANY IMPLIED WARRANTIES OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR
PURPOSE. NEITHER INSIGHT SOFTWARE SOLUTIONS NOR ANYONE ELSE WHO HAS BEEN
INVOLVED IN THE CREATION, PRODUCTION, OR DELIVERY OF THIS SOFTWARE SHALL
BE LIABLE FOR ANY INDIRECT, CONSEQUENTIAL, OR INCIDENTAL DAMAGES ARISING
OUT OF THE USE OR INABILITY TO USE SUCH SOFTWARE, EVEN IF INSIGHT
SOFTWARE SOLUTIONS HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES
OR CLAIMS.  THE PERSON USING THE SOFTWARE BEARS ALL RISK AS TO THE
QUALITY AND PERFORMANCE OF THE SOFTWARE.

This agreement shall be governed by the laws of the State of Utah and
shall inure to the benefit of Insight Software Solutions and any
successors, administrators, heirs and assigns. Any action or proceeding
brought by either party against the other arising out of or related to
this agreement shall be brought only in a STATE or FEDERAL COURT of
competent jurisdiction located in Utah County, Utah. The parties hereby
consent to in personam jurisdiction of said courts.


===== License for Use and Distribution =================

TRIAL USE LICENSE

The Mortgage Analyzer is NOT a public domain program.  It is copyrighted
by Insight Software Solutions.  This software and accompanying
documentation are protected by United States copyright law and also by
international treaty provisions.

Insight Software Solutions grants you a limited license to use this
software for evaluation purposes for a period not to exceed thirty days.
If you continue using this software after the thirty-day evaluation
period, you MUST make a registration payment to Insight Software
Solutions.

You may not use, copy, rent, lease, sell, modify, decompile,
disassemble, otherwise reverse engineer, or transfer the licensed
program except as provided in this agreement.  Any such unauthorized use
shall result in immediate and automatic termination of this license. All
rights not expressly granted here are reserved to Insight Software
Solutions.


LIMITED DISTRIBUTION LICENSE

The attached VENDINFO data record is hereby incorporated by reference.
Any distribution satisfying all the distribution requirements expressed
in that data record is hereby authorized.  Please consult the attached
VENDINFO data record for distribution rights.  You must obtain written
permission directly from Insight Software Solutions if you are unsure of
your distribution rights.

Permission to distribute The Mortgage Analyzer package is not
transferable, assignable, saleable, or franchisable.  Each vendor
wishing to distribute the package must independently satisfy the terms
of this limited distribution license.

U.S. Government Information:  Use, duplication, or disclosure by the
U.S. Government of the computer software and documentation in this
package shall be subject to the restricted rights applicable to
commercial computer software as set forth in subdivision (b)(3)(ii) of
the Rights in Technical Data and Computer Software clause at
252.227-7013 (DFARS 52.227-7013).  The Contractor/manufacturer is
Insight Software Solutions, P.O. Box 354, Bountiful, UT 84011.

Insight Software Solutions may revoke any permissions granted here, by
notifying you in writing.  All rights not expressly granted here are
reserved to Insight Software Solutions.


===== Compressed Data Record Follows ===================

