Page Cheque Book
                             



       Section         Contents                                Page
                                

         1             Introduction                             2
         1.1              Overview                              2
         1.2              Manual Format                         2
         1.3              Keyboard Entry                        2
         1.4              Ctrl-Alt-Del                          3
         1.5              Terminology                           3
         1.6              Program Copying                       3


         2             First Steps                              4
         2.1              Installation - Single Floppy Disk     4
         2.2              Installation - Twin Floppy Disks      4
         2.3              Installation - Hard Disk              4
         2.4              New System                            5
         2.5              Analysis Codes                        5
         2.6              Recurring Orders                      5
         2.7              Brought Forward Balance               6


         3             Posting                                  7


         4             Reconciliation and Amendment             7


         5             Reporting                                8
         5.1              Reports                               8
         5.2              Look Forward                          9
         5.3              Analysis                              9


         6             File Maintenance                         9
         6.1              Managing File Sizes                   9
         6.2              Backup                               10
         6.3              Disk Files                           11
         6.4              Fix Damaged Data Files               11


         Appendices

         A             Keyboard Entry                          12
         B             Dates                                   13
         C             The Screen Blanker                      13
         D             Multiple Accounts                       13


    Page Cheque Book                                          Page  1
    


                     Page Cheque Book - Requirements



    System:             Minimum:        IBM PC or compatible computer,
                                        one floppy disk drive,
                                        MS DOS 3.2 or later, 640K Ram,
                                        Monochrome or color monitor.
                        Optional:       Hard disk drive,
                                        printer.



    Your config.sys file should have a line that  reads  FILES  =  25.
    Refer to your DOS manual for instructions on how to include it.


    Author:             Gary Finlay.

    Copyright:          Gary Finlay.


    Thank   you   for  choosing  Page Cheque Book. I sincerely hope it
    provides you with many years of worthwhile service.  If  you  have
    any  suggestions  on  how  to  improve  it  or  if  you  find  any
    'undocumented features' I would be grateful if you  could  let  me
    know.


    The  program has been very extensively tested and as far as can be
    practically determined is free from  error.   However  it  remains
    possible  that  conditions  exist  which could generate an invalid
    result.


    It is the responsibility of each user to ascertain the validity of
    any  output  from  the  program.   The  author  cannot   be   held
    responsible for any decisions made from incorrect output.


    The  author  retains  the right to amend the specification of this
    program without notice.



    The program and documentation are the copyright of Gary Finlay.


    Developed by                             Published by
    ------------                             ------------

    Gary Finlay,                             Shareware Publishing,
    36, Tamarisk Lawn,                       3a, Queen Street,
    Kilnamanagh,                             Seaton,
    Tallaght,                                Devon EX12 2NY,
    Dublin 24,                               England.
    Ireland.

    Page Cheque Book                                          Page  2
    


    1.  Introduction
        

    1.1     Overview
            

    Page  Cheque Book allows you to manage your financial transactions
    with ease and accuracy.  Track your bank,  credit  card,  building
    society and savings accounts online.

    Page Cheque Book will....

         -  Remember all of your regular payments and receipts.
         -  Remind you when recurring entries are due to be posted.
         -  Accept your adhoc payments and receipts.
         -  Reconcile your statements simply and quickly.
         -  Analyse your account in detail.
         -  Save you time and might save you bank charges.

    You   can   tell  Page Cheque Book about any 'standing orders' you
    have.  An order is any regular  payment  or  receipt,  e.g.   your
    subscription  to  PC  Shareware  Magazine, the monthly mortgage or
    your salary cheque. Once told, Page Cheque Book never  forgets  to
    remind you to 'post' the order on the correct date. If you attempt
    to 'post' it too early, you will be alerted to that fact.

    You  can  tell  Page  Cheque  Book  about  your adhoc payments and
    receipts, e.g. cheques written, bank charges, interest charged and
    received.

    When a statement is  received  you  can  'reconcile'  Page  Cheque
    Book's transactions against it.


    1.2     Manual Format
            

    This  manual  takes  you through the initial step of entering your
    Analysis Codes, entering your opening balance and finally  on  how
    to apply the program.


    1.3     Keyboard Entry
            

    When  you  see  [ENTER]  this  means  simply  press the key on the
    keyboard marked 'enter'. Similarly [ESC]  [INS]  [DEL]  [F1]  [F5]
    [F10] and [CTRL-ENTER] etc.

    Before  any  irreversible  action is taken by the program you will
    always  be  asked  to  confirm  your  intention  allowing  you  to
    gracefully backout from the situation.

    [ESC] may be pressed at any time to backup one step in the program
    which will eventually bring you back to the main menu.

    Page Cheque Book                                          Page  3
    


    1.4     Ctrl-Alt-Del
            

    Every care has been taken to flush data files to disk after  being
    written  to.  Testing  has  included  resetting the computer while
    taking a report and switching off with all files open without  any
    ill  effects.  However  you  should  NEVER  exit  the  program  by
    pressing   [Ctrl-Alt-Del] or switching off.  This could leave your
    data files in a  potentially  corrupted  state  requiring  you  to
    restore   your   backup  copy and repeat any work performed in the
    meantime. See 'Backup' in section 6.2.

    The   only  correct  way  to  end  a session with PCB is to choose
    'Quit' from the main menu.


    1.5     Terminology
            


    PCB               The Page Cheque Book program.
    Posting           Any transaction, e.g. cheque or lodgement.
    Transaction       Same as posting.
    Standing Order    Any regular payment or receipt.
    Recurring Entry   Same as standing order.
    Reconciliation    The process of matching a posting against the
                      statement.
    Unreconcile       The opposite to reconcile.
    B/F               Brought forward.


    1.6     Program Copying
            


    Please feel free to copy the evaluation version of PCB  and  share
    it  with  friends.  If  you  do distribute it, please make sure to
    include all the files. Make sure to distribute the  password  file
    PCB.PSW set to 'LETMEIN'.   PCB  will  not  run  unless  it  finds
    PCB.PSW in the current directory.

    Page Cheque Book                                          Page  4
    


    2.      First Steps
            


    2.1     Installation - Single Floppy Disk
            


    If you are using PCB on a floppy based system  you  should  format
    a floppy disk and label it PCB - Working Disk.

    You  now  need  to  make a copy of disk you received PCB on. Place
    your DOS disk into your drive and type the following...

    DISKCOPY A: A:    [ENTER]

    When DOS prompts  you to insert the source disk you should  insert
    the disk you received PCB on.

    When  you are prompted to insert the target disk you should insert
    the newly formatted and labelled disk.

    To run the program on a single disk machine, put the working  disk
    in drive A: and type PCB  [ENTER]


    2.2     Installation - Twin Floppy Disks
            

    Insert  the  PCB  disk  in  drive A: and a formatted disk labelled
    PCB - PROGRAM DISK in drive B:.

    From the A> prompt type COPY PCB.EXE B:  [ENTER]

    Insert a second formatted disk labelled PCB - DATA DISK in drive B:

    From the A> prompt type the following three commands...

                   COPY PCB.PSW B:     [ENTER]
                   COPY PCB.HLP B:     [ENTER]
                   COPY MANUAL.PCB B:  [ENTER]

    To  run  the  program  on  a  twin  floppy disk machine, place the
    program disk in drive B:, the data disk in drive A: and  from  the
    A> prompt type B:PCB  [ENTER]


    2.3     Installation - Hard disk
            


    Make   a   subdirectory  to  hold  the  PCB  files  by  typing the
    following at the DOS prompt...

    MD\PCB   [ENTER]

    Page Cheque Book                                          Page  5
    

    Next change to the directory you just created by typing...

    CD\PCB   [ENTER]

    Now copy the files from floppy to the hard disk by typing...

    COPY A:*.*    [ENTER]

    To start PCB type PCB [ENTER] from within the PCB directory.


    2.4    New System
           


    When you run PCB for  the  first  time  it  will  create  all  the
    necessary data files.

    You  will  be  required  to  enter  today's  date  and  the system
    password.  When you receive PCB the password is set to 'LETMEIN'.
    A message to this effect will be displayed on the password screen.
    You  should change the password from the 'Utilities' option on the
    main menu to prevent this message appearing.

    Three  attempts  are allowed to get the password right after which
    you will be returned to DOS.


    2.5    Analysis Codes
           

    Select  'Analysis  Codes' from the main menu. Analysis Codes are a
    way of grouping your transactions  together.  They  consist  of  a
    maximum  of  four  characters  as  the  code  and  a maximum of 25
    characters as a description or payee. Select codes that  are  easy
    to  remember,  e.g.  PE - Petrol, FEE - Bank Fees, INT - Interest,
    VISA - Visa Account etc.

    Initially there will be no codes in the file  and  after  choosing
    'Analysis Codes' you will be in the data entry form. Type any code
    and  description  that  you intend using. After you enter one code
    you will be returned to the 'Analysis Codes' table. To add further
    codes press [INS].

    You may not think of all the codes initially. This doesn't  matter
    as you can add new codes on the fly as you enter transactions.


    2.6    Recurring Entries
           

    Select 'Recurring Entries' from the  main  menu.  Initially  there
    will  be no entries in the file so you  will  be  immediately  put
    into the data entry form to enter the first one.

    Page Cheque Book                                          Page  6
    


    The  Recurring Entries file is a separate file to the  transaction
    file.   When  you  enter  data  here  you  are  NOT  updating  the
    transaction  file.   You  are  merely  recording  the  information
    necessary  to  post  these  orders  into the transaction file at a
    later date.

    The program  automatically  checks  this  file  each  time  it  is
    started.   If   any   orders  are  due to be posted a message will
    appear on the main menu screen informing  you  of  this.   If  you
    attempt  to post a standing order before it's due date you will be
    informed that it's not due to be posted yet. This is based on  the
    date shown at the top right of every screen, which is the date you
    supplied  on the password screen when the program was started. You
    may  continue  however, by pressing [CTRL-ENTER].


    2.7    Brought Forward Balance (Opening Balance)
           

    Decide  on  when  you want to start entering transactions from and
    search out your statements and cheque stubs. No  matter  when  you
    start  from you should always start at the top of a statement. The
    first transaction to enter is your opening  balance.  To  do  this
    follow these steps...


    A.  If  the  B/F  (brought  forward)  balance  is  a  CR.  choose
        'Credits'  from  the  main  menu  and enter it. If it is a DR.
        choose 'Debits'. For the  Analysis  Code  choose  OB  (Opening
        Balance)  which  you  should  have  set  up  in advance. After
        entering  this,  the  UNreconciled  and   balance figures will
        show the amount.

    B.  Choose  'Reconciliation'  from  the  main  menu.  Press F10 to
        reconcile the opening balance. You will then  be  returned  to
        the   main   menu  because  there  are  no  more  UNreconciled
        transactions.

    C.  You will notice  that the balances  are now  correct.  B/F  is
        the  correct  amount, UNreconciled is zero and your balance is
        the same as the B/F.  Choose the appropriate option  from  the
        main menu to enter the first transaction on the statement.

    D.  Enter  all of the  transactions from  the  statement.  You may
        need the cheque stubs to remind you of the  payees.  You  will
        notice  the  UNreconciled and balance figures changing as  you
        proceed.  After all the transactions have  been  entered,  and
        provided  you  entered  all the amounts correctly, the balance
        on the screen will equal the final balance on your  statement.
        If  they  don't  agree,  you typed an amount wrong.  Look over
        them  and  change  any that are not correct.  Notice also that
        the  B/F  amount  plus  the  UNreconciled  amount  equals  the
        balance.  While entering transactions don't  forget  that  the
        gray  +  key will increment the date by one day and the gray -
        key will decrement by one day. These keys will also  increment
        and decrement the cheque number field.

    Page Cheque Book                                          Page  7
    


    E.  Before going on to the next statement, reconcile this one.

    F.  Continue  entering transactions  from other statements or from
        your  cheque  and lodgement books. Reconcile each statement as
        you finish entering the  transactions on  it.  This  makes  it
        easier to find any errors in amounts that might creep in.


    3.    Posting
          

    Standing Orders can only be posted by choosing 'Recurring Entries'
    from the main menu. Adhoc payments and receipts can be posted from
    the 'Cheques', 'Lodgements', 'Credits' and 'Debits' options.

    If posting a cheque, enter the cheque number and press [ENTER].

    Enter the date of the posting, e.g. the date you wrote the cheque.

    Enter an analysis code. If you leave this field blank  a  menu  of
    available  codes  will  pop  up  and you can choose from that. You
    cannot  pass  this  field  without  assigning  a   code   to   the
    transaction.  You  can  add  new  codes  at this point by pressing
    [INS]. If you filled in a description for the chosen analysis code
    it will appear in the 'details' field of the transaction.

    Finally enter the  amount  of  the  posting.  You  cannot  post  a
    transaction without an amount.

    When    you    press   [ENTER]  after  entering  the  amount,  the
    transaction is immediately saved and balances are updated.

    Repeat until all postings are made.

    Pressing [ESC] at any time will move you back one step  along  the
    path you have come.

    As  stated  above,  each  transaction must have an amount. However
    cancelled cheques are of course for  zero  amounts.  If  the  word
    'CANCELLED'   in upper case letters is entered as the details, you
    will not be required to enter an amount and the  transaction  will
    be immediately saved. Balances in this instance are not affected.


    4.    Reconciliation and Amendment
          

    When a statement is received from the bank you should scan it  for
    unexpected items, e.g.  bank charges or interest. Post these items
    as per section 3.

    Now select 'Reconciliation' from the main menu.  Only UNreconciled
    transactions will be listed here. Transactions will be  listed  in
    date order.

    Page Cheque Book                                          Page  8
    


    First check that the B/F balance shown at the bottom left  of  the
    screen   matches   that  shown  at the top of the statement. If it
    differs, then the previous statement was not reconciled correctly.

    You can move between transactions with the cursor keys.   You  can
    reconcile  transactions  in  any  order you please. Press [F10] to
    reconcile the highlighted  transaction.   When  a  transaction  is
    reconciled  it  is removed from the table, it's reconciled flag is
    changed to  'Yes'  and  the  B/F  and  UNreconciled  balances  are
    updated  by  the  amount  of the transaction. Tick each reconciled
    transaction on your statement.

    If  you  mistakenly reconcile a transaction you can UNreconcile it
    from the utilities menu. If an item has  been  posted  incorrectly
    it  may be amended by choosing the correct posting option from the
    main  menu.  Highlight   the   transaction   and  press [ENTER] to
    change it.

    When  the statement has been completely reconciled the B/F balance
    at the bottom left of the screen should match  the  final  balance
    shown  on  the  statement.  You will also see, in the UNreconciled
    balance, the total value of outstanding cheques and receipts which
    were not received by the bank at the time of the statement.

    The performance of the reconciliation routine can be  improved  by
    moving reconciled transactions to the archive file.


    5.     Reporting
           

    5.1    Reports
           

    Reports  can  be  taken  from  the  transaction,  analysis  codes,
    recurring entries and archive files. The reports can  be  sent  to
    the screen, printer or a disk file. If you choose to send a report
    to  a  disk  file,  the filename will be allocated by the program.
    These will range from REPORT.001 to REPORT.999. These reports  can
    be  viewed  by  choosing  the  'View Report Files' option from the
    reports menu. When taking a report from the transaction or archive
    file and sending it to disk you can specify that the report should
    be in 'Comma Separated Values'. This  is  a  special  file  format
    which  is  supported  by  many  different  programs  as a means of
    transferring data between them. E.G. spreadsheets.

    If you choose to send the report to the printer but the printer is
    not attached or is not 'online' the program will inform you of the
    fact and you will have the opportunity to rectify  the  situation.
    If   you  don't  do  so  the  program  will  abort the process and
    will exit back to the menu.

    The  only  control codes sent to  the  printer  by  PCB  are  form
    feeds.  If you have your printer set to condensed mode that is the
    way the report will  appear.   No  reports  are  greater  than  80
    characters wide.

    Page Cheque Book                                          Page  9
    


    When taking a report from the transaction or archive file you will
    be  presented  with a screen where you can choose the transactions
    to be  included  in  the  report.  E.g.  all  transactions  posted
    between  1/7/91  and  31/7/91,  AND  between  10.00  and 50.00 AND
    reconciled.  Or any other combination you might want. If you leave
    all the selections blank you are in effect asking to include every
    transaction in the report.


    5.2    Look Forward
           

    This report will allow you to look forward to any  specified  date
    in the future and provide a bank balance forecast by adjusting the
    current balance by any recurring entry which will become due. Note
    this  does  not  actually  post these entries and no files will be
    changed  as  a result of looking  forward.

    If   you   have   a  'Recurring  Entry'  with six monthly postings
    remaining and you look forward  twelve  months,  the  report  will
    only include six occurrences of that entry.


    5.3    Analysis
           

    Two  analysis  reports  are  available. Period Analysis and Annual
    Analysis.  The  period  analysis  will give you a breakdown of all
    transactions in the transaction file (NOT the  archive  file)  for
    the chosen period.

    The annual analysis on the other hand will give  you  a  month  by
    month breakdown for the chosen year.

    Both  reports appear on the screen and can be sent to the  printer
    after they have completed by pressing [CTRL-ENTER].


    6.     File Maintenance
           

    6.1    Managing File Sizes
           

    Over  a  period  of  time  the  transaction file will become quite
    large. When this happens you can move reconciled  transactions  to
    the  archive  file.  Choose 'Archive' from the main menu and 'Move
    Transactions  to  Archive'  from  the archive menu. Enter the date
    range of transactions you want to move and  then  confirm  to  the
    program to continue.

    The program will only move reconciled transactions. If  there  are
    any   UNreconciled  transactions  within  the date range they will
    NOT be moved.

    Page Cheque Book                                          Page 10
    


    If you feel that your archive file is becoming too large  you  can
    delete transactions from it. Once again you supply a date range.

    Please  note  that  analysis  reports  can  only be taken from the
    transaction file. Before moving to archive make sure to  take  all
    the required analysis reports.

    You  should  also take a report to the printer of any transactions
    you intend deleting from the archive file.

    I  personally  have  four  years  transactions in PCB.  Two in the
    transaction file and two in  the  archive  file.  You  can  always
    check  how  many  records  are  in the various data files from the
    utilities menu.


    6.2    Backup
           

    Your data files will contain valuable data which would take a long
    time to reconstitute by hand. It is important  that  you  'backup'
    these files to floppy disk at regular intervals.

    PCB's data files all  start  with  the   four  characters  'PCB_'.
    There  is no built in backup facility in PCB. However if you issue
    the following DOS command from the DOS prompt and from within  the
    sub directory that holds the PCB files, all the data files will be
    backed up....

    For hard disk users...

    BACKUP C:PCB_*.* A:

    For  floppy  disk  users  it's  probably  handiest  to  issue  the
    following command and treat the copied disk as your backup.

    DISKCOPY A: A:

    Substitute drive names where appropriate.

    Page Cheque Book                                          Page 11
    


    6.3    Disk Files
           

    PCB.EXE           The PCB program.
    PCB.HLP           The PCB help file.
    PCB.PSW           The PCB password file.
    MANUAL.PCB        The on disk PCB manual.

    The following files are created the first time you start PCB.

    PCB_TRAN.DAT      Transaction data file.
    PCB_TRAN.K01      Transaction key (index) file.
    PCB_TRAN.K02      Transaction key (index) file.
    PCB_ARCH.DAT      Archive data file.
    PCB_ARCH.K01      Archive key (index) file.
    PCB_ANLS.DAT      Analysis codes data file.
    PCB_ANLS.K01      Analysis key (index) file.
    PCB_BAL.DAT       Balance data file.
    PCB_BAL.K01       Balance key (index) file.
    PCB_ORD.DAT       Recurring entries data file.
    PCB_ORD.K01       Recurring entries key (index) file.


    6.4    Fix Damaged Data Files
           

    Each   data  file  has  an  associated  key  or  index  file.  The
    transaction file has two key files all the rest have just one. The
    purpose  of  the  key  file  (.K01 and .K02) is  to  instruct  the
    PCB  program  on  how  to  access the information in the data file
    (.DAT).

    It is possible that a key file  may  become  damaged  due  to  bad
    disks,  power  failures  etc.  This  will  be  evidenced  by error
    messages from PCB, or  the  data  not  being  in  strict  date  or
    alphabetical order.

    PCB  will  automatically rebuild key files if they are found to be
    missing. You too can rebuild the key files for all data  files  by
    choosing  that  option from the 'Utilities' menu. This may be done
    at any time and as often as you wish. Once you choose to  reindex,
    it  is done immediately and a brief message is shown on the screen
    as each key file is rebuilt.

    Page Cheque Book                                          Page 12
    


    Appendix A - Keyboard Entry
    

    All keyboard  entry  within  PCB is of a  standard  format.  If  a
    field only requires a numeric answer it will not allow you to type
    letters.   When  it  only  requires  upper  case  letters  it will
    automatically convert lower case to upper case as you type.   Some
    fields  MUST  be  filled  in.   If you attempt to leave the cheque
    number or transaction date fields blank for example,  the  program
    will  beep and that field will blink indicating that you cannot go
    any further without typing valid data into that field.

    The  following  two  lists  show  some  special  keys for the data
    tables and entry forms respectively.



                             Table Keystrokes
             
                     F1 - Help
                    Esc - Return to the Main Menu
               Up arrow - Move highlighted bar up one line
             Down arrow - Move highlighted bar down one line
                    Ins - Add a new transaction
                    Del - Delete the highlighted transaction
                  Enter - Change the highlighted transaction
                   PgDn - Move down twelve transactions
                   PgUp - Move up twelve transactions
                   Home - Move to top of screen
                    End - Move to bottom of screen
              Ctrl PgUp - Move to the first transaction
              Ctrl PgDn - Move to the last transaction



                          Entry Form Keystrokes
        
               F1 - Help
           Gray + - Increments date by 1 day or cheque no. by 1
           Gray - - Decrements date by 1 day or cheque no. by 1
              Esc - When in the first field, move back to table
                    When in other fields, move up one field
         Ctrl Esc - Abandon form, lose data and return to table
         Up arrow - Move up one field
       Down arrow - Move down one field
       Left arrow - Move left one character
      Right arrow - Move right one character
              Ins - Toggle between insert and overwrite mode
              Del - Delete character at cursor position
       Back space - Delete character to left of cursor
            Enter - Complete entry and move to next field
             Home - Move to first character in field
              End - Move to last character in field
        Ctrl Home - Erase entire field
        Ctrl End  - Erase to end of field

    Page Cheque Book                                          Page 13
    


    Appendix B - Dates
    

    All dates are of a standard format,  dd/mm/yy.  You  should  enter
    dates  as  six  numbers. To enter  the  1/05/91  you  should  type
    010591. Note you are not required to type the /.


    Appendix C - The Screen Blanker
    

    Page  Cheque  Book has a built in screen blanker.  This means that
    after a period of keyboard inactivity the screen  will  go  blank.
    Any  key  will  restore  the screen and that key press will not be
    passed to the program for  processing.  In  other  words  the  key
    pressed is used solely for unblanking the screen.

    You  can  vary  the  amount  of time before an inactive display is
    turned off.  The default value is 10 which represents ten minutes.

    PCB           (default 10 minutes)

    The timeout value can be disabled by entering a value of zero. For
    example...

    PCB V=0

    would disable the video timeout feature. The timeout value can  be
    set to something other than 10 minutes as in this example...

    PCB V=30

    which assigns a 30 minute timeout value.

    If  you  are  using  your own screen blanker you should run Cheque
    Mate with the V=0 switch.

    Appendix D - Multiple Accounts
    

    Page Cheque Book will only handle  one  account.  It  is  possible
    however  to have more than one directory with it's own set of data
    files. For example you want to use  PCB  to  handle  your  current
    account,  your  savings  account and your credit card account. You
    can achieve this by creating three different directories  such  as
    CURRENT,  SAVINGS  and  VISA.  Put PCB.PSW (the password file) and
    PCB.HLP (the help file) into each of the directories. Put  PCB.EXE
    (the  executable program) into any directory that is on your path.
    This means that PCB.EXE will be accessible from anywhere  on  your
    disk.  To  access  your current  account  data  files  you  should
    first  change  into  that directory by typing CD\CURRENT and press
    [ENTER] and then type PCB and press [ENTER].

    Alternatively you can keep PCB.EXE in each directory. This however
    will use up disk space.

    For more information on the use of PATH see your DOS user manual.

