 
                                   TREES II
                                   --------
                        TOMORROWS DESIGNS LTD. COPYRIGHT
                        --------------------------------
                                TEL. I.W. 67890
                                ---------------


                    37a Union Street RYDE Isle of Wight PO33 2LE

                           THIS SOFTWARE IS NOT FOR SALE
                           =============================

TREES is subject to the following licence terms and conditions

This is a single copy software licence granted by Tomorrows Designs Ltd.
of  37a Union Street, RYDE, Isle of Wight PO33 2LE  ENGLAND.  and  is
licensed to you the end user.

1.1  TREES is copyrighted material,
1.2  You  may not make any changes or modifications to TREES,  and
     you  may not decompile, disassemble, or otherwise reverse-engineer
     it. You may not rent or lease it to others.
1.3  You  may  make copies of TREES only under the  terms  of  the
     following section "Limited License to Copy".
1.4  Tomorrows  Designs Ltd. does not warrant that  the  functions
     contained  in the software will meet your requirements or that  the
     operation of this software will be uninterrupted or error free.
1.5  Tomorrows  Designs Ltd. shall not in any case be  liable  for
     special,  incidental,  consequential,  indirect or  other  similar
     damages arising from any breach.
1.6  Limitation  of liability: In no case shall Tomorrows  Designs
     Ltd.  liability  exceed the licence fees paid for the right to  use
     TREES.
1.7  This   licence   constitutes  the   entire   agreement   and
     understanding   between  the  parties  and  supersedes  any  prior
     agreement  or  understanding whether oral or written, relating  to
     the subject of the licence. This agreement may only be modified by
     a written agreement signed by Tomorrows Designs Ltd.

                               Licence to Copy
                               ---------------
You  are  granted a licence to copy TREES subject to the software licence
as described above and also the following:

TREES must be copied in unmodified form complete with the following files:

      TREES.CFG           TREES.EXE           TREES.HLP
      INSTALL.EXE         INSTALL.HLP         PERSON.DAT
      MARRIAGE.DAT        NOTES.DAT           4.PIC FILES
      TREES.DOC           READ.ME             PRINT.BAT

No  fee,  charge or other compensation may be accepted or  requested  by
anyone  without  express  permission from Tomorrows  Designs  Ltd.  This
includes  disk vendors. TREES may not be distributed in conjunction with
any  other  product or service without a specific licence to do so  from
Tomorrows Designs Ltd.

Operators  of electronic bulletin boards may post TREES for  downloading
by  their  users  without written permission only as long as  the  above
conditions  are  met. Distributors of Public Domain and  user  supported
software,  such as disk vending services, may distribute copies of TREES
subject  to the above conditions only after obtaining written permission
from   Tomorrows   Designs  Ltd.  Such  permission  will   normally   be
forthcoming.

                                    INDEX


  1. The Program: an introduction ... a. Hardware requirements
  2. Installation ................... a. Single disk
                                      b. Dual disk
                                      c. Hard disk
                                      d. General notes on installation
                                      e. Getting started
  3. Data Input ..................... a. Persons
                                      c. Marriages
  4. Trees Display .................. a. Global
                                      c. Detailed
  5. Data Display ................... a. Persons
                                      b. Marriages
  6. Data Search .................... a. Persons
                                      b. Marriages
  7. Printing ....................... a. Persons
                                      b. Marriages
                                      c. Tree Structure
                                      d. Dropline Chart
                                      e. Family Group Form
                                      f. Birth Brief Chart
  8. Utilities ...................... a. Index Update
                                      b. Record Extend
                                      c. Deleting Records
                                      d. Colours
                                      e. O/S Shell
                                      f. Exit to DOS
  9. Useful things to know .......... a. Function Keys
                                      b. How data is handled
                 c. What files to Backup
                 d. What to do if the something goes wrong
                 e. HELP !
                 f. Future version suggestions and things in the  pipeline
                 g. Registration Updates and Tree Family Names





The Program: an introduction
===========================

We  are all proud possessors of a heritage that goes back to the dawn of
recorded  time - and beyond. Our ancestors have many tales to tell,  can
we but find them.

In  some families, there already exists a wealth of information,  stored
in  various  forms, just waiting to be ordered and examined. In  others,
records  are patchy. Tracing ever further into the past involves careful
investigation,  following clues, hunting through public records for  new
leads upon which to build.

The science and art of investigations, (and it has all the attributes of
both),  is Genealogy. Investigating your heritage produces vast  amounts
of  data,  and  the  Genealogist must find ways of  recording  it,  then
correlating it to discover the stories that lies behind it.

TREES  has been designed to aid the Genealogist so as to make his or her
job  as  simple  and  as  fun as  possible.  While  requiring  no  great
specialist   knowledge   about   either  Computing  or   Genealogy,   it
nevertheless  has  all the power and scope of other  fully  professional
Genealogical software.

Hardware requirements
---------------------
Computer

TREES  will run on an IBM/PC XT/AT or any good compatible, and can  cope
with  most  display types automatically. A minimum of 512k RAM  must  be
free,  so  it is best to run it with no other memory resident  software.
All  combinations  of  single  floppy, dual floppy and  hard  drive  are
supported.

Printer

Your  printer  should  be  an 80 column  Epson  compatible (9/24pin)  that
supports  bit-image graphics. (TREES uses its own character set to print
some of the output sideways).

9  & 24 Pin printer are now supported to execute either type a /C  after
the  TREES.EXE  file EXAMPLE:- TREES /C You will then be asked to  enter
either 9 or 2 (9 for a 9pin) (2 for a 24pin).

This can only be run from within in the TREES Directory and not the Batch
File.





INSTALLATION
============

SINGLE disk
-----------
Single disk users will require :-  2 formatted disks;  MSDOS disk

Place  the  Master Trees disk in drive A: and type INSTALL <ENTER>.  You
will  now  have the Install program on screen. Select the Install  disks
option  by  using  the Cursor Keys to place the highlight bar  over  the
words 'INSTALL disks'. Proceed by pressing the <ENTER> key and selecting
option  1  for  Single  disk  installation. Now  follow  the  on  screen
messages, remembering to change the disks when asked to do so.



DUAL DISK
---------
Dual disk users will require :-  3 formatted disks; MSDOS disk

Place  the  Master Trees disk in drive A: and type INSTALL <ENTER>.  You
will  now  have the Install program on screen. Select the Install  disks
option  by  using  the Cursor Keys to place the highlight bar  over  the
words 'INSTALL disks'. Proceed by pressing the <ENTER> key and selecting
option  2 for Dual disk installation. Now follow the on screen messages,
remembering to change the disks when asked to do so.

HARD DISK
---------
Place  the  Master Trees disk in drive A: and type INSTALL <ENTER>.  You
will  now  have the Install program on screen. Select the Install  disks
option  by  using  the Cursor Keys to place the highlight bar  over  the
words 'INSTALL disks'. Proceed by pressing the <ENTER> key and selecting
option  3 for Hard disk installation. Now follow the on screen messages.
The  Install  program will place a directory called TREES on  your  hard
disk  and transfer the relevant files to it, there will also be place in
your root directory a batch file called GOTREES.BAT. This short file can
be modified to user requirement.

General notes on installation
-----------------------------

Note  : <ENTER> Means for the user to press the Enter or Return key.

Note  : It is important to work slowly through the installation  process,
do  not try to rush it. If you feel you have made a mistake, restart  the
process from the beginning.

Important Note  ****   The program will only Install from Drive A: and
                       you need to be at the A: prompt.


Getting started
---------------

CONFIG.SYS: For the program to be able to execute the CONFIG.SYS file to
contain  the  following setup the new CONFIG.SYS must be on  your  MSDOS
startup disks.

                BUFFERS = 20          FILES = 20

To be able to adjust these setting please read your MSDOS manual. Or you
can use the one supplied on the Master disk.

WARNING

If  you  elect  to copy this CONFIG.SYS onto your system  disk  it  will
overwrite your CONFIG.SYS and everything that was contained within it. A
far  better  way  of placing the correct files and  buffers  within  the
CONFIG.SYS  can  be  achieved  by  reading in  your  CONFIG.SYS  into  a
wordprocessor. Then change the files and buffers both to 20. After which
you can save the CONFIG.SYS as you would save any other document or file
with the name CONFIG.SYS.










GOTREES.BAT

For  the program to operate correctly it is also necessary to start  the
execution  of the program from the GOTREES.BAT file. This may be altered
by the user to suit his/her own requirements.

Single  disk  Start: Start up your system and place the program disk  in
drive  A:.  At the A: prompt type GOTREES <ENTER>. After a little  while
you  will be asked to take out the program disk and replace it with  the
Data/index disk. The program will now be ready to accept data.

Dual  disk  Start:  Start up your system and place the program  disk  in
drive  A:.  At the A: prompt type GOTREES <ENTER>. After a little  while
you  will be asked to take out the program disk and replace it with  the
Data  disk. You will then be asked to place the Index disk in drive  B:.
After this the program will be ready to accept data.

Hard  disk:  Startup  your system and log to your root dir.  At  the  C:
prompt  type  GOTREES <ENTER>. The program will now execute and will  be
ready to accept data.

Data Input
==========

Person Data Input

To  be able to display or print data you must first enter it. To achieve
this  place  the highlighted cursor bar or the 'Input/Edit'  option  and
press  <ENTER>. Now select the 'Person Record' <ENTER>. You will now  be
asked  for a record number or 'Return for next free', since you have  no
data  you  should press the <ENTER> key to place you in the  first  free
record.

Fields and criteria

Surname  :  The Surname field will accept uppercase letters only  accept
for  McKen..and Mac.. scenarios. If you want to force and uppercase A or
C use the shift key.

Programable funtion keys
------------------------

If  the  user requires to use a name on a regular basis he/she may  find
the  <CTRL> an <F1 - F10> function keys of use. To set a name press  the
<CTRL>  and a <F1 - F10> key. To use that name press the <SHIFT> and the
<F1  -  F10> key of your choice. The names are saved to a file  on  your
disc for future use.


Given Name :  The Given name field will accept uppercase letters only.

Sex: The Sex field defaults to either M/F male or Female. It can be left
blank but data searches and displays may not contain the record.

Father : This field requires you to enter the father's record number. If
the  data  is within the database already you can press the F5  function
key  to help you select the correct record. When no information is known
proceed to the next field.

Note  : This option creates the links between children and their parents
and  must  be  used  to  allow  the  rest  of  the  program  to  operate
efficiently.

Mother : This field requires you to enter the mother's record number. If
the  data  is within the database already you can press the F5  function
key to help you select the correct record, and you will then be asked to
enter  your mother's maiden name. If you cannot remember it hit  <ENTER>
and  you  will placed at the start of the female list. Move up and  down
with  the cursor keys until the mother's name is in the centre box, then
press <ENTER>. The details and record number of the selected mother have
now been placed into the new record.

Note  : This option creates the links between children and their parents
and  must  be  used  to  allow  the  rest  of  the  program  to  operate
efficiently.


Birth,  Naming, Death, Burial: These are all Date fields and require the
information  to be entered as Year, Month, Day. i.e.. 1874 JUL 12 .  All
dates  are  self testing and you will not be allowed to be  born  before
your natural mother/father, or die before being born.

Date checking On/Off

This  allows the user to either turn the date checking ON or OFF. To  do
this  press the <ALT> and <F1> keys , you will need to move to the  next
field to update the screen On/Off flag.

(A)fter,  (B)efore,  (C)irca  : After the date fields  you  may  specify
either A/B/C if you are not sure when the exact date was.

Town/City,   State/County,   Country  :  These  are  all  20   character
Alpha/Numeric fields.

Notes  Pages:  If you wish to enter further notes on the  person  please
press  the  F9 function key. You will then be able to enter data on  the
notes page. The first three lines have some phrases already setup, these
are  CENSUS,  WILLS,  and OCCUPATION. You may enter data next  to  these
phrases  or by using the backspace key blank them out. All data  entered
onto  these pages can be searched, so you may create your own applicable
fields.  To add a page press the F8 function key and then <ENTER>.  This
saves  page one and places you in page two. At the end of note entering,
press  the ESCAPE key and <ENTER>. You will now be back at the  Person's
record details.

Saving the information

To  save all the new information press the ESCAPE key and make sure that
the  Highlight  bar  is over the 'Save edited data'  option.  Press  the
<ENTER>  key. The information will now have been saved and you are ready
to either enter a new person's record or ESCAPE to the main menu.

Marriage data input

To  be able to display or print data you must first enter it. To achieve
this  place  the highlighted cursor bar or the 'Input/Edit'  option  and
press <ENTER>. Now select the 'Marriage Record' <ENTER>. You will now be
asked  for a record number or 'Return for next free', since you have  no
data  you  should press the <ENTER> key to place you in the  first  free
record.

Fields and criteria

Husband's  Record Number : This requires the user to enter the husband's
record  number,  if  you cannot remember press the F5  function  key  to
search the male records.

Wife's Record Number : This requires the user to enter the wife's record
number,  if you cannot remember press the F5 function key to search  the
female records.

Date : This  is  the marriage date and needs to be entered as YEAR, MONTH,


DAY, or part thereof, e.g. 1874 JAN 25.



(A)fter,  (B)efore,  (C)irca  : After the date fields  you  may  specify
either A/B/C if you are not sure when the exact date was.



Town  or  City,  State/County,  Country : These  are  all  20  character
Alpha/Numeric fields.

Notes  Pages:  If you wish to enter further notes on a  marriage  please
press  the  F9 function key. You will then be able to enter data on  the
notes  page.  The  first three lines have some phrases already  set  up.
These  are  CENSUS,  WILLS, and OCCUPATION. You may enter data  next  to
these  phrases  or by using the backspace key blank them out.  All  data
entered  onto  these  pages can be searched, so you may create  you  own
applicable  fields.  To  add a page press the F8 function key  and  then
<ENTER>.  This saves page one and places you in page two. At the end  of
note entering, press the ESCAPE key and <ENTER>. You will now be back at
the Marriage record details.

Saving the information

To  save all the new information press the ESCAPE key and make sure that
the  Highlight  bar  is over the 'Save edited data'  option.  Press  the
<ENTER>  key. The information will now have been saved and you are ready
to either enter a new marriage record or ESCAPE to the main menu.

General Data Entry Information

The  dual year option has been incorporated and if you enter a date that
falls  within the criteria you will be given the choice to enter it as a
dual  year date if so desired. (The year affected is XXXX to YYYY). Also
it  is important to place dates into marriages, this allows the computer
to  work  out which is the last marriage for printing purposes  when  it
comes across a multiple marriage situation.

TREE DISPLAY
============

The  Tree Display is in two distinct sections, Global and Detailed.  The
Global  tree  can  be  used to view a 24 * 6 person  data  structure  on
screen.  The  detailed  tree  gives you a  Mother/Father  record,  three
children  and  three  grandchildren with detailed  information  on  each
person.

To select the Global or Detailed Tree, place the Highlighted cursor over
the  'Tree Display' option and press <ENTER>. You will now be asked  for
either  G/D  Global/Detailed.  On selection of one of them you  will  be
further asked for a record number to start the tree from. Enter a record
number and <ENTER>.


Global Tree

The  Global option places the chosen record at the top of the screen. By
using  the cursor keys the user can move the highlighted box around  the
tree.  At the same time the information of the person can be seen at the
bottom  of  the screen. Further commands are available and can  be  seen
below the person's details.

     F1  HELP         Displays a help page
     F2  RECORD       Moves you to the person record of highlighted person
     ALT F3           Forname toggle on/off
     F4  ZOOM         Moves you to the detailed tree of highlighted person
     F6  PRINT        Prints a Schematic diagram of the tree
     F10 HUSBAND      Displays the Husband/Wife of the highlighted person
     ESCAPE           Press the Escape key to exit to main menu







Detailed Tree

The  Detailed option allows you to highlight an option that is available
at the bottom of the screen by the use of the cursor key. Once selected,
pressing  the <ENTER> key will effect a change to the tree. This is  all
based on the central record that is displayed in a double lined box.

Function keys within the Detailed Tree

F9  Notes:  If note pages are in existence then the F9 key will  display
them.  You  will  need to press the Escape key to get back to  the  tree
display.

F2  Record:  If you want to move to the person record of  the  displayed
person press F2. You may the alter data and Escape. You will now be back
in the tree with the surrounding information amended.

F1  Help:  At  anytime press the F1 function key to give you a  hint  on
overall operation.

DATA DISPLAY
============

Person/Marriage:  Data  display  allows you to look at lists  of  either
Persons  or  Marriages. This data can then be scanned by the use of  the
cursor  keys up/down. The cursor keys left/right will allow the user  to
place the highlighted central record into another scenario.

Surname  search criteria: After selecting data display you are  prompted
to  enter  a  search  name. If you want, you may enter  the  first  four
letters  of  a  surname and then a ? you can then enter  the  first  few
characters of a Christian name.

e.g. Searching for John Smith, you should type SMIT?JO


The  reason we only use four letters is to keep the index small and fast
and  leave room for the maximum number of people. Please also note  that
because  we  only index the first four characters alphabetical  listings
are only correct up to that point.

DATA SEARCH
===========

Highlight  the  cursor over the Data Search option on the main menu  and
press  <ENTER>.  You will then be asked to choose either the  person  or
marriages records P/M.

Person:  The Person search allows the user to select any field out of  a
choice  of 26; the matching data may then be entered. Once the  computer
has  completed the selections you can then either display them to screen
or  output hard copy to printer. You may then go and further refine  the
data sorted or exit to the main menu.

Marriage:  The  marriage  search, acts in a similar way to that  of  the
person's but only 11 fields are available.

General notes on data search:








Soundex:  If your choice is to search for a non specific surname you can
use  a  Soundex  search.  This will pull up all  the  names  that  sound
similar.

e.g.         Entered        Results

             SMITH          SMITH, SMITHERS, SMYTH, SMIT
             ROGERS         ROGERS, ROGES, ROGGIES, ROGGERS

Do  not  be  surprised  to see some really odd soundex  matches  as  the
algorithm to achieve this will always give you more than expected.

Searching Notes

If the user has set up specific fields in the notes pages you may select
them by picking the 'NOTES' option and entering the search criteria.

E.g. Say we had set up a field called DOG OWNER-. To search for this you
would  type  'DOG OWNER-YES' . The resulting display would give you  all
the  person records who owned dogs. (As long as you had entered the data
consistently).



PEDIGREE DISPLAY
================


Allows the user to display on screen the Mother/Father back for up to
5 generations. From here you can print the Pedigree Chart for the
selected person. You may also re-generate the tree form any postion by
using the F3 key.



PRINTING
========
MAKE SURE THE PRINTER IS ON-LINE  ******** AND HAVE PLENTY OF PAPER!

Person:  To print a person's record or a series of records position  the
highlighted cursor bar over the 'Print Person' option and press <ENTER>.
You  will then be faced with another cursor driven screen. At first this
may  seem  very confusing but with a little practice you will find  your
way around.

To print one record: Cursor the highlighted bar to 'One'. Press the down
arrow.  Select the number of the person you wish to print . Now with the
left/right  cursor keys select the 'Full Record' option or 'List  Only'.
If  you  have chosen the 'Full Record' option you will be further  asked
for  R/D, Record or Draft quality. Record quality draws a box around the
information , Draft gives out the information quickly. Select either and
press <ENTER>.

If more than one record is selected you may sort the data into record or
alphabetical listings by placing the cursor over the highlighted options
and  then  moving  the  cursor down. Once you  have  finished  all  your
selections press the <ENTER> key to start printing.

Marriage:  Marriage  printouts  are  very similar to  person's  and  are
manipulated in the same way. We have also given the option to select the
marriages  on  (H/W)  Husband  or  Wife  last  name  when  producing  an
alphabetical list.

Family Group Forms
------------------
On  selection of the Family Group Form option by way of the  highlighted
cursor  key, you are prompted to enter a marriage record number. If  you
cannot remember the record number press the F5 option to help you select
the correct one.





The  form  will  proceed  to print sideways, this will  take  about  two
minutes to produce and will lay out the family in a similar form type to
that of the LDS Family Group Form. We have used this style as it is fast
becoming a world standard on displaying Family Groups.

Dropline Chart
--------------
The  TREES dropline chart is a new concept in printing family trees.  We
shall be very interested to know of any difficulties with this, as it is
impossible to try out every combination of family scenarios.

On  selection  of  this Option you will again be asked  for  a  person's
record number. Press F5 if you require to be helped with your selection.
After selection you will be asked how many generations you wish to print
1-24.

Select a number or press <ENTER> to default to the maximum. You now have
the option to turn the Boxes Off/On, Perforation Jump Off/On, Compressed
Print  Off/On, and Compressed Names Off/On. Selection of any of these is
achieved  by placing the highlighted cursor over the desired option  and
pressing the down key.

Prior  to  printing this chart the box at the bottom of the screen  will
tell you how many pages of paper it will take. Please make sure you have
enough  ! When you have selected all of the above press the <ENTER>  key
and  you  will  be shown a screen of how many generations  there  is  to
print.  This is your last chance to escape ! When you are sure you  want
to proceed press the 'Y' and then <ENTER>.

Please note:- 1.1  Always print a Tree Structure first.
              1.2  A  large  dropline chart will take a long  time  to
                   print.
              1.3  You  may use the F5 search option when prompted for
                   a  person number. Use the Up/Down keys to choose  a
                   name and then cursor to select and press <ENTER>.
              1.4  Tree  printing for Sheet Feeders and Laser printers
                   emulating Epson should turn perforation jump ON.
              1.5  COUSINS  MARRYING  We  have at  present  a  problem
                   here. We think it should be handled by a box coming off
                   of  one  of  the  cousins pointing  to  the  other.
                   Thereby  eradicating dual chart drops. Comments  on
                   this please.

              1.6  On  a large dropline requiring more than one strip,
                   the  paper may feed before printing starts. This is
                   normal,   and is designed to allow for  the  whole
                   tree  to be in an oblong of paper rather than  just
                   an odd sheet on top.

              1.7  Although   some  printers  support   Bi-Directional
                   printing of the tree, not all printers want to play
                   ball.  We  are working on this and will inform  you
                   when more is known.













Tree Structure
--------------
Select  this option by Placing the Cursor key over the 'Tree  Structure'
and pressing the <ENTER> key. You will then be asked for a person record
from where the tree will start from.

This option will print out the numeric records of the Tree starting from
a  given record, in the same format that the Dropline Chart will  print.
This  gives  the  user  the  ability to  view  a  chart  quickly  before
committing to the lengthy Dropline option.

You  also  have  the  option to print the person  details  of  the  Tree
Structure either in number order or Alphabetically.

If  your  printer does not handle IBM graphics we have tried to  do  the
best  we can with the normal Epson graphics. Please consult your printer
manual to see if you can select IBM graphic mode by changing some of the
internal DIP switches.

Birth Brief Print or Paternal & Maternal Charts
-----------------------------------------------
On  electing  this  option with the cursor keys you are prompted  for  a
record  generations for the selected person. You may also select between
Chart  numbers  or  Record numbers. Chart numbers are just 1 to  31  and
record numbers are the actual record numbers of the people displayed.

General  Printer Notes: The program will run on many different  printers
but  has been designed for a 9 pin Epson. 24 pin printers will  normally
operate correctly but the page length may vary.

24 Pin Printers

To  set  this option place in the GOTREES.BAT after the TREES  call  the
following SPACE /C . The command line should now look like this :-

                                TREES /C



Laser printers and sheet feeders: This version contains some new code to
be  able  to  detect the state of the printer at  most  times. This  new
routine  should  also  encompass sheet feeders. Please let  me  know  of
problems.  Laser  users should contact us for a public  utility  program
that will emulate most laser printers into Epson standard mode.


Paper  Length: At present the program assumes a form length of 11 inches
and a page width of 80 characters.

'():@" $% Where are they?

So  as  to speed up the sideways printing routines we elected to  use  a
reduced  character  set. The drawback of which is that we  cannot  allow
these  characters to be placed in the database in the first place within
the person and marriage records.

The following extra characters are available in notes only :-

                  ,[]{}@%=|\!&*()<>:;/~'#$+^'


Update Indexes
==============

This  option  should only be run if the indexes are corrupt or you  feel
that  the  tree  display looks wrong. We  have  implemented  incremental
indexing  (The  program  will index itself as new data is  entered),  so
there should be no need for this option to be run.

File Extend
===========

File  Extend  reads  the  available  room left on  your  data  disk  and
calculates  the maximum number of records that you can open the database
up  to. It is suggested that when expanding the database you do it by 20
records  at a time. Note: You cannot contract the number of records once
expanded.

Deleting Records
================

Person:  This option should be used very carefully. On selecting it with
the  Cursor  and <ENTER> keys you will be prompted for a  Person  record
number, (F5 for search help) . You may then proceed to delete the record
from  the  database. Another way of deleting a person is to go to  their
record  and  making  the person UNKNOWN, you can then  use  this  record
number  again.  You must however remember to check for children  calling
this record as a Father/Mother.

Marriage:  To  delete a marriage record enter the marriage record as  if
you  wanted  to  edit it and place 0 in both the  husband's  and  wife's
fields.  This will have the effect once saved of deleting the  marriage.
You  can  then  use this record for the next marriage that you  wish  to
enter.

COLOURS
=======

(Not  available  on a MONO system). This option lets you  customise  the
entire database to whatever colour the user likes. Place the highlighted
cursor over the 'COLOUR' option and press <ENTER> you may now select the
part of the program you wish to customise by means of the Up/Down cursor
keys.  When you have chosen press <ENTER>, this moves you to the  actual
colour  selection.  By using all the cursor keys select the  colour  you
wish  to have and press <ENTER>. To escape to view the changes press the
Escape key.

Your new changes will be saved in the TREES.CFG file and your new colour
configuration loaded the next time you use the program.


O/S Shell
=========
By selecting this option and pressing <ENTER> you will be in placed back
at the MSDOS prompt. You may run little programs but room is limited. To
rejoin  the program type 'EXIT'<ENTER> at the prompt. If when you select
this  option  a message 'OUT OF MEMORY' appears please try  running  the
program  using the GOTREES.BAT file. (This function requires DOS 3.0  or
later)

EXIT TO DOS
===========
Always  use this option to exit the program cleanly. It closes all files
and  returns  you to the MSDOS prompt. On the floppy disk scenarios  you
will prompted to place the PROGRAM disk back in drive A:.

FUNCTION KEYS
=============
The  following  is  a list of Function keys that are operative  in  many
different places throughout the program.

   F1     Help pages                  F2     Person record
   F5     Search on Person or Marriage records
   F7     Page back in notes          F8     Add an extra page of Notes
   F9     View a page in Notes and add a new page of Notes

   User defined setup strings

   <CTRL F1-F10>  To set user defined Strings. (30 letter max.)

   <SHIFT F1-F10> To use a setup String.

   Notes field setup strings

   You may now setup Notes fields in either Marraige or Person

   Ctrl F2 Displays


   Alt F3 to display fornames in Golbal tree displays.





HOW DATA IS HANDLED
===================
Record numbers
--------------
The  TREES program only uses record numbers to link children with  their
parents.  Siblings  are  not  linked in any other  way  than  that  just
explained.  The  only  other  employment of record  numbers  is  when  a
marriage  is  formed  this joins two record numbers together to  form  a
connection.

 e.g.                            4 - 5
                                   |
                         | - - - - | - - - - |
                         6         7        1200

This  use of record numbering allows you to add record number (1200)  as
the long lost son of record number (4), just by going into record (1200)
and  making  record (4) the father. If you then select the  tree  option
using  record  (1200),  you will see record (4) as the father,  and  the
mother  as  'not known'. If you had made record say (5) the  mother  and
there  was already an established family between (4) and (5) . The  tree
would  now  show record (4) as the father and record (5) as the  mother,
any children would be seen as siblings to record (1200).



One name studies and record numbers
-----------------------------------
Record  numbers  DO NOT have to be joined to any other record, so it  is
possible  to  have  9999  records with no relationships.  This  type  of
database is very useful to one name studies.


FILES TO BACKUP
===============
The four files to backup are:-

           TREES.CFG, PERSON.DAT, MARRIAGE.DAT, NOTES.DAT

WHAT TO DO IF SOMETHING GOES WRONG
==================================
We  are  developing  this  software all the time  and  would  appreciate
notification if anything seems to be wrong with your program.

Most  of the problems we are faced with are people not constructing  the
data  correctly, so please check the data structure again before sending
it to us. (In simple terms check to see if you have the right mother and
father  selected  for each record and check the marriages for  incorrect
entries. Also be sure you have given the correct SEX flag to someone)


HELP
====
A  Helpline  is  available to all registered users of the  program.  See
Registration.












FUTURE VERSION SUGGESTIONS AND THINGS TO COME
=============================================
You   are  invited  and  encouraged  to  send  us  any  suggestions  for
improvement or additions to the program.

Utility programs


Gedcom
This  program  will  Export  your  data from  TREES  to  an  established
standard.  It can then be read in by other genealogical software such as
Pedigree  or PAF. The program will also work in reverse taking data form
Pedigree/PAF  or any other program that can output a GEDCOM file format,
and importing it into trees.


ASCII
We  also  have a utility that can output a comma separated ASC 11  file.
This can read in by most flat/file databases.




                ------ SOFTWARE COPYRIGHT AND PROTECTION ------

We  have  spent a great deal of time constructing this product and  hope
will  respect this fact. But for those who don't, beware as hacking into
the people program will destroy the checksums setup and the program will
refuse to run.
Information  in this manual is subject to change without notice and does
not represent a commitment on the part of Tomorrows Designs Ltd.
Tomorrows  Designs  Ltd.  may make improvements and/or changes  in  this
manual and/or in TREES at any time.



            TREES is a registered trademark of Tomorrows Designs Ltd.



            *********************** END *****************************




















                                 TREES ORDER FORM
                                 ----------------

    Title      : Mr/Mrs/Ms ...................................

    Surname    : .............................................

    Forename   : .............................................

    Address 1  : .............................................

    Address 2  : .............................................

    Address 3  : .............................................

    Address 4  : .............................................

    Country    : .............................................

    Postcode   : .............................................

    FAMILY NAME: .............................................

    Telephone  : .............................................

    Disk type  : 3.5" or 5.25" (cross out one not required)


**************************************************************************

                          UK/EUROPE           REST OF THE WORLD
                                                    

     Costs                   32.00                  36.00


    I enclose   .......    for  .... copies


    Signed ................................


            PLEASE NOTE MAKE ALL PAYMENTS IN INTERNATIONAL MONEY ORDER
                         OR BY VISA/ACCESS/MASTERCARD

                          Telephone   (0983)  67890


    TOMORROWS DESIGNS LTD.
    37a Union Street
    RYDE
    Isle of Wight
    PO33 2LE
    ENGLAND




*************************************************************************