                               Household Register
                                  Version 2.12s
                                      by
                                Lemuel D. Turner
                 Member Association of Shareware Professionals (ASP)

                (C) 1989-1991 By Lemuel D. Turner and TurboSystemsCo

                Mailing Address: TurboSystemsCo
                                 P.O. Box 965368
                                 Marietta, Ga. 30066
                                              

    To Start: type HR

    Note: Version 1.0 and 1.1 files are not compatible with version 2.0 +
    Registers users are provided with a conversion program to convert 1.0
    and 1.1 files to the 2.0 + format.
    _______________________________________________________________________

                              PROGRAM DESCRIPTION
    _______________________________________________________________________

    Household Register is a full featured menu driven easy to use program
    that maintains a detailed list of everything you own.  Each item is
    automatically categorized by location, category, owner and item. The
    user can easily customize the pop-up menus for the Location (24 sel-
    ections), Category (24 selections) and Owner (8 selections) fields.
    The pop-up menus can be turned off if desired and data can be typed
    directly into the three fields rather than using menu selections.
    Each database can hold 99,999 items the program supports an unlimited
    number of databases.  On screen help is provided for each screen and
    help lines are automatically displayed for each data entry field.

    The comprehensive reports section of the program lets the
    user examine every aspect of his/her possessions.  The total value
    report lists the inventory items and computes the total value of the
    inventory using purchase price or replacement price.  A five page
    summary report computes the total value by category, location or
    owner and provides many valuable statistics about the inventory, such
    as the percentage change between the purchase price and replacement
    price.  A warranty report is also provided that will prove invaluable
    in tracking warranty information.  A total of seven reports are avial-
    able which can be listed to the screen, printer or a disk text file.
    Also reports can be printed on continous form Index or Rolodex cards.

    The full featured and comprehensive search/selection module lets
    the user list only those itmes that meet the selection criteria.

    A sample database is included to allow quick examination of the pro-
    gram.

    ______________________________________________________________________

                    INSTALLING HOUSEHOLD REGISTER
    _______________________________________________________________________

    HARD DRIVE:

    The diskette that your copy of Household Register was distributed to
    should not be used for running the program.  You should first make a
    back-up copy of the distribution disk and then install Household
    Register on either your hard or floppy disk system.

    We recommend that you create a sub-directory that will contain the
    Household Register program and associated files.  The following DOS
    commands will create a sub-directory for Household Register:

                 C>CD\
                 C>MD\HR

    Once you have created the new sub-directory, select the new sub-directory
    by entering:

                 C>CD\HR

    Insert the Household Register distribution disk into drive A. Next, copy
    the contents of the Household Register distribution diskette onto your
    hard disk by executing the following command:

                  C>COPY A:*.*

    NOTE: If your Household Register disk is not in the A drive, you must use
    the drive letter of the disk that contains the program in the above state-
    ment, ie if loading from the B drive use C>COPY B:*.*.  Also if you hard
    drive is not C, substitute the correct letter for C.

    To run Household Register type HR and the program will load.


    INSTALLING HOUSEHOLD REGISTER ON A FLOPPY DISKETTE:

    Please don't use Household Register distribution diskette to
    run the program.  Make a back-up copy of the distribution disk
    prior to proceeding.  Refer to your DOS manual for details if
    you are unfamiliar with disk copying procedures.  Using your
    backup copy of the distribution disk, type HR at the DOS prompt
    and the program will load and run.

    ___________________________________________________________________

                           GETTING STARTED
    ___________________________________________________________________


    After typing HR a shareware notification screen is displayed,
    just press any key and then the Household Register Main Menu is
    displayed.  We recommend the following to familiarize yourself
    with the program:

    1.  Select Item # 7 from the Main Menu to print out the on-disk
    users manual.  The program is very straight forward and easy to
    use but having the printout of the manual may be helpful if you
    have a question over some feature.

    2.  If you have an old type CGA color card installed you may
    notice some screen flickering, if this is the case select item
    #2 from the Main Menu and the install Video Screen will be
    displayed.  On this screen press S to cycle to snow, then press
    function key F10 to save the set-up to a parameter file. Next
    press ESC to exit the screen and then press 9 on the Main Menu
    to exit Household Register. Re-start Household Register by
    typing HR and the screen flicker or snow will have disappeared.
    The Install Video Type/Colors screen also can be used to change
    some colors used in the program, but for now we recommend that
    you use the default selections.  You can experiment with the
    color scheme at a later time.

    3.  If you have an Epson or Epson compatible printer, you can
    skip this step.  Next install your printer for use with House-
    hold Register.  Select item #4  "Install Printer" from the Main
    Menu.  As of the time this is being written, the program only
    has built support for Epson printers but by the time you read
    this you may be able to select from several printers.  Press H
    for help from the printer installation screen to get the
    details on installing any printer for use with Household
    Register. Basically, if your printer is not Epson compatible,
    you will have to find in your printer manual the codes to turn
    on and off the following: (1) Normal Print (Can be 10 or 12
    characters per inch); (2) Compressed Print (Must be 15 Charac-
    ters per inch or greater); (3) Bold or Emphasized Print; (4)
    Underline.  Now for those of you who can't find the codes or
    don't have a printer manual, you still should be able to print
    all the reports, except the index cards and rolodex cards.  Use
    the printer installation screen, add your printer and leave
    blank the on/and off codes.  Select your printer from the
    installation screen so the blank codes are saved to the printer
    definitions file.  If you can manually select compressed print
    on your printer, you can print on the index and rolodex cards.
    Manually place your printer in compressed mode prior to print-
    ing the cards.


   4.  We have included a sample data file with the program for
   you to use to get quickly familiarize yourself with all the
   features of the program.  To use the sample database, select
   item #1 "Update Household Register" from the Main Menu, the
   program will load and the the file selection screen is
   displayed.

   Press return to load the sample datafile and enter the main House-
   hold Register program.  When you get ready to start your own
   household datafile, press ESC at the on the file selection screen
   and enter a name for your datafile.  The screen will display the names of
   up to 16 data files, however if you have more than 16 data
   files and you want to load one that's not displayed, press ESC
   and enter the file name.

   Once you've loaded the sample datafile, use all the features of
   the program, add,  edit, delete some items. Use the report
   screen to print out all the different reports.  You probably don't
   want to use your index/rolodex cards for sample data, but you
   can print using regular computer paper to see how the output will
   look on the cards.  Use the selection screen to select specific
   items for reports.  See how fast the Find function can locate
   items.

   5.  After you have familiarized yourself with the operation of
   Household Register, press Q to quite, next you should customize
   the program for yourself and family.

   6.  From the Main Menu Screen select item # 2, "Edit Menu
   Descriptions".  Use this selection to customize the location,
   category and owner menus to fit your household. After this is
   complete you can re-enter the main program and start entering
   your household possessions into the program.

   7. We hope that you enjoy using the program, we encourage you
   to fill out the comment form included with the manual, if you
   would like to see some changes or should discover a bug.  We
   welcome the comment form even if you decide not to register.
    ______________________________________________________________________

                                 UNIQUE FEATURES
    _______________________________________________________________________

     (1)  Customizable pop-up menus for data entry that can be disabled
          if desired.

     (2)  Movable command line menu - the command line menu can be dis-
          played on the bottom or top of the screen.  Can be switched back
          and forth by the touch of a key.


     (3)  12 easy to use database management functions available from the
          main data entry screen.  Next, Prev, Find, Top, Last, Edit,
          Add, Copy, Del, Search, Report and Help

     (4)  Seven reports that can be listed to screen, printer or disk and
          each report can be indexed by category, location, owner or item.

     (5)  Each entry automatically indexed by category, location, owner
          and item.

     (6)  Performs searches on any combination of fields using logical
          operators.

     (7)  Displays a list of items indexed by category, location, owner
          or item in less than 2 seconds.

    ______________________________________________________________________

                             SPECIAL REQUIREMENTS
    ______________________________________________________________________

     (1)  384K RAM   (2) Printer


    ______________________________________________________________________

                 SERVICES PROVIDED TO REGISTERED USERS
    ______________________________________________________________________


    (1)  The latest version of Household Register without the shareware
         registration screens.

    (2)  A printed manual.

    (3)  Customer Support by phone or mail by a member of ASP.

    (4)  Advisement of upgrades which are provided at low cost.

    (5)  Catalog of addtional products and discounts on additional
         product purchases.


    REGISTRATION PRICE: $34.95


                HOUSEHOLD REGISTER 2.0/.1s/.11s/.12s CHANGES
    ______________________________________________________________________

         2.0 Changes: 
    (1)  A replacement value field has been added.

    (2)  The Item field is now indexed.

    (3)  The "Find Screen" has been enhanced to allow scrolling to see
         most of the fields in the record.

    (4)  The "Summary Report" can now be printed without printing the
         "Total Value" report.  The "Summary Report" now provideds
         5 screens/pages of information instead of one.

    (5)  A larger "Total Value" report has been added that can only be
         listed to a printer or disk.  The "Description Field" and the
         "Replacement Price Field" has been added to this report.

    (6)  The "Total Value" report gives you the option print the report
         using either purchase price or replacement price.
     
    (7)  Reports can be listed using single or double spacing.

    (8)  Users can enter thier own report headings.

    (9)  The menu command line can be switched from the bottom to the top
         of the screen if desired.

   (10)  Files are not compatible with earlier versions.  Registered users
         are provided with a conversion program.

   (11)  Re-Index module included in shareware version.

   (12)  Increased printer support.
 
       2.1 Changes

          1. Large Report can now be indexed on all index fields

          2. Some Printer Drivers Corrected

        2.11 Change
          1. Corrected a bug that caused reports not to print under
             some conditions.

        2.12 Changes
          1. I've moved--new address for registration/tech support
             added, also new phone number.

    ______________________________________________________________________

                        FILES ON THIS DISK
    ______________________________________________________________________


    HR         EXE  Main program file for Household Register.
    HR         OVR  Overlay files used by Household Register.
    HR         DOC  User Manual for Household Register.
    CAT        DAT  Text file for item categories used by the program.
    LOC        DAT  Text file for locations.
    OWNER      DAT  Text file of owners.
    PRINTER    DAT  File of printers supported.
    PRINTER    K1   Index file of printers.
    HRPRINT    DEF  Printer codes used by program.
    HRHLP1     TXT  Help file for main data entry screen.
    HRHLP2     TXT  Help file for report selection screen.
    HRHLP3     TXT  Help file for report selection screen.
    PRHLP      TXT  Help file for printer selection screen.
    SAMPLE     HRD  Sample database data file.
    SAMPLE     H1   Sample database index file.
    SAMPLE     H2   Sample database index file.
    SAMPLE     H3   Sample database index file.
    SAMPLE     H4   Sample database index file.
    VENDOR     DOC  Documentation file for disk vendors.
    README     DOC  This file.

    _______________________________________________________________________

                                ORDER FORM
    ________________________________________________________________________

                   ---------------------------------------------
                    HOUSEHOLD REGISTER Registration Payment Form
                   ---------------------------------------------

        To order HOUSEHOLD REGISTER, please fill out the form below:

                                                      Date: _____________

        Name: _____________________________  Title:   ___________________

        Company: ________________________________________________________

        Address: ________________________________________________________

        City: ___________________________________________________________

        State/Country: ________________________ Zip: ____________________

        Phone  Home: (_____) _____ - ______  Work: (_____) _____ - ______

        Source of Shareware Copy: _______________________________________


        Method of payment: Please complete the worksheet below and choose
        one of the payment options indicated. Wyoming residents
        must add sales tax. ALL CHECKS AND MONEY ORDERS MUST BE DRAWN ON
        U.S. ACCOUNTS ONLY.
        +----------+------------------------------+----------+----------+
        |          |                              |   Cost   |   Total  |
        | Quantity |          Description         | per unit |   Cost   |
        +==========+==============================+==========+==========+
        |          |                              |          |          |
        |          |   HOUSEHOLD REGISTER 2.12s   |  $34.95  |          |
        |          |                              |          |          |
        +==========+=+============================+==========+==========+
                     |            Ga residents add sales tax |          |
                     +---------------------------------------+----------+
                     | Shipping, USA $4.00, Non-USA $8.00    |          |
                     +---------------------------------------+----------+
                     | For 3.5 inch disk add $.00 per disk   |          |
                     +---------------------------------------+==========+
                                                       TOTAL |          |
        Please indicate diskette format:  [ ] 5.25           +==========+
                                          [ ] 3.5
        [ ] Check with order  [ ] Money Order

        *****************************************************************
        Send all items to:     TurboSystemsCo
                               HR Order Department
                               P.O. Box 965368
                               Marietta, Ga. 30066  USA
        *****************************************************************
