The Movies Database Help                                           
					   Eric Balkan
					   Packet Press
					   14704 Seneca Castle Ct.
					   Gaithersburg, MD 20878



Operating instructions for MOVIES

   MOVIES is a utility program specifically designed for
doing simple name searches on The Movie Database. (See the file
README.MOV for information on the Database itself.)  Here are
some examples of using MOVIES:    (Note that you can type in several
search requests in one run of the program.)

A>movies
 Search request #1 (e.g. Winger and Nolte) (Null line to stop):
Lou Gossett Jr
	 - lists all movies with Lou Gossett, Jr. in the cast

 Search request #2 (Null line to stop):
Gossett
	 - same as above

 Search request #3 (Null line to stop):
Winger and Nolte
	 - finds the movie starring (Debra) Winger and (Nick) Nolte

 Search request #4 (Null line to stop):
MacLaine or McLaine
	 - useful when not sure of spelling; the same effect could be
	   obtained by using MacLaine in one search set and McLaine
	   in the next.

 Search request #5 (Null line to stop):
Pink Panth
	 - finds all movies with 'Pink Panth' in the title

 Search request #6 (Null line to stop):
(Aust.)
	 - finds all Australian movies

 Search request #7 (Null line to stop):

	 - an ENTER by itself ends the input


    Note that each search request (i.e., each line of search criteria) is
independent.  Each movie entry that matches a particular search will be
saved in memory.  After the entire database has been examined, you will
have the opportunity to separately review all of the movies that have
matched each search.  (At that time, you may save your results to a file
or print them out.)

    Note also that the program is not case-sensitive; it treats upper and
lower case as the same.

    Up to 15 searches may be requested.

    Please note that this program is quite simple-minded.  If the second
term in a search statement is AND or OR, then the first and third terms
are used as search arguments.  If AND/OR is not found, then
the entire string is used as a search argument.  In other words:

ILLEGAL:      Debra Winger and Nick Nolte

LEGAL:        Keaton and Allen
		 to find all Diane Keaton and Woody Allen movies.
		 (Also finds all Diane Keaton and Karen Allen movies.

    There is no "wild card" capability.

ILLEGAL:     D:xxLester

LEGAL:       D:Richard Lester
		or
	     Richard Lester
		or
	     Lester
	       (though this last one will probably show more movies than
		you'd intended)


Installation Instructions

    Copy all files into a subdirectory on your hard disk or a 3 1/2 "floppy".

    If you have only 2-5 1/4" disks, make backup copies of the
distribution disks.  (Before running MOVIES, you'll need to key in:
	SET DIRS=A:;B:
at the DOS prompt.

    That's all you need do to install The Movie Database.

    For those interested, the DOS SET command with a DIRS parameter tells
MOVIES what drives or directories to search.  For instance:
	  C> set DIRS=C:\dir1;c:\dir2;.;d:\
Each directory name is separated by a semi-colon (;).  A period means
to search the current directory, whatever that happens to be.  The word
DIRS is used only by MOVIES; otherwise the syntax is mostly similar to that
of the DOS PATH command.  (The SET command allows an easy way for users to
tell programs about things that don't change very often.)  If you want to
get rid of directories that have been previously specified, just key in:
	     set DIRS=
    With no directories specified, MOVIES will only search one directory
-- the one implied or specified with the filename.

    One further note:  On color monitors, MOVIES will display white text on
a blue background.  (If you find this hard to read on your system, first
use the DOS mode command (mode mono or mode bw80) before invoking movies.)


Principles of Operation  (Only to satisfy your curiosity)

    The program starts with the first entry in the current disk directory
(unless DIRS has been set).  For each filename that consists of
two-letters, the file is opened and searched.  As each movie record is
processed, the information for each movie is built into a single field for
search purposes.  Matches are then done on character strings within this
entire field.  When a match is found, the entire entry for the movie is
displayed on the screen.  As each file is searched, the name of the file
will also be displayed.  There is a limit of 2000 hits for any one search
request or 2000 hits for all search requests.  A typical search will
take a minute or two on an XT or about 17 seconds on a 386 AT with a
fast disk.

Note:  This program will operate with any free-form text files whose records
are separated by two dots (..), with no record larger than 1000 bytes, whose
filenames consist of 2 letters, and where no file is larger than 64K bytes.
If you need something more flexible or something customized to your needs, let
me know -- I can probably whip up something.
