                      Cross-Stitch Designer
                      Shareware Version 2.0
                    
          Copyright 1992 By HobbyWare All Rights Reserved
                             11/26/92


Cross-Stitch Designer is a Windows 3.1 program that allows you to
design Cross-Stitch patterns.  A pattern is drawn with the mouse
by placing stitches on a pattern displayed on the screen.  The types
of stitches supported include full, half, quarter, and outline 
stitches.  The colors of these stitches can be selected from a list
of stitches or from a list of custom thread colors that you provide.
A pattern can be printed at any time in either the stitch mode or a
symbolic mode where symbols are used to represent the various thread
colors.

To use Cross-Stitch Designer, you will need a mouse, a VGA graphics 
adapter, and a printer.  In addition to the basic 16-color VGA
adapter mode, this program supports the 256 color mode.  This mode 
allows pure colors to be displayed instead of the dithered colors 
produced with the 16 color mode.  Obviously, for a program such 
as Cross-Stitch Designer, thread color representation is very
important.  Thus, to get the most from this program, it is
recommended that an adapter that supports the 256 color mode be used.

The following files should have been provided with your copy of 
Cross-Stitch Designer:
        xstitch.exe - Program file
        xstitch.hlp - Help file
        manual.wri  - User's Manual, in Microsoft Write format
        sharew.prn  - Explanation of Shareware & Licensing
        threads.cus - Custom thread list
        threads.dmc - DMC thread list
        default.pal - Default thread palette
        empty.pal   - Empty thread palette
        lamb.pat    - Example pattern
        pitch.pat   - Example pattern
        prayer.pat  - Example pattern
        readme.txt  - This file

To install Cross-Stitch Designer, create a directory (such as 
'\XSTITCH') and copy all of the above files into it.  Next, add a
program item for Cross-Stitch Designer to one of your Windows 
program groups.  If you need more assistance in installing Cross-
Stitch Designer, then please read the provided User's Manual.  
This manual can be viewed and/or printed using Microsoft Write
which is a simple word processor provided with windows.  

An example pattern is provided with Cross-Stitch Designer.  To
load this pattern, select the FILE:OPEN menu item and then select
the "lamb.pat" file located in the Cross-Stitch Designer directory
(that you created).

To get on-line help information, select the HELP:INDEX menu item.
This will activate the Cross-Stitch Designer help window.   

 

Cross-Stitch Designer is distributed using the shareware distribution
method.  This method allows you to try-out this program before 
buying it.  If you are not a registered user of Cross-Stitch Designer,
you may evaluate the program for up to 30 days.  If you find this program 
useful and/or you use this program after the trial period, you are 
expected to register your copy.  To register, please send a $30 
check or money order and the registration form to:
        HobbyWare
        9686 Spruce Lane
        Fishers, IN 46038

The registration form which is included in the on-line help of
Cross-Stitch Designer is accessed by HELP:INDEX:REGISTRATION. 
After displaying the form, it can be printed-out by selecting 
FILE:PRINT TOPIC of the help window.

Please also read the file SHAREW.PRN for a more detailed 
explanation of the licensing requirements of this program.

All questions, comments, and suggestions are welcome from both 
registered and unregistered users.  Please send these to the above
address.  Also, you can currently receive support directly from
the author via the GENIE BBS and Compuserv.  On GENIE, this support 
is provided under the GENIE Hobby Roundtable, category 34, topic 8.
On Compuserv, send mail to the author at 71543,1504.

Thank you for using Cross-Stitch Designer.  I look forward to
hearing from you.

R. Scott Horton
HobbyWare


______________________________________________________________
Revision History
  VERSION 2.0
   1.  Added selectable font and font size for symbolic display
       and information print-out.  
   2.  Added support for 256 color VGA mode.
   3.  Revised pattern file and palette file to save font name 
       and size used for symbolic mode.  
   4.  Revised pattern and palette file to save the selected 
       symbol for each palette color.
   5.  Revised pattern file format to save the definitions of
       those threads used in the pattern.
   6.  Revised file open to automatically update the thread list
       if a color specified in a pattern is not in the list.
       If the thread is listed but has a different color definition,
       then the user is prompted to select either the color 
       currently in the thread list, or the color in the pattern.
   7.  Revised pattern information print-out to only list threads
       used in the pattern.
   8.  Added more DMC thread definitions for a current total of
       230 colors.
______________________________________________________________

                      DISCLAIMER OF WARRANTY

      THIS SOFTWARE AND MANUAL ARE  SOLD "AS IS" AND  WITHOUT
      WARRANTIES AS TO PERFORMANCE  OF MERCHANTABILITY OR ANY
      OTHER WARRANTIES WHETHER EXPRESSED OR IMPLIED.  BECAUSE
      OF THE VARIOUS HARDWARE AND  SOFTWARE ENVIRONMENTS INTO
      WHICH THIS PROGRAM MAY  BE PUT, NO WARRANTY  OF FITNESS
      FOR  A  PARTICULAR  PURPOSE  IS  OFFERED.    GOOD  DATA
      PROCESSING  PROCEDURE  DICTATES  THAT  ANY  PROGRAM  BE
      THOROUGHLY TESTED WITH NON-CRITICAL DATA BEFORE RELYING
      ON IT.   THE USER MUST ASSUME  THE ENTIRE RISK OF USING
      THE PROGRAM.    ANY LIABILITY  OF  THE SELLER  WILL  BE
      LIMITED EXCLUSIVELY TO PRODUCT REPLACEMENT OR REFUND OF
      PURCHASE PRICE.



